package com.mosty.base.feign.service;


import com.mosty.base.model.entity.lzother.*;
import com.mosty.common.base.domain.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @author dw
 * @since 2022/12/15
 * 泸州其他服务对外调用接口 feign
 **/
@FeignClient(value = "mosty-other")
public interface MostyLzotherFeignService {

    // 根据身份证查询是否是在逃人员
    @GetMapping("/mosty-other/trsZtry/selectBySfzh")
    ResponseResult<TAlarmZtry> selectBySfzh(@RequestParam String sfzh);

    // 根据身份证查询是否是常控人员
    @GetMapping("/mosty-other/trsZtry/selectCkBySfzh")
    ResponseResult<TAlarmCkxx> selectCkBySfzh(@RequestParam String sfzh);


    // 根据身份证查询是否是布控人员
    @GetMapping("/mosty-other/trsZtry/selectBkBySfzh")
    ResponseResult<TAlarmBkxxRy> selectBkBySfzh(@RequestParam String sfzh);

    // 根据信息查询是否处警
    @PostMapping("/mosty-other/BphJlxx/getjlxxCz")
    @ResponseBody
    ResponseResult<BphJlxx> getjlxxCz(@RequestBody BphJlxx bphJlxx);

    // 根据身份证查询是否有接警数据
    @GetMapping("/mosty-other/BphJlxx/getjlxx")
    ResponseResult<BphJlxx> getjlxx(@RequestParam String sfzh);

}
