package com.mosty.base.feign.service;

import com.mosty.base.model.dto.rwzx.TbRwTaskDto;
import com.mosty.base.model.dto.yszx.TbYsGajgDto;
import com.mosty.base.model.dto.yszx.TbYsSxtDto;
import com.mosty.base.model.entity.rwzx.TbRwTask;
import com.mosty.base.model.entity.yjzl.TbZlxx;
import com.mosty.base.model.query.rwzx.TbRwTaskByYwidQuery;
import com.mosty.base.model.vo.yszx.TbYsDlQuery;
import com.mosty.base.model.vo.yszx.TbYsGajgQuery;
import com.mosty.base.model.vo.yszx.TbYsGajgVo;
import com.mosty.common.base.domain.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @author dw
 * @since 2022/10/05
 * 任务中心对外调用接口 feign
 **/
@FeignClient(value = "mosty-rwzx")
public interface MostyRwzxFeignService {

    // 根据内容信息查询地理要素数据
    @PostMapping("/mosty-rwzx/tbRwTask/addRw")
    @ResponseBody
    ResponseResult<Integer> addRw(@RequestBody TbRwTaskDto dto);

    // 根据任务ID和任务系类查询任务信息
    @PostMapping("/mosty-rwzx/tbRwTask/inner/getRwByYwid")
    @ResponseBody
    ResponseResult<TbRwTask> getRwByYwid(@RequestBody TbRwTaskByYwidQuery query);

    // 修改旧的指令任务状态为未读
    @PostMapping("/mosty-rwzx/tbRwTask/inner/changeTaskStateByZlid")
    @ResponseBody
    ResponseResult<Void> changeTaskStateByZlid(@RequestBody TbZlxx zlxx);
}
