package com.mosty.base.feign.service;


import com.mosty.base.model.dto.websocket.WebSocketObject;
import com.mosty.common.base.domain.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @author dw
 * @since 2022/7/23
 * websocket对外调用接口 feign
 **/
@FeignClient(value = "mosty-websocket")
public interface MostyWebSocketFeignService {

    // 发送websocket信息
    @PostMapping("/mosty-websocket/socket/sendMessage")
    ResponseResult<Void> sendMessage(@RequestBody WebSocketObject obj);

    // 发送报备数据websocket信息
    @PostMapping("/mosty-websocket/socket/sendBbMessage")
    ResponseResult<Void> sendBbMessage(@RequestBody WebSocketObject obj);
}
