package com.mosty.base.model;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.entity.yjzl.TbFzycJsdx;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * 基础系统字段
 *
 * @author : Lhh
 * @date : 2022-6-4
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 7390057038182466339L;

    @ApiModelProperty(value = "数据来源：1、PC，2、手机端", name = "xtSjly")
    private String xtSjly;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "数据状态：0、注销，1、正常，-1、封存", name = "xtSjzt")
    private String xtSjzt;

    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "删除标识：0、未删除，1、已删除", name = "xtScbz")
    private String xtScbz;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建IP", name = "xtCjip")
    private String xtCjip;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建时间", name = "xtCjsj")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp xtCjsj;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人ID", name = "xtCjrId")
    private String xtCjrId;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建人名称", name = "xtCjr")
    private String xtCjr;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建部门代码", name = "xtCjbmdm")
    private String xtCjbmdm;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "创建部门名称", name = "xtCjbmmc")
    private String xtCjbmmc;

    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "最后更新IP", name = "xtZhgxip")
    private String xtZhgxip;

    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "最后更新时间", name = "xtZhgxsj")
    private Timestamp xtZhgxsj;

    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "最后更新人ID", name = "xtZhgxrid")
    private String xtZhgxrid;

    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "最后更新人名称", name = "xtZhgxr")
    private String xtZhgxr;

    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "最后更新部门代码", name = "xtZhgxbmdm")
    private String xtZhgxbmdm;

    @TableField(fill = FieldFill.UPDATE)
    @ApiModelProperty(value = "最后更新部门名称", name = "xtZhgxbm")
    private String xtZhgxbm;

    @ApiModelProperty(value = "备注", name = "bz")
    private String bz;
}