package com.mosty.base.model.dto.base;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author dw
 * @since 2022/8/26
 * 发送消息 DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "SysMessageInfoInsertDto 对象", description = "发送消息 DTO")
public class SysMessageInfoInsertDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Integer id;

    @ApiModelProperty(value = "消息内容")
    private String xxnr;

    @ApiModelProperty(value = "消息类型：1-文字，2-语音，3-图片，4-小视频，5-系统URL,6-文件")
    private String xxlx;

    @ApiModelProperty(value = "url")
    private String url;

    @ApiModelProperty(value = "消息状态 1，未下发 2.已下发")
    private String xxzt;

    @ApiModelProperty(value = "群id")
    private Integer groupId;

    @ApiModelProperty("消息接收人集合")
    private List<SysMessageItemInsertDto> itemList;

}
