package com.mosty.base.model.dto.base;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/8/26
 * 消息接收人新增dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_message_item")
@ApiModel(value = "SysMessageItemInsertDto 对象", description = "消息接收人新增dto")
public class SysMessageItemInsertDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Integer id;

    @ApiModelProperty(value = "消息接收部门id")
    private String xxjsbmId;

    @ApiModelProperty(value = "消息接收部门")
    private String xxjsbm;

    @ApiModelProperty(value = "消息接受人id")
    private String xxjsrId;

    @ApiModelProperty(value = "消息接受人")
    private String xxjsrXm;

    @ApiModelProperty(value = "消息接受人身份证")
    private String xxjsrSfzh;

    @ApiModelProperty(value = "消息id")
    private Integer messageId;

    @ApiModelProperty(value = "群id")
    private Integer groupId;
}
