package com.mosty.base.model.dto.bkzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-07-13
 * 布控车辆新增 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbBkClInsertDto对象", description = "布控车辆新增dto")
public class TbBkClInsertDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "车辆号牌类型")
    private String cplxdm;

    @ApiModelProperty(value = "车牌号")
    private String cphm;

    @ApiModelProperty(value = "布控级别 10-红，20-橙色，30-黄色，40-蓝色")
    private String bkjb;

    @ApiModelProperty(value = "布控开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bkkssj;

    @ApiModelProperty(value = "布控结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bkjssj;

    @ApiModelProperty(value = "布控范围 1.全国  2.全省 3.全市 4.全县，5-本部门")
    private String bkfw;

    @ApiModelProperty(value = "布控事由")
    private String bksy;

    @ApiModelProperty(value = "处置方式 1.控制 2.管控 3.经营 4.关注 5.掌握轨迹")
    private String czfs;

    @ApiModelProperty(value = "处置说明")
    private String czsm;

    @ApiModelProperty(value = "是否短信通知 0.否  1.是")
    private String sfdxtz;

}
