package com.mosty.base.model.dto.bkzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022-07-13
 * 布控人员新增 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbBkRyInsertDto对象", description = "布控人员新增dto")
public class TbBkRyInsertDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "布控类型 1.身份证布控 2.手机布控 3.护照布控 4.人脸布控")
    private String bklx;

    @ApiModelProperty(value = "身份证号")
    private String sfzh;

    @ApiModelProperty(value = "手机号码")
    private String sjhm;

    @ApiModelProperty(value = "IMEI码")
    private String imei;

    @ApiModelProperty(value = "IMSI码")
    private String imsi;

    @ApiModelProperty(value = "护照号码")
    private String hzhm;

    @ApiModelProperty(value = "人像图片地址")
    private String rxtpdz;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "联系方式")
    private String lxfs;

    @ApiModelProperty(value = "布控级别 10-红，20-橙色，30-黄色，40-蓝色")
    private String bkjb;

    @ApiModelProperty(value = "布控开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date bkkssj;

    @ApiModelProperty(value = "布控结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date bkjssj;

    @ApiModelProperty(value = "布控范围 1.全国  2.全省 3.全市 4.全县，5-本部门")
    private String bkfw;

    @ApiModelProperty(value = "布控事由")
    private String bksy;

    @ApiModelProperty(value = "处置方式 1.控制 2.管控 3.经营 4.关注 5.掌握轨迹")
    private String czfs;

    @ApiModelProperty(value = "处置说明")
    private String czsm;

    @ApiModelProperty(value = "是否短信通知 0.否  1.是")
    private String sfdxtz;

}
