package com.mosty.base.model.dto.hczx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author dw
 * @since 2022-09-16
 * 被盘查车辆到巡逻盘查保存对象
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "BpcclSaveDto 对象", description = "被盘查车辆到巡逻盘查保存对象")
public class BpcclSaveDto {

    
    @ApiModelProperty("主键ID")
    private String id;
    
    @ApiModelProperty("号牌种类代码")
    private String hpzl;
    
    @ApiModelProperty("号牌号码")
    private String hphm;
    
    @ApiModelProperty("车辆识别代号（车架号）")
    private String clsbdh;
    
    @ApiModelProperty("机动车所有人身份证号")
    private String jdcsyrsfzh;
    
    @ApiModelProperty("机动车所有人")
    private String jdcsyr;
    
    @ApiModelProperty("盘查时间")
    private String pcsj;
    
    @ApiModelProperty("盘查输入类型（1=自动识别;2=手工输入号牌;3=手工输入车辆识别号）")
    private String pcsrlx;
    
    @ApiModelProperty("盘查地经度")
    private Double pcdjd;
    
    @ApiModelProperty("盘查地纬度")
    private Double pcdwd;
    
    @ApiModelProperty("车辆标签名称")
    private String bqmc;
    
    @ApiModelProperty("标签详细数据")
    private String bqxxsj;
    
    @ApiModelProperty("盘查处理结果")
    private String pccljg;
    
    @ApiModelProperty("盘查处理结果名称")
    private String pccljgmc;
    
    @ApiModelProperty("盘查处理移交单位")
    private String pcclyjdw;
    
    @ApiModelProperty("盘查处理移交原因")
    private String pcclyjyy;
    
    @ApiModelProperty("盘查民警帐号")
    private String userid;
    
    @ApiModelProperty("盘查民警姓名")
    private String username;
    
    @ApiModelProperty("盘查民警警号")
    private String industrialid;
    
    @ApiModelProperty("盘查民警所属单位代码")
    private String ssdwdm;
    
    @ApiModelProperty("盘查民警所属单位名称")
    private String ssdwmc;
    
    @ApiModelProperty("盘查民警所属分市县代码")
    private String ssfsxdm;
    
    @ApiModelProperty("盘查民警所属分市县名称")
    private String ssfsxmc;
    
    @ApiModelProperty("盘查民警所属地市州代码")
    private String ssdszdm;
    
    @ApiModelProperty("盘查民警所属地市州名称")
    private String ssdszmc;
    
    @ApiModelProperty("卡口id")
    private String kkid;
    
    @ApiModelProperty("卡口所属单位代码")
    private String kkssdwdm;
    
    @ApiModelProperty("卡口所属单位名称")
    private String kkssdwmc;
    
    @ApiModelProperty("卡口所属分市县代码")
    private String kkssfsxdm;
    
    @ApiModelProperty("卡口所属分市县名称")
    private String kkssfsxmc;
    
    @ApiModelProperty("卡口所属地市州代码")
    private String kkssdszdm;
    
    @ApiModelProperty("卡口所属地市州名称")
    private String kkssdszmc;
    
    @ApiModelProperty("卡口类型（1=公安检查站;2=自设卡点）")
    private String kklx;
    
    @ApiModelProperty("卡口名称")
    private String kkmc;
    
    @ApiModelProperty("卡口行政区划")
    private String kkxzqh;
    
    @ApiModelProperty("卡口市州名称")
    private String kkszmc;
    
    @ApiModelProperty("卡口环川，环蓉")
    private String kkhchrlx;
    
    @ApiModelProperty("卡口是否涉藏")
    private String kksfsz;
    
    @ApiModelProperty("数据来源（对应字典D_YDJW_SJLY）")
    private String sjly;
    
    @ApiModelProperty("终端型号")
    private String zdxh;
    
    @ApiModelProperty("终端串号")
    private String zdch;
    
    @ApiModelProperty("终端SIM号")
    private String zdsim;
    
    @ApiModelProperty("所属单位当月盘查次数")
    private Long ssdwdycs;
    
    @ApiModelProperty("备注")
    private String bz;
    
    @ApiModelProperty("关联系统代码")
    private String glxtdm;
    
    @ApiModelProperty("关联系统ID")
    private String glxtid;

    
    @ApiModelProperty("联系电话")
    private String mobile;
}
