package com.mosty.base.model.dto.hczx;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "人脸对象")
@Accessors(chain = true)
public class Face {

    public  FaceListObject FaceListObject;

    @Data
    public static class FaceListObject {
        public List<FaceObject> FaceObject;

        @Data
        public static class FaceObject {
            public String odeviceId;
            public String FaceID;
            public String SourceID;
            @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
            public Date ShotTime;
            public String DeviceID;
            public Integer GenderCode;

            public SubImageList SubImageList;

            @Data
            public static class SubImageList {
                public List<SubImageInfoObject> SubImageInfoObject;

                @Data
                public static class SubImageInfoObject {
                    public String ImageID;
                    public String DeviceID;
                    public String StoragePath;
                    public String Type;
                    public String FileFormat;
                    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
                    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
                    public String ShotTime;
                    public String Width;
                    public String Height;
                }

            }

            public FeatureList FeatureList;

            @Data
            public static class FeatureList {
                public List<FeatureInfoObject> FeatureInfoObject;

                @Data
                public static class FeatureInfoObject {
                    public String Vendor;
                    public String AlgorithmVersion;
                    public String FeatureData;
                }
            }

            public Integer InfoKind;
            public Integer LeftTopX;
            public Integer LeftTopY;
            public Integer RightBtmX;
            public Integer RightBtmY;
            @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
            public Date LocationMarkTime;
            @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
            public Date FaceAppearTime;
            public Integer AgeUpLimit;
            public Integer AgeLowerLimit;
            public Integer IsDriver;
            public Integer IsForeigner;
            public Integer IsSuspectedTerrorist;
            public Integer IsCriminalInvolved;
            public Integer IsDetainees;
            public Integer IsVictim;
            public Integer IsSuspiciousPerson;
            public String Mask;


        }

    }
//
//
//    @ApiModelProperty(value = "主键ID(32) GA/T 1400.1 图像信息内容要素 ID，人、人脸、机动车、非机动车、物品、场景等")
//    public String FaceID;
//
//    @ApiModelProperty(value = "人工采集还是自动采集 0 其他 1 自动采集 2 人工采集")
//    public int InfoKind;
//
//    @ApiModelProperty(value = "来源图像信息标识")
//    public String SourceID;
//
//    @ApiModelProperty(value = "设备编码，自动采集必选")
//    public String DeviceID;
//
//    @ApiModelProperty(value = "左上角 X 坐标")
//    public int LeftTopX;
//
//    @ApiModelProperty(value = "左上角 Y 坐标 ")
//    public int LeftTopY;
//
//    @ApiModelProperty(value = "右下角 X 坐标")
//    public int RightBtmX;
//
//    @ApiModelProperty(value = "右下角 Y 坐标")
//    public int RightBtmY;
//
//    @ApiModelProperty(value = "位置标记时间")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    public Date LocationMarkTime;
//
//    @ApiModelProperty(value = "人脸出现时间")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    public Date FaceAppearTime;
//
//    @ApiModelProperty(value = "人脸消失时间")
//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
//    public Date FaceDisAppearTime;
//
//    @ApiModelProperty(value = "证件种类")
//    public String IDType;
//
//    @ApiModelProperty(value = "证件号码")
//    public String IDNumber;
//
//    @ApiModelProperty(value = "姓名 ")
//    public String Name;
//
//    @ApiModelProperty(value = "曾用名")
//    public String UsedName;
//
//    @ApiModelProperty(value = "绰号")
//    public String Alias;
//
//    @ApiModelProperty(value = "性别代码  0 未知的性别 1 男性 2 女性  9 未说明的性别")
//    public String GenderCode;
//
//    @ApiModelProperty(value = "年龄上限")
//    public int AgeUpLimit;
//
//    @ApiModelProperty(value = "年龄下限 ")
//    public int AgeLowerLimit;
//
//    @ApiModelProperty(value = "民族代码 ")
//    public String EthicCode;
//
//    @ApiModelProperty(value = "国籍代码 ")
//    public String NationalityCode;
//
//    @ApiModelProperty(value = "籍贯省市县代码 ")
//    public String NativeCityCode;
//
//    @ApiModelProperty(value = "居住地行政区划 ")
//    public String ResidenceAdminDivision;
//
//    @ApiModelProperty(value = "汉语口音代码 ")
//    public String ChineseAccentCode;
//
//    @ApiModelProperty(value = "单位名称 ")
//    public String PersonOrg;
//
//    @ApiModelProperty(value = "职业类别代码 ")
//    public String JobCategory;
//
//    @ApiModelProperty(value = "同行人数  ")
//    public int AccompanyNumber;
//
//    @ApiModelProperty(value = "身高上限 ")
//    public int HeightUpLimit;
//
//    @ApiModelProperty(value = "HeightLowerLimit ")
//    public int HeightLowerLimit;
//
//    @ApiModelProperty(value = "体型 ")
//    public String BodyType;
//
//    @ApiModelProperty(value = "肤色 ")
//    public String SkinColor;
//
//    @ApiModelProperty(value = "发型 ")
//    public String HairStyle;
//
//    @ApiModelProperty(value = "发色 ")
//    public String HairColor;
//
//    @ApiModelProperty(value = "姿态 ")
//    public String Gesture;
//
//    @ApiModelProperty(value = "状态 ")
//    public String Status;
//
//    @ApiModelProperty(value = "脸型 ")
//    public String FaceStyle;
//
//    @ApiModelProperty(value = "脸部特征 ")
//    public String FacialFeature;
//
//    @ApiModelProperty(value = "体貌特征 ")
//    public String PhysicalFeature;
//
//    @ApiModelProperty(value = "体表特征 ")
//    public String BodyFeature;
//
//    @ApiModelProperty(value = "习惯动作")
//    public String HabitualMovement;
//
//    @ApiModelProperty(value = "行为")
//    public String Behavior;
//
//    @ApiModelProperty(value = "行为描述")
//    public String BehaviorDescription;
//
//    @ApiModelProperty(value = "附属物 ")
//    public String Appendant;
//
//    @ApiModelProperty(value = "附属物描述")
//    public String AppendantDescription;
//
//    @ApiModelProperty(value = "伞颜色")
//    public String UmbrellaColor;
//
//    @ApiModelProperty(value = "口罩颜色")
//    public String RespiratorColor;
//
//    @ApiModelProperty(value = "帽子款式")
//    public String CapStyle;
//
//    @ApiModelProperty(value = "帽子颜色")
//    public String CapColor;
//
//    @ApiModelProperty(value = "眼镜款式 ")
//    public String GlassStyle;
//
//    @ApiModelProperty(value = "眼镜颜色")
//    public String GlassColor;
//
//    @ApiModelProperty(value = "围巾颜色")
//    public String ScarfColor;
//
//    @ApiModelProperty(value = "包款式")
//    public String BagStyle;
//
//    @ApiModelProperty(value = "包颜色 ")
//    public String BagColor;
//
//    @ApiModelProperty(value = "上衣款式  ")
//    public String CoatStyle;
//
//    @ApiModelProperty(value = "上衣长度  ")
//    public String CoatLength;
//
//    @ApiModelProperty(value = "上衣颜色  ")
//    public String CoatColor;
//
//    @ApiModelProperty(value = "裤子款式")
//    public String TrousersStyle;
//
//    @ApiModelProperty(value = "裤子颜色 ")
//    public String TrousersColor;
//
//    @ApiModelProperty(value = "裤子长度")
//    public String TrousersLen;
//
//    @ApiModelProperty(value = "鞋子款式 ")
//    public String ShoesStyleType;
//
//    @ApiModelProperty(value = "鞋子颜色 ")
//    public String ShoesColor;
//
//    @ApiModelProperty(value = "是否驾驶员 0：否；1：是；2：不确定")
//    public int IsDriver;
//
//    @ApiModelProperty(value = "是否涉外人员 0：否；1：是；2：不确定")
//    public int IsForeigner;
//
//    @ApiModelProperty(value = "护照证件种类")
//    public String PassportType;
//
//    @ApiModelProperty(value = "出入境人员类别代码")
//    public String ImmigrantTypeCode;
//
//    @ApiModelProperty(value = "是否涉恐人员 0：否；1：是；2：不确定")
//    public int IsSuspectedTerrorist;
//
//    @ApiModelProperty(value = "涉恐人员编号")
//    public String SuspectedTerroristNumber;
//
//    @ApiModelProperty(value = "是否涉案人员 0：否；1：是；2：不确定")
//    public int IsCriminalInvolved;
//
//
//    @ApiModelProperty(value = "涉案人员专长代码")
//    public String CriminalInvolvedSpecilisationCode;
//
//
//    @ApiModelProperty(value = "体表特殊标记")
//    public String BodySpeciallMark;
//
//
//    @ApiModelProperty(value = "作案手段")
//    public String CrimeMethod;
//
//
//    @ApiModelProperty(value = "作案特点代码")
//    public String CrimeCharacterCode;
//
//    @ApiModelProperty(value = "在逃人员编号")
//    public String EscapedCriminalNumber;

    public static void main(String[] args) {
        Map map=new HashMap();
        System.out.println(map.get("s"));
    }
}
