package com.mosty.base.model.dto.hczx;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.entity.hczx.TbHcBpcryTzbq;
import com.mosty.base.model.vo.hczx.TbHcBpcryWpVo;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022-09-13
 * 被盘查人员保存对象
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbHcBpcryInsertDto 对象", description = "被盘查人员保存对象")
public class TbHcBpcryInsertDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID", name = "id")
    private String id;

    @ApiModelProperty(value = "盘查车辆ID", name = "pcclId")
    private String pcclId;

    @ApiModelProperty(value = "盘查处理结果（1 放行 2 移交 9盘查）", name = "pcclJg")
    private String pcclJg;

    @ApiModelProperty(value = "盘查处理结果名称", name = "pcclJgmc")
    private String pcclJgmc;

    @ApiModelProperty(value = "盘查处理移交单位代码", name = "pcclYjdwdm")
    private String pcclYjdwdm;

    @ApiModelProperty(value = "盘查处理移交单位", name = "pcclYjdw")
    private String pcclYjdw;

    @ApiModelProperty(value = "盘查处理移交原因", name = "pcclYjyy")
    private String pcclYjyy;

    @ApiModelProperty(value = "图片ID集合", name = "tpIdList")
    private List<String> tpIdList;

    @ApiModelProperty(value = "物品集合", name = "ryWpList")
    private List<TbHcBpcryWpVo> ryWpList;

    @ApiModelProperty(value = "特征标签集合", name = "tzbqList")
    private List<TbHcBpcryTzbq> tzbqList;
}
