package com.mosty.base.model.dto.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 巡防警力标签表（技能/经验）;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-6-6
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防警力标签表", description = "")
public class TbJcglBqDto implements Serializable, Cloneable {

    private static final long serialVersionUID = -4728653996454701336L;

    /**
     * 巡防力量标签标识ID
     */
    @ApiModelProperty(value = "巡防力量标签标识ID(新增时不填)",name = "id")
    private String id;
    /**
     * 标签类型;EXP：经验标签，SKL：技能标签
     */
    @ApiModelProperty(value = "标签类型：EXP：经验标签，SKL：技能标签",name = "bqlx",required = true)
    private String bqlx;
    /**
     * 标签中文名称
     */
    @ApiModelProperty(value = "标签中文名称",name = "bqmc",required = true)
    private String bqmc;
    /**
     * 标签编号
     */
    @ApiModelProperty(value = "标签编号",name = "bqbh",required = true)
    private String bqbh;
    /**
     * 标签图标url
     */
    @ApiModelProperty(value = "标签图标url",name = "bqtb")
    private String bqtb;
    /**
     * 计算模型ID
     */
    @ApiModelProperty(value = "计算模型ID",name = "mxId")
    private String mxId;
}