package com.mosty.base.model.dto.jcgl;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/8/4
 * 快反点增加或修改DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglKfdDto对象", description = "快反点增加或修改DTO")
public class TbJcglKfdDto implements Serializable, Cloneable {

    private static final long serialVersionUID = -1L;

    @ApiModelProperty(value = "快反点标识ID")
    private String kfdId;

    @ApiModelProperty(value = "点位类型：01-快反点，02-重点机关岗位点，50-2022世乒赛保卫点")
    private String dwlx;

    @ApiModelProperty(value = "快返点名称")
    private String kfdMc;

    @ApiModelProperty(value = "快反点地址")
    private String kfdDz;

    @ApiModelProperty(value = "行政区划代码")
    private String xzqhdm;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标hash值")
    private String zbhash;

    @ApiModelProperty(value = "一分钟范围", dataType = "java.util.List")
    private List<BigDecimal[]> yfzfw;

    @ApiModelProperty(value = "三分钟范围", dataType = "java.util.List")
    private List<BigDecimal[]> sfzfw;

    @ApiModelProperty(value = "五分钟范围", dataType = "java.util.List")
    private List<BigDecimal[]> wfzfw;

    @ApiModelProperty(value = "快返点图片;逗号分隔")
    private String kfdTp;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;


    @ApiModelProperty(value = "负责人身份证")
    private String fzrSfzh;

    @ApiModelProperty(value = "负责人姓名")
    private String fzrXm;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date cjsj;
}
