package com.mosty.base.model.dto.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglKhbmEditPzDto  对象", description = "绩效考核部门配置Dto")
public class TbJcglKhbmEditPzDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;


    @ApiModelProperty(value = "应报备")
    private int ybb;

    @ApiModelProperty(value = "最少报备")
    private int zsbb;

    @ApiModelProperty(value = "报备得分")
    private double bbf;

    @ApiModelProperty(value = "报备扣分")
    private double bbkf;


    @ApiModelProperty(value = "应查人")
    private int ycr;

    @ApiModelProperty(value = "最少查人")
    private int zscr;

    @ApiModelProperty(value = "查人分")
    private double crf;

    @ApiModelProperty(value = "查人扣分")
    private double crkf;


    @ApiModelProperty(value = "应查车")
    private int ycc;

    @ApiModelProperty(value = "最少查车")
    private int zscc;

    @ApiModelProperty(value = "查车分")
    private double ccf;

    @ApiModelProperty(value = "查车扣分")
    private double cckf;


    @ApiModelProperty(value = "应查物品")
    private int ycw;

    @ApiModelProperty(value = "最少查物品")
    private int zscw;

    @ApiModelProperty(value = "查物品得分")
    private double cwf;

    @ApiModelProperty(value = "查物品扣分")
    private double cwkf;


    @ApiModelProperty(value = "应巡逻")
    private int yxl;

    @ApiModelProperty(value = "最少巡逻")
    private int zsxl;

    @ApiModelProperty(value = "巡逻分")
    private double xlf;

    @ApiModelProperty(value = "巡逻扣分")
    private double xlkf;


    @ApiModelProperty(value = "应签收")
    private int yqs;

    @ApiModelProperty(value = "最少签收")
    private int zsqs;

    @ApiModelProperty(value = "签收分")
    private double qsf;

    @ApiModelProperty(value = "签收分")
    private double qskf;


    @ApiModelProperty(value = "应巡逻时长")
    private int yxlsc;

    @ApiModelProperty(value = "最少巡逻时长")
    private int zsxlsc;

    @ApiModelProperty(value = "巡逻时长分")
    private double xlscf;

    @ApiModelProperty(value = "巡逻时长扣分")
    private double xlsckf;


    @ApiModelProperty(value = "应巡逻里程")
    private int yxllc;

    @ApiModelProperty(value = "应巡逻里程")
    private int zsxllc;

    @ApiModelProperty(value = "巡逻里程分")
    private double xllcf;

    @ApiModelProperty(value = "巡逻里程扣分")
    private double xllckf;

    @ApiModelProperty(value = "模型名称")
    private String mxmc;
}
