package com.mosty.base.model.dto.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 巡防力量表;
 *
 * @author : Lhh
 * @date : 2022-6-4
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防力量表新增对象")
public class TbJcglXfllDto implements Serializable, Cloneable {

    private static final long serialVersionUID = -2578840484566953177L;

    @ApiModelProperty(value = "警员管理表标识ID（新增时不填）",name ="id")
    private String id;

    @ApiModelProperty(value = "人员ID（民警对应sys_user表中的ID，辅警为null）", notes = "")
    private String ryid;

    @ApiModelProperty(value = "警员分类：01、民警，02、辅警",name ="fl",required = true)
    private String fl;

    @ApiModelProperty(value = "警员类型：01、社区民警，02、治安民警，03、刑侦民警，04、内勤民警，05、巡逻民警",name ="lx",required = true)
    private String lx;

    @ApiModelProperty(value = "姓名",name ="xm",required = true)
    private String xm;

    @ApiModelProperty(value = "性别代码",name ="xbdm",required = true)
    private String xbdm;

    @ApiModelProperty(value = "身份证号",name ="sfzh",required = true)
    private String sfzh;

    @ApiModelProperty(value = "警号",name ="jh",required = true)
    private String jh;

    @ApiModelProperty(value = "警衔",name ="jx")
    private String jx;

    @ApiModelProperty(value = "政治面貌",name ="zzmm")
    private String zzmm;

    @ApiModelProperty(value = "婚姻状况：0、未婚，1、已婚，2、离异",name ="hyzk")
    private String hyzk;

    @ApiModelProperty(value = "入职时间",name ="rzsj")
    private String rzsj;

    @ApiModelProperty(value = "出生日期",name ="csrq")
    private String csrq;

    @ApiModelProperty(value = "民族编码",name ="mzdm",required = true)
    private String mzdm;

    @ApiModelProperty(value = "文化程度",name ="whcddm",required = true)
    private String whcddm;

    @ApiModelProperty(value = "籍贯",name ="jgdm")
    private String jgdm;

    @ApiModelProperty(value = "家庭住址",name ="jtzz")
    private String jtzz;

    @ApiModelProperty(value = "联系电话",name ="lxdh",required = true)
    private String lxdh;

    @ApiModelProperty(value = "电子邮箱",name ="dzyx")
    private String dzyx;

    @ApiModelProperty(value = "巡防力量图片，逗号分隔",name ="tp")
    private String tp;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "技能标签ID集合",name ="bqId")
    private List<String> bqId;

    @ApiModelProperty(value = "图片id")
    private String tpid;

    @ApiModelProperty(value = "备注",name ="bz")
    private String bz;

}