package com.mosty.base.model.dto.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author dw
 * @since 2022-09-02
 * 寻访力量查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "TbJcglXfllSearchQuery 对象", description = "寻访力量查询DTO")
public class TbJcglXfllSearchQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 6556387960466677177L;

    @ApiModelProperty("查询类型 1.本部门 2.全部")
    private String type;

    @ApiModelProperty("关键字")
    private String keyword;

    @ApiModelProperty("警力类型 01.民警 02.辅警")
    private String jllx;
}