package com.mosty.base.model.dto.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.mosty.common.base.entity.log.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 巡防力量表;
 *
 * @author : Lhh
 * @date : 2022-6-4
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防力量表", description = "")
public class TbJcglXfllVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 6556387960466677177L;


    @ApiModelProperty(name = "警员管理表标识ID", hidden = true)
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @ApiModelProperty(value = "人员ID（民警对应sys_user表中的ID，辅警为null）")
    private String ryid;

    @ApiModelProperty(name = "警员分类", notes = "01、民警，02、辅警")
    private String fl;

    @ApiModelProperty(name = "警员类型", notes = "01、社区民警，02、治安民警，03、刑侦民警，04、内勤民警，05、巡逻民警")
    private String lx;

    @ApiModelProperty(name = "姓名")
    private String xm;

    @ApiModelProperty(name = "性别代码")
    private String xbdm;

    @ApiModelProperty(name = "身份证号")
    private String sfzh;

    @ApiModelProperty(name = "警号")
    private String jh;

    @ApiModelProperty(name = "警衔")
    private String jx;

    @ApiModelProperty(name = "政治面貌")
    private String zzmm;

    @ApiModelProperty(name = "婚姻状况", notes = "0、未婚，1、已婚，2、离异")
    private String hyzk;

    @ApiModelProperty(name = "入职时间")
    private Date rzsj;

    @ApiModelProperty(name = "出生日期")
    private Date csrq;

    @ApiModelProperty(name = "民族编码")
    private String mzdm;

    @ApiModelProperty(name = "文化程度")
    private String whcddm;

    @ApiModelProperty(name = "籍贯")
    private String jgdm;

    @ApiModelProperty(name = "家庭住址")
    private String jtzz;

    @ApiModelProperty(name = "联系电话")
    private String lxdh;

    @ApiModelProperty(name = "电子邮箱")
    private String dzyx;

    @ApiModelProperty(name = "巡防力量图片")
    private String tp;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}