package com.mosty.base.model.dto.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author dw
 * @since 2022/8/4
 * 快反点增加或修改DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglXfqyDto对象", description = "巡防区域增加或修改DTO")
public class TbJcglXfqyDto implements Serializable, Cloneable {

    private static final long serialVersionUID = -1L;

    @ApiModelProperty(value = "巡防区标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "--D_BZ_XQLX（巡区类型）巡防区类型1、一般区域，2、重点区域，3、核心区域，4、人员密集区域")
    private String xfqLx;

    @ApiModelProperty(value = "--D_BZ_XFQDJ（巡防区等级）巡防区等级;")
    private String xfqDj;

    @ApiModelProperty(value = "巡防区名称")
    private String xfqMc;

    @ApiModelProperty(value = "巡防区面积（平方米）")
    private Integer xfqMj;

    @ApiModelProperty(value = "巡防区负责人")
    private String xfqFzr;

    @ApiModelProperty(value = "巡防区负责人ID")
    private String xfqFzrId;

    @ApiModelProperty(value = "巡防区负责人身份证号")
    private String xfqFzrSfz;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标hash值")
    private String zbhash;

    @ApiModelProperty(value = "多边形数据存储（JSON）", dataType = "java.util.List")
    private List<BigDecimal[]> pgis;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "巡防部门类型")
    private String xfbmlx;

    @ApiModelProperty(value = "颜色")
    private String color;
}
