package com.mosty.base.model.dto.jcgl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.LineString;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.SafeHtml;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbJcglXfwgInsertDto 对象", description="巡防网格")
public class TbJcglXfwgInsertDto extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "巡防网格表标识ID")
    private String id;

    @ApiModelProperty(value = "巡防网格名称")
    private String wgMc;

    @ApiModelProperty(value = "巡防网格编号")
    private String wgBh;

    @ApiModelProperty(value = "巡防网格类型")
    private String wglx;

    @ApiModelProperty(value = "巡防网格面积")
    private BigDecimal wgMj;

    @ApiModelProperty(value = "所属巡防区域ID")
    private String ssXfqyId;

    @ApiModelProperty(value = "巡防网格图片;逗号分隔")
    private String wgTp;

    @ApiModelProperty(value = "多边形数据存储（JSON）")
    private List<BigDecimal []> pgis;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）行政区划代码")
    private String xzqhdm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
