package com.mosty.base.model.dto.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/8/11
 * 巡逻方案点位新增或修改DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglXlfaXldwDto对象", description = "巡逻方案点位新增或修改DTO")
public class TbJcglXlfaXldwDto implements Serializable, Cloneable {

    private static final long serialVersionUID = -1L;

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "方案id")
    private String faId;

    @ApiModelProperty(value = "巡逻点位类型10-巡逻点、20-巡逻区域")
    private String dwlx;

    @ApiModelProperty(value = "点位经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "点位纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "点位hash")
    private String zbhash;

    @ApiModelProperty(value = "点位区域", dataType = "java.util.List")
    private List<BigDecimal[]> fw;

    @ApiModelProperty(value = "点位描述")
    private String dwmc;

    @ApiModelProperty(value = "到位时间")
    @JsonFormat(pattern = "HH:mm",timezone = "GMT+8")
    @DateTimeFormat(pattern = "HH:mm")
    private Date dwsj;

    @ApiModelProperty(value = "停留时长")
    private Integer tlsc;

    @ApiModelProperty(value = "要求盘查人员数量")
    private Integer pcrys;

    @ApiModelProperty(value = "要求盘查车辆数量")
    private Integer pccls;

}
