package com.mosty.base.model.dto.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022-09-05
 * 附近智能装备查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "TbJcglZnzbSearchDto 对象", description = "附近智能装备查询DTO")
public class TbJcglZnzbSearchDto extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 6556387960466677177L;

    @ApiModelProperty("经度")
    private BigDecimal jd;

    @ApiModelProperty("纬度")
    private BigDecimal wd;

    @ApiModelProperty("所属部门代码")
    private String ssbmdm;

    @ApiModelProperty("所属部门id")
    private String ssbmid;

    @ApiModelProperty("范围(米)")
    private BigDecimal radius;

    @ApiModelProperty("是否专业装备")
    private String sfzy;

    @ApiModelProperty("是否融合")
    private String sfrh;
}