package com.mosty.base.model.dto.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author dw
 * @since 2022-09-02
 * 附近专业警中搜索dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "TbJcglZyjzSearchDto 对象", description = "附近专业警中搜索dto")
public class TbJcglZyjzSearchDto extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 6556387960466677177L;

    @ApiModelProperty("经度")
    private BigDecimal jd;

    @ApiModelProperty("纬度")
    private BigDecimal wd;

    @ApiModelProperty("所属部门代码")
    private String ssbmdm;

    @ApiModelProperty("所属部门ID")
    private String ssbmid;

    @ApiModelProperty("警力状态 0.休假   1.在岗")
    private String jlzt;

    @ApiModelProperty("专业技能id集合")
    private List<String> bqList;

    @ApiModelProperty("范围(米)")
    private BigDecimal radius;
}