package com.mosty.base.model.dto.qwzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-11-14
 * app公共组件查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "AppSearchQuery 对象", description = "app公共组件查询DTO")
public class AppSearchQuery  extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 6556387960466677177L;

    @ApiModelProperty("查询类型 1.本部门 2.全部")
    private String type;

    @ApiModelProperty("关键字")
    private String keyword;

    @ApiModelProperty("--D_BZ_PBLX（排班类型）班次类型（01.勤务值班 02.巡防排班 03.上班排班）班次使用")
    private String bclx;

    @ApiModelProperty("点位类型(快反点使用)")
    private String dwlx;

    @ApiModelProperty("--D_BZ_ZNZBFL（智能装备分类）设备分类 关联设备类型表")
    private String scode;

    @ApiModelProperty("所属部门代码")
    private String ssbmdm;
}