package com.mosty.base.model.dto.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 巡防排班或报备或值班-车辆表
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_cl")
@ApiModel(value="TbQwCl对象", description="巡防排班或报备或值班-车辆表")
public class TbQwClDto implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "业务ID")
    private String ywid;

    @ApiModelProperty(value = "勤务车辆ID")
    private String qwclId;

    @ApiModelProperty(value = "车辆名称")
    private String clmc;

    @ApiModelProperty(value = "机动车号牌号码")
    private String jdchphm;

    @ApiModelProperty(value = "机动车号牌种类代码（字典）")
    private String jdchpzldm;

    @ApiModelProperty(value = "值班类型（1 勤务值班，2 巡防排班，3 巡防报备，4 值班记录）")
    private String zblx;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
