package com.mosty.base.model.dto.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.sql.Time;
import java.util.Date;

/**
 * <p>
 * 值班表
 * </p>
 *
 * @author kevin
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_zbbb")
@ApiModel(value="TbQwZb对象", description="值班表")
public class TbQwZbDto implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "值班日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zbrq;

    @ApiModelProperty(value = "查询值班开始日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ksrq;

    @ApiModelProperty(value = "查询值班结束日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jsrq;

    @ApiModelProperty(value = "值班领导")
    private String zbld;

    @ApiModelProperty(value = "值班领导ID")
    private String zbdlId;

    @ApiModelProperty(value = "值班指挥长姓名")
    private String zbzhzXm;

    @ApiModelProperty(value = "值班指挥长ID")
    private String zbzhzId;

    @ApiModelProperty(value = "专职指挥长姓名")
    private String zzzhzXm;

    @ApiModelProperty(value = "专职指挥长ID")
    private String zzzhzId;

    @ApiModelProperty(value = "法制值班姓名")
    private String fzzbXm;

    @ApiModelProperty(value = "法制值班ID")
    private String fzzbId;

    @ApiModelProperty(value = "值班民警（此处存民警id、姓名、警号、呼号json数据，详细数据从关联表获取）")
    private String zbmj;

    @ApiModelProperty(value = "值班状态（01 未值班、02值班中、03 值班完成）")
    private String zbzt;

    @ApiModelProperty(value = "是否确认（0 未确认 1 确认）")
    private String sfqr;

    @ApiModelProperty(value = "D_ZDY_PBMS排班模式（天模式、周模式、自定义模式）")
    private String pbms;

    @ApiModelProperty(value = "开始周")
    private Integer ksz;

    @ApiModelProperty(value = "结束周")
    private Integer jsz;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "数据来源;1、PC，2、手机端")
    private String xtSjly;

    @ApiModelProperty(value = "数据状态;0、停用，1、正常")
    private String xtSjzt;

    @ApiModelProperty(value = "删除标识;0、未删除，1、已删除")
    private String xtScbz;

    @ApiModelProperty(value = "备注")
    private String bz;


}
