package com.mosty.base.model.dto.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 巡防排班或报备或值班-通讯装备表
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_znzb")
@ApiModel(value="TbQwZnzb对象", description="巡防排班或报备或值班-智能装备表")
public class TbQwZnzbDto implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "业务ID")
    private String ywid;

    @ApiModelProperty(value = "通讯装备ID")
    private String txzbId;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    @ApiModelProperty(value = "通讯装备类型（01 移动警务终端  02 执法记录仪 03 对讲机）")
    private String txzblx;

    @ApiModelProperty(value = "呼号")
    private String hh;

    @ApiModelProperty(value = "组呼号")
    private String zhh;

    @ApiModelProperty(value = "值班类型（1 勤务值班，2 巡防排班，3 巡防报备，4 值班记录）")
    private String zblx;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
