package com.mosty.base.model.dto.rwzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/9/20
 * 根据业务ID和业务类型修改任务状态 Dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskChangeStateByYwidDto 对象", description = "根据业务ID和业务类型修改任务状态 Dto")
public class TbRwTaskChangeStateByYwidDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String ywid;

    @ApiModelProperty(value = "任务细类 01.一标三实 02.预警核查 03巡防任务 04.值班任务 05.指令任务")
    private String rwxl;

    @ApiModelProperty(value = "任务详细类型（自定义字段，一些业务需要，如指令 " +
            "01-指令签收，02-到达现场，03-指令处置完成，04-指令完结）")
    private String rwxxlx;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty("个人状态  0.待查看 1.进行中 2.已完成 3.已转发 4.被驳回")
    private String rwzt;
}
