package com.mosty.base.model.dto.rwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Value;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/9/20
 * 任务插入和返回类
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskDto 对象", description = "任务插入和返回类")
public class TbRwTaskDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一请求码")
    private String code;

    @ApiModelProperty(value = "业务ID")
    private String ywid;

    @ApiModelProperty(value = "任务名称")
    private String rwmc;

    @ApiModelProperty(value = "任务内容")
    private String rwnr;

    @ApiModelProperty(value = "任务接收对象 01.人员 02.部门 03.巡组")
    private String rwjsdx;

    @ApiModelProperty(value = "是否必须按期完成 0.否 1.是")
    private String sfaqwc;

    @ApiModelProperty(value = "任务类型 1.通知任务  2.处置任务")
    private String rwlx;

    @ApiModelProperty(value = "任务细类 01.一标三实 02.预警核查 03巡防任务 04.值班任务 05.指令任务")
    private String rwxl;

    @ApiModelProperty(value = "任务详细类型（自定义字段，一些业务需要，如指令 " +
            "01-指令签收，02-到达现场，03-指令处置完成，04-指令完结）")
    private String rwxxlx;

    @ApiModelProperty(value = "任务紧急程度 1.特急 2.紧急 3.常规")
    private String rwjjcd;

    @ApiModelProperty(value = "任务要求完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date rwyqwcsj;

    @ApiModelProperty(value = "任务模式 1.单人模式 2.多人模式")
    private String rwms;

    @ApiModelProperty(value = "任务链接 ")
    private String rwlj;

    @ApiModelProperty(value = "附件ID  多附件用逗号分隔")
    private String fjid;

    @ApiModelProperty(value = "创建人ID")
    private String cjrid;

    @ApiModelProperty(value = "创建人姓名")
    private String cjrxm;

    @ApiModelProperty(value = "创建人身份证号")
    private String cjrsfzh;

    @ApiModelProperty(value = "创建人联系电话")
    private String cjrlxdh;

    @ApiModelProperty(value = "创建人所属部门")
    private String ssbm;

    @ApiModelProperty(value = "创建人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "创建人所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "任务接收人员List")
    private List<TbRwTaskUserDto> userDtoList;
}
