package com.mosty.base.model.dto.rwzx;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/9/20
 * 任务状态修改Dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskGrChangeStateDto 对象", description = "任务状态修改Dto")
public class TbRwTaskGrChangeStateDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "任务ID")
    private String rwid;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty("个人状态  0.待查看 1.进行中 2.已完成 3.已转发  4.被驳回")
    private String rwzt;

    @ApiModelProperty(value = "接收人id")
    private String jsrid;

    @ApiModelProperty(value = "接收人名称")
    private String jsrmc;

    @ApiModelProperty(value = "接收人身份证号")
    private String jsrsfzh;

    @ApiModelProperty(value = "接收人电话")
    private String jsrlxdh;

    @ApiModelProperty(value = "创建人所属id")
    private String ssbmid;

    @ApiModelProperty(value = "创建人所属部门")
    private String ssbm;

    @ApiModelProperty(value = "创建人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "创建人所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "创建人所属市公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "创建人所属市公安局")
    private String ssxgajdm;

    @ApiModelProperty(value = "创建人所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "创建人所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "创建人所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "转发转发接收人Id")
    private String zfjsrId;

    @ApiModelProperty(value = "转发接收人名称")
    private String zfjsrmc;

    @ApiModelProperty(value = "转发接收人身份证号")
    private String zfjsrsfzh;

    @ApiModelProperty(value = "转发接收人电话")
    private String zfjsrlxdh;

    @ApiModelProperty(value = "转发接收人变更人所属部门")
    private String zfssbm;

    @ApiModelProperty(value = "转发接收人变更人所属部门代码")
    private String zfssbmdm;

    @ApiModelProperty(value = "转发接收人变更人所属县公安局")
    private String zfssxgaj;

    @ApiModelProperty(value = "转发接收人变更人所属市公安局")
    private String zfssxgajdm;

    @ApiModelProperty(value = "转发接收人变更人所属市公安局")
    private String zfsssgaj;

    @ApiModelProperty(value = "转发接收人所属市公安局代码")
    private String zfsssgajdm;
}
