package com.mosty.base.model.dto.rzzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/7/11
 * 视频播放日志新增DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRzSpbfInsertDto对象", description = "视频播放日志新增DTO")
public class TbRzSpbfInsertDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "来源表名")
    private String lybm;

    @ApiModelProperty(value = "来源id")
    private String lyid;

    @ApiModelProperty(value = "摄像头ID")
    private String sxtid;

    @ApiModelProperty(value = "摄像头名称")
    private String sxtmc;

    @ApiModelProperty(value = "播放说明（存通过什么功能播放的，如：勤务首页播放）")
    private String bfsm;

}
