package com.mosty.base.model.dto.sjzx;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-08-25
 * 日志记录新增 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbSjRzDto 对象", description = "日志记录新增 dto")
public class TbSjRzDto implements Serializable {

    private static final long serialVersionUID = 7390057038182466339L;

    @ApiModelProperty(value = "标识ID", name = "id")
    private String id;

    @ApiModelProperty(value = "事件ID")
    private String sjId;

    @ApiModelProperty(value = "日志内容")
    private String rzms;

    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date czsj;

    @ApiModelProperty(value = "操作人员id")
    private String czryId;

    @ApiModelProperty(value = "操作人员身份证号")
    private String czrySfzh;

    @ApiModelProperty(value = "操作人员姓名")
    private String czryXm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
