package com.mosty.base.model.dto.websocket;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022-07-11
 * websocket发送消息实体
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "WebSocketObject 对象", description = "websocket发送消息实体")
@NoArgsConstructor
@AllArgsConstructor
public class WebSocketObject {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "消息类型 01.一键报警新增  02.一键报警处置完成 03.报备巡组位置新增 04.报备巡组位置修改 " +
            "05.报备巡组位置删除 06 警情推送")
    private String type;

    @ApiModelProperty(value = "消息对象")
    private Object obj;

    @ApiModelProperty(value = "推送给身份证")
    private List<String> sfzList;
}
