package com.mosty.base.model.dto.wzzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @title: app位置接收
 * @projectName mosty-rzzx
 * @description:
 * @date 2022/8/29 10:58
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "AppLocationReceive对象", description = "APP位置接收")
public class AppLocationReceiveDto implements Serializable, Cloneable {

    @ApiModelProperty(value = "数据来源", name = "sjly", required = false)
    private String sjly;

    @ApiModelProperty(value = "报备ID", name = "bbid", required = false)
    private String bbid;

    @ApiModelProperty(value = "用户ID", name = "yhid", required = true)
    private String yhid;

    @ApiModelProperty(value = "用户姓名", name = "yhxm", required = false)
    private String yhxm;

    @ApiModelProperty(value = "用户身份证号", name = "yhSfzh", required = false)
    private String yhSfzh;

    @ApiModelProperty(value = "经度", name = "jd", required = false)
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度", name = "wd", required = false)
    private BigDecimal wd;

    @ApiModelProperty(value = "国", name = "guo", required = false)
    private String guo;

    @ApiModelProperty(value = "省", name = "sheng", required = false)
    private String sheng;

    @ApiModelProperty(value = "市", name = "shi", required = false)
    private String shi;

    @ApiModelProperty(value = "城市编码", name = "csbm", required = false)
    private String csbm;

    @ApiModelProperty(value = "所属区县", name = "ssqx", required = false)
    private String ssqx;

    @ApiModelProperty(value = "区县编码", name = "qxbm", required = false)
    private String qxbm;

    @ApiModelProperty(value = "地址详址", name = "dzxz", required = false)
    private String dzxz;

    @ApiModelProperty(value = "地址简称", name = "dzjc", required = false)
    private String dzjc;

    @ApiModelProperty(value = "定位标志", name = "dwbz", required = false)
    private String dwbz;

    @ApiModelProperty(value = "接入编号", name = "jrbh", required = false)
    private String jrbh;

    @ApiModelProperty(value = "所属部门", name = "ssbm", required = false)
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码", name = "ssbmdm", required = false)
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局", name = "ssxgaj", required = false)
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码", name = "ssxgajdm", required = false)
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局", name = "sssgaj", required = false)
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码", name = "sssgajdm", required = false)
    private String sssgajdm;

    @ApiModelProperty(value = "警组ID", name = "jzid", required = true)
    private String jzid;

    @ApiModelProperty(value = "警组名称", name = "jzmc", required = true)
    private String jzmc;

    /**
     * 上次经度，单位度
     */
    @ApiModelProperty(value = "经度(转WGS84后的值)", name = "lng")
    private Double lastLng;

    /**
     * 上次纬度，单位度
     */
    @ApiModelProperty(value = "纬度(转WGS84后的值)", name = "lat")
    private Double lastLat;

    @ApiModelProperty(value = "上次定位时间", name = "time")
    private Date lastTime;

}
