package com.mosty.base.model.dto.wzzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author
 * @title: SjCyjlUpdateDto
 * @projectName gxag-location
 * @description:
 * @date 2022/10/5 11:30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "SjCyjlUpdateDto对象", description = "位置参与警力更新DTO")
public class SjCyjlUpdateDto implements Serializable, Cloneable {

    @ApiModelProperty(value = "唯一标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    @TableField(value = "zb")
    private Point zb;

    @ApiModelProperty(value = "坐标hash值")
    private String zbhash;

    @ApiModelProperty(value = "当前位置")
    private String dqwz;

    @ApiModelProperty(value = "坐标更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date zbsj;

}
