package com.mosty.base.model.dto.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.LineString;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@TableName("tb_fzyc_xljl")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TbFzycXljlDto对象", description = "犯罪预测巡逻记录表")
public class TbFzycXljlDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警表标识ID", name = "id")
    private String id;

    @ApiModelProperty(value = "巡逻报备ID")
    private String xlbbId;

    @ApiModelProperty(value = "犯罪预警预测指令ID")
    private String fzyjyczlId;

    @ApiModelProperty(value = "巡逻开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date xlkssj;

    @ApiModelProperty(value = "巡逻结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date xljssj;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal dqjd;

    @ApiModelProperty(value = "地球纬度")
    private BigDecimal dqwd;

    @ApiModelProperty(value = "距离中心点距离（米）")
    private BigDecimal zxJl;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "报备部门")
    private String ssbm;

    @ApiModelProperty(value = "报备部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "巡防时长")
    private int xfsc;

    @ApiModelProperty(value = "巡防里程")
    private int xflc;

    @ApiModelProperty(value = "坐标线（保存redis使用）", dataType = "java.util.List")
    @TableField(exist = false)
    private List<BigDecimal[]> zbList;

    @ApiModelProperty(value = "巡组名称")
    private String xzmc;

    @ApiModelProperty(value = "是否签收 0否 1是")
    private String sfqs;

    @ApiModelProperty(value = "盘查人员")
    private int pcry;

    @ApiModelProperty(value = "盘查车辆")
    private int pccl;

    @ApiModelProperty(value = "是否签收名称")
    private String sfqsmc;

}
