package com.mosty.base.model.dto.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@TableName("tb_yjxx" )
@ApiModel(value = "Entity Of tb_yjxx")
@Accessors(chain = true)
public class TbYjxxDTO {

    @ApiModelProperty(value = "预警表标识ID", name ="id",required = false)
    private String id;

    @ApiModelProperty(value = "预警来源类型 01.感知预警  02.派发预警", name = "yjLylx")
    private String yjLylx;

    @ApiModelProperty(value = "预警类型;01-人员预警，02-车辆预警，03-人员和车辆预警，04-事件预警（拉横幅、打架等），05-警情", name ="yjLx",required = false)
    private String yjLx;

    @ApiModelProperty(value = "感知源id", name ="yjGzyid",required = false)
    private String yjGzyid;

    @ApiModelProperty(value = "发生日期", name ="yjFsrq",required = false)
    private java.sql.Date yjFsrq;

    @ApiModelProperty(value = "发生时间", name ="yjFssj",required = false)
    private String yjFssj;

    @ApiModelProperty(value = "预警时间", name ="yjSj",required = false)
    private String yjSj;

    @ApiModelProperty(value = "预警级别（10红、20橙、30黄、40蓝）", name ="yjJb",required = false)
    private String yjJb;

    @ApiModelProperty(value = "预警标题", name ="yjBt",required = false)
    private String yjBt;

    @ApiModelProperty(value = "预警内容", name ="yjNr",required = false)
    private String yjNr;

    @ApiModelProperty(value = "预警次数", name ="yjCs",required = false)
    private long yjCs;

    @ApiModelProperty(value = "经度", name ="jd",required = false)
    private double jd;

    @ApiModelProperty(value = "纬度", name ="wd",required = false)
    private double wd;

    @ApiModelProperty(value = "坐标", name ="zb",required = false)
    private long zb;

    @ApiModelProperty(value = "坐标hash值", name ="zbhash",required = false)
    private String zbhash;

    @ApiModelProperty(value = "预警地址-行政区划代码", name ="yjDzXzqh",required = false)
    private String yjDzXzqh;

    @ApiModelProperty(value = "预警地址", name ="yjDz",required = false)
    private String yjDz;

    @ApiModelProperty(value = "预警人员姓名", name ="yjRyxm",required = false)
    private String yjRyxm;

    @ApiModelProperty(value = "相似度", name = "xsd")
    private BigDecimal xsd;

    @ApiModelProperty(value = "预警人员身份证号码（人员预警必填）", name ="yjRysfzh",required = false)
    private String yjRysfzh;

    @ApiModelProperty(value = "预警车辆车牌号;车辆预警必填", name ="yjClcph",required = false)
    private String yjClcph;

    @ApiModelProperty(value = "预警标签", name ="yjbq",required = false)
    private String yjbq;

    @ApiModelProperty(value = "是否发送指令", name ="sfFszl",required = false)
    private String sfFszl;

    @ApiModelProperty(value = "是否误报", name ="sfWb",required = false)
    private String sfWb;

    @ApiModelProperty(value = "预警图片", name ="yjTp",required = false)
    private String yjTp;

    @ApiModelProperty(value = "所属部门", name ="ssbm",required = false)
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码", name ="ssbmdm",required = false)
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局", name ="ssxgaj",required = false)
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码", name ="ssxgajdm",required = false)
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局", name ="sssgaj",required = false)
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码", name ="sssgajdm",required = false)
    private String sssgajdm;

    @ApiModelProperty(value = "数据来源;1、PC，2、手机端", name ="xtSjly",required = false)
    private String xtSjly;

    @ApiModelProperty(value = "数据状态;0、停用，1、正常", name ="xtSjzt",required = false)
    private String xtSjzt;

    @ApiModelProperty(value = "删除标识;0、未删除，1、已删除", name ="xtScbz",required = false)
    private String xtScbz;

    @ApiModelProperty(value = "创建IP", name ="xtCjip",required = false)
    private String xtCjip;

    @ApiModelProperty(value = "创建时间", name ="xtCjsj",required = false)
    private String xtCjsj;

    @ApiModelProperty(value = "创建人ID", name ="xtCjrId",required = false)
    private String xtCjrId;

    @ApiModelProperty(value = "创建人名称", name ="xtCjr",required = false)
    private String xtCjr;

    @ApiModelProperty(value = "创建部门代码", name ="xtCjbmdm",required = false)
    private String xtCjbmdm;

    @ApiModelProperty(value = "创建部门名称", name ="xtCjbmmc",required = false)
    private String xtCjbmmc;

    @ApiModelProperty(value = "最后更新IP", name ="xtZhgxip",required = false)
    private String xtZhgxip;

    @ApiModelProperty(value = "最后更新时间", name ="xtZhgxsj",required = false)
    private String xtZhgxsj;

    @ApiModelProperty(value = "最后更新人ID", name ="xtZhgxrid",required = false)
    private String xtZhgxrid;

    @ApiModelProperty(value = "最后更新人名称", name ="xtZhgxr",required = false)
    private String xtZhgxr;

    @ApiModelProperty(value = "最后更新部门代码", name ="xtZhgxbmdm",required = false)
    private String xtZhgxbmdm;

    @ApiModelProperty(value = "最后更新部门名称", name ="xtZhgxbm",required = false)
    private String xtZhgxbm;
    
    @ApiModelProperty(value = "备注", name ="bz",required = false)
    private String bz;
    @ApiModelProperty(value = "三方预警id", name ="sf_yjid",required = false)
    private String sfYjid;
}
