package com.mosty.base.model.dto.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022-10-15
 * 指令处置流程DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbZlxxZtChangeDto 对象", description = "指令处置流程DTO")
public class TbZlxxZtChangeDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指令ID")
    private String zlId;

    @ApiModelProperty(value = "指令接收对象类型--D_BZ_ZLJSDX，如：01：人员，02：部门，03-巡组")
    private String zljsdx;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "指令执行状态--D_BZ_ZXZTAI（01-签收；02-到达现场，" +
            "03-处置完成，04-完结，05-研判，06-再研判，07-反馈，08-转发")
    private String zlzxzt;

    @ApiModelProperty(value = "指令执行地点行政区划代码--D_BZ_XZQHDM")
    private String zlzxddXzqhdm;

    @ApiModelProperty(value = "指令执行地点")
    private String zlzxdd;

    @ApiModelProperty(value = "指令执行巡组id-存报备id")
    private String zlzxrXzid;

    @ApiModelProperty(value = "指令执行人ID")
    private String zlzxrId;

    @ApiModelProperty(value = "指令执行人名称")
    private String zlzxrXm;

    @ApiModelProperty(value = "指令执行人身份证")
    private String zlzxrSfz;

    @ApiModelProperty(value = "指令执行人电话")
    private String zlzxrDh;

    @ApiModelProperty(value = "附件ID")
    private String fjid;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "是否手动点击到达现场,0-否1-是")
    private String sfsddd;

    @ApiModelProperty(value = "指令完结说明")
    private String zlwjsm;

    @ApiModelProperty(value = "第三方处置必须--身份证号")
    private String sfzh;

    @ApiModelProperty(value = "转发指令人列表", notes = "转发指令人列表", required = true)
    private List<TbZlxxZxrDtoInsertDto> zxrDtoList;
}
