package com.mosty.base.model.dto.yjzl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022-10-27
 * 指令处置流程DTO---人员管控
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbZlxxZtChangeRygkDto 对象", description = "指令处置流程DTO---人员管控")
public class TbZlxxZtChangeRygkDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指令ID")
    private String zlId;

    @ApiModelProperty(value = "指令接收对象类型--D_BZ_ZLJSDX，如：01：人员，02：部门，03-巡组")
    private String zljsdx;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "指令执行状态--D_BZ_ZXZTAI（05-研判，06-再研判，07-反馈")
    private String zlzxzt;

    @ApiModelProperty(value = "指令执行地点行政区划代码--D_BZ_XZQHDM")
    private String zlzxddXzqhdm;

    @ApiModelProperty(value = "指令执行地点")
    private String zlzxdd;

    @ApiModelProperty(value = "指令执行巡组id-存报备id")
    private String zlzxrXzid;

    @ApiModelProperty(value = "指令执行人ID")
    private String zlzxrId;

    @ApiModelProperty(value = "指令执行人名称")
    private String zlzxrXm;

    @ApiModelProperty(value = "指令执行人身份证")
    private String zlzxrSfz;

    @ApiModelProperty(value = "指令执行人电话")
    private String zlzxrDh;

    @ApiModelProperty(value = "附件ID,多附件用逗号拼接")
    private String fjid;

    @ApiModelProperty(value = "附件名称（多附件用逗号拼接，保持和附件id顺序一致）")
    private String fjmc;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "研判意见 处置经过描述 ")
    private String zxnr;
}
