package com.mosty.base.model.dto.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022-09-01
 * 指令-执行记录表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbZlxxZxjlInsertDto 对象", description="指令-执行记录表添加对象")
public class TbZlxxZxjlInsertDto implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "指令ID")
    private String zlId;

    @ApiModelProperty(value = "指令执行动作（00-接收指令，01-签收，02-到达现场，03-已处置，04-反馈，" +
            "05-下发，06-转发，07-转发确认，08-转发退回，99-完结）")
    private String zlzxzt;

    @ApiModelProperty(value = "执行内容")
    private String zxnr;

    @ApiModelProperty(value = "语音时长")
    private Integer yysc;

    @ApiModelProperty(value = "视频首帧图片")
    private String sptpid;

    @ApiModelProperty(value = "执行附件（图片）")
    private String zxfj;

    @ApiModelProperty(value = "指令执行地点行政区划代码--D_BZ_XZQHDM")
    private String zlzxddXzqhdm;

    @ApiModelProperty(value = "指令执行地点")
    private String zlzxdd;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "附件ID")
    private String fjid;

    @ApiModelProperty(value = "身份证号--第三方指令必传")
    private String sfzh;
}
