package com.mosty.base.model.dto.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022-09-07
 * 指令执行人添加或修改DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbZlxxZxrDtoInsertDto 对象", description = "指令执行人添加或修改DTO")
public class TbZlxxZxrDtoInsertDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指令ID")
    private String zlId;

    @ApiModelProperty(value = "指令接收对象类型，如：01：人员，02：部门，03-巡组--D_BZ_ZLJSDX",
            notes = "指令接收对象类型，如：01：人员，02：部门，03-巡组--D_BZ_ZLJSDX",required = true)
    private String zxrLx;

    @ApiModelProperty(value = "指令执行巡组id-存报备id")
    private String zxrXzid;

    @ApiModelProperty(value = "执行巡组名称")
    private String zxrXzmc;

    @ApiModelProperty(value = "指令执行人ID")
    private String zxrId;

    @ApiModelProperty(value = "指令执行人警力类型 01 民警  02 辅警")
    private String zxrJllx;

    @ApiModelProperty(value = "指令执行人姓名")
    private String zxrXm;

    @ApiModelProperty(value = "指令执行人身份证")
    private String zxrSfz;

    @ApiModelProperty(value = "指令执行人电话")
    private String zxrDh;

    @ApiModelProperty(value = "所属部门Id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门名称")
    private String ssbmmc;

    @ApiModelProperty(value = "备注")
    private String bz;
}
