package com.mosty.base.model.dto.yjzl.third;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-09-14
 * 我的指令信息查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ThirdMyZlSearchDto 对象", description = "我的指令信息查询DTO")
public class ThirdMyZlSearchDto extends BasePage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("身份证号")
    private String sfzh;

    @ApiModelProperty(value = "指令执行状态--D_BZ_ZXZTAI（01-待签收，02-正常签收，03-超时签收；04-已转发；11-巡逻中，" +
            "21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场(实际未到达)；" +
            "25-超时到达现场 ，26-已研判，27-已反馈，31-待处置，32-处置完成；91-未完成，92-已完成，" +
            "93-超时完成，94-已结束未完成）逗号拼接多个")
    private String zlzxzt;

    @ApiModelProperty(value = "指令内容")
    private String zlnr;

    @ApiModelProperty(value = "指令类型--D_BZ_ZLLX(01-巡防指令、02-人员预警核查指令、03-车辆预警核查指令、" +
            "04-事件预警处置指令、05-警情处置指令、06-人工指令、07-人员管控指令)逗号拼接多个")
    private String zllx;

    @ApiModelProperty(value = "开始时间")
    private String kssj;

    @ApiModelProperty(value = "结束时间")
    private String jssj;

    @ApiModelProperty(value = "根据时间查询最新的指令列表")
    private String time;
}
