package com.mosty.base.model.dto.yjzl.third;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.mosty.base.model.dto.yjzl.TbZlxxZxrDtoInsertDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author dw
 * @since 2022-12-14
 * 第三方指令新增或修改Dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ThirdTbZlxxInsertDto 对象", description = "第三方指令新增或修改Dto")
public class ThirdTbZlxxInsertDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指令表标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "业务ID")
    private String ywId;

    @ApiModelProperty(value = "指令类型--D_BZ_ZLLX(01-巡防指令、02-人员预警核查指令、03-车辆预警核查指令、" +
            "04-事件预警处置指令、05-警情处置指令、06-人工指令、07-人员管控指令、08.事务指令)")
    private String zllx;

    @ApiModelProperty(value = "人工指令类型：01-应急增援、02-巡逻、03-查找、04-盘查、05-抓捕、06-布防")
    private String rgzlLx;

    @ApiModelProperty(value = "指令来源--D_BZ_ZLLY（01-巡逻方案，02-人员预警，03-车辆预警，04-事件预警，" +
            "05-警情，06-人工,07-人员管控，08-事务）")
    private String zlly;

    @ApiModelProperty(value = "指令执行类型--D_BZ_ZLZXLX（1-单人执行，2-多人执行）")
    private String zlzxlx;

    @ApiModelProperty(value = "指令标题")
    private String zlbt;

    @ApiModelProperty(value = "指令内容")
    private String zlnr;

    @ApiModelProperty(value = "指令等级--D_BZ_TYJB（10-红色,20-橙色,30-黄色,40-蓝色）")
    private String zldj;

    @ApiModelProperty(value = "指令接收对象--D_BZ_ZLJSDX，如：01：人员，02：部门，03-巡组")
    private String zljsdx;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "指令发生地址行政区划代码--D_BZ_XZQHDM")
    private String zlfsddxzqh;

    @ApiModelProperty(value = "指令发生地址")
    private String zlfsdd;

    @ApiModelProperty(value = "附件ID")
    private String fjId;

    @ApiModelProperty(value = "指令接收人数")
    private Integer zljsrs;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "指令图片")
    private String zltp;

    @ApiModelProperty(value = "身份证号码")
    private String sfzh;

    @ApiModelProperty(value = "指令人列表", notes = "指令人列表", required = true)
    private List<TbZlxxZxrDtoInsertDto> zxrDtoList;
}
