package com.mosty.base.model.dto.yszx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author dw
 * @since 2022/10/27
 * 根据经纬度查询公安机关要素DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsGajgDto对象", description = "根据经纬度查询公安机关要素DTO")
public class TbYsGajgByJwdDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "要素大类")
    private String ysdl;

    @ApiModelProperty(value = "要素中类")
    private String yszl;

    @ApiModelProperty(value = "要素小类")
    private String ysxl;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度")
    private BigDecimal wd;
}
