package com.mosty.base.model.dto.yszx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author dw
 * @since 2022/7/19
 * 公安机关要素Dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsGajgDto对象", description = "公安机关要素Dto")
public class TbYsGajgDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "要素大类")
    private String ysdl;

    @ApiModelProperty(value = "要素中类")
    private String yszl;

    @ApiModelProperty(value = "要素小类")
    private String ysxl;

    @ApiModelProperty(value = "要素名称")
    private String gajgmc;

    @ApiModelProperty(value = "要素简称")
    private String gajgjc;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）要素位置行政区划代码")
    private String wzXzqh;

    @ApiModelProperty(value = "位置（行政区划名称+地址详址）")
    private String wzXz;

    @ApiModelProperty(value = "位置别称")
    private String wzBc;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度")
    private BigDecimal wd;

    @ApiModelProperty(value = "管辖区域，如：公安局、派出所、巡防区、快反点的面[x,y,x1,y1....]")
    private List<BigDecimal> qy;

    @ApiModelProperty(value = "如果是快反点 这里表示2圈层")
    private List<BigDecimal> qy1;

    @ApiModelProperty(value = "如果是快反点  这里表示3圈层")
    private List<BigDecimal> qy2;

    @ApiModelProperty(value = "来源表名")
    private String lybm;

    @ApiModelProperty(value = "来源id")
    private String lyid;

    @ApiModelProperty(value = "所属派出所")
    private String ssbm;

    @ApiModelProperty(value = "所属派出所代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属派出所id")
    private String ssbmid;

    @ApiModelProperty(value = "备注", name = "bz")
    private String bz;

    @ApiModelProperty(value = "颜色")
    private String color;
}
