package com.mosty.base.model.entity.afjcsj;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author dw
 * @since 2022-10-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("af_jcsj.vw_sydw_cyry_gx")
@ApiModel(value = "实有单位-从业人员表")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class VwSydwCyryGx implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("人员id")
    private String ryid;

    @ApiModelProperty("姓名")
    private String xm;

    @ApiModelProperty("性别")
    private String xb;

    @ApiModelProperty("民族代码")
    private String mzdm;

    @ApiModelProperty("出生日期")
    private String csrq;

    @ApiModelProperty("联系电话")
    private String lxdh;

    @ApiModelProperty("证件号码")
    private String zjhm;

    @ApiModelProperty("证件类型代码")
    private String zjlxdm;

    @ApiModelProperty("籍贯代码（行政区划代码）")
    private String jgdm;

    @ApiModelProperty("工作开始日期（无值）")
    private String bgzksrq;

    @ApiModelProperty("工作结束日期（无值）")
    private String bgzjsrq;

    @ApiModelProperty("国家地区代码")
    private String gjdm;

    @ApiModelProperty("所属地区代码")
    private String ssdq;

    @ApiModelProperty("单位id")
    private String dwid;

    @ApiModelProperty("单位名称")
    private String dwmc;

    @ApiModelProperty("单位分类")
    private String dwfl;

    @ApiModelProperty("单位地址名称")
    private String dwdzmc;

    @ApiModelProperty("地址-单位地址代码")
    private String dzDwdzdm;

    @ApiModelProperty("地址-单位地址行政区划代码")
    private String dzDwdzssxdm;

    @ApiModelProperty("地址-单位地址详址")
    private String dzDwdzxz;

    @ApiModelProperty("地址-单位地址门楼牌代码")
    private String dzDwdzmlpdm;

    @ApiModelProperty("地址-单位地址门楼牌详址")
    private String dzDwdzmlpxz;

    @ApiModelProperty("居住地-地址id")
    private String jzdDzid;

    @ApiModelProperty("居住地-经度")
    private String jzdZbx;

    @ApiModelProperty("居住地-纬度")
    private String jzdZby;

    @ApiModelProperty("居住地-地址详址")
    private String jzdDzxz;

    @ApiModelProperty("居住地-门楼牌代码")
    private String jzdMlpdm;

    @ApiModelProperty("居住地-门楼牌详址")
    private String jzdMlpxz;

    @ApiModelProperty("居住地-行政区划代码")
    private String jzdXzqhdm;

    @ApiModelProperty("系统-注销原因")
    private String xtZxyy;

    @ApiModelProperty("系统-注销标注（0-正常 1-注销）")
    private String xtZxbz;

    @ApiModelProperty("备注")
    private String bz;

    @ApiModelProperty("cjrlbdm")
    private String cjrlbdm;

    @ApiModelProperty("cjyjdm")
    private String cjyjdm;

    @ApiModelProperty("bmjb")
    private String bmjb;

    @ApiModelProperty("scbj")
    private String scbj;

    @ApiModelProperty("xzbj")
    private String xzbj;

    @ApiModelProperty("xt_cjsj")
    private String xtCjsj;

    @ApiModelProperty("xt_lrsj")
    private String xtLrsj;

    @ApiModelProperty("xt_lrrxm")
    private String xtLrrxm;

    @ApiModelProperty("zwlbdm")
    private String zwlbdm;

    @ApiModelProperty("xt_lrrid")
    private String xtLrrid;

    @ApiModelProperty("sjly")
    private String sjly;

    @ApiModelProperty("rybh")
    private String rybh;

    @ApiModelProperty("xt_lrrbm")
    private String xtLrrbm;

    @ApiModelProperty("szgw")
    private String szgw;

    @ApiModelProperty("xt_lrrbmid")
    private String xtLrrbmid;

    @ApiModelProperty("szbm")
    private String szbm;

    @ApiModelProperty("xt_zhxgsj")
    private String xtZhxgsj;

    @ApiModelProperty("xt_zhxgrxm")
    private String xtZhxgrxm;

    @ApiModelProperty("xt_zhxgrid")
    private String xtZhxgrid;

    @ApiModelProperty("xt_zhxgrbm")
    private String xtZhxgrbm;

    @ApiModelProperty("xt_zhxgrbmid")
    private String xtZhxgrbmid;

    @ApiModelProperty("xt_zhxgip")
    private String xtZhxgip;

    @ApiModelProperty("bgrq")
    private String bgrq;

    @ApiModelProperty("zxyybz")
    private String zxyybz;

    @ApiModelProperty("kyjx")
    private String kyjx;

    @ApiModelProperty("kyxw")
    private String kyxw;

    @ApiModelProperty("ldrkid")
    private String ldrkid;

    @ApiModelProperty("sfclsyrk")
    private String sfclsyrk;

    @ApiModelProperty("old_id")
    private String oldId;

    @ApiModelProperty("old_dwid")
    private String oldDwid;

    @ApiModelProperty("old_ryid")
    private String oldRyid;

    @ApiModelProperty("old_jzd_dzid")
    private String oldJzdDzid;

    @ApiModelProperty("cygj_qrbz")
    private String cygjQrbz;

    @ApiModelProperty("xt_timestamp")
    private String xtTimestamp;

    @ApiModelProperty("sfylxdh")
    private String sfylxdh;

    @ApiModelProperty("dep_action_flag")
    private String depActionFlag;

    @ApiModelProperty("dep_action_time")
    private String depActionTime;

    @ApiModelProperty("dep_firstenter_time")
    private String depFirstenterTime;

    @ApiModelProperty("rowkey")
    private String rowkey;

    @ApiModelProperty("etl_oper_type")
    private String etlOperType;

    @ApiModelProperty("etl_timestamp")
    private String etlTimestamp;

    @ApiModelProperty("etl_update_time")
    private String etlUpdateTime;
}
