package com.mosty.base.model.entity.bkzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/7/11
 * 布控车辆
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_bk_cl")
@ApiModel(value = "TbBkCl对象", description = "布控车辆表")
public class TbBkCl extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "号牌类型代码")
    private String cplxdm;

    @ApiModelProperty(value = "车牌号码")
    private String cphm;

    @ApiModelProperty(value = "车牌号颜色")
    private String cphys;

    @ApiModelProperty(value = "车辆颜色")
    private String clys;

    @ApiModelProperty(value = "车辆所有人身份证号")
    private String clsyrsfzh;

    @ApiModelProperty(value = "车辆所有人姓名")
    private String clsyrxm;

    @ApiModelProperty(value = "车架号")
    private String clcjh;

    @ApiModelProperty(value = "车辆类型代码")
    private String cllxdm;

    @ApiModelProperty(value = "布控级别 10-红，20-橙色，30-黄色，40-蓝色")
    private String bkjb;

    @ApiModelProperty(value = "布控天数")
    private Integer bkts;

    @ApiModelProperty(value = "布控开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bkkssj;

    @ApiModelProperty(value = "布控结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bkjssj;

    @ApiModelProperty(value = "布控范围 1.全国  2.全省 3.全市 4.全县，5-本部门")
    private String bkfw;

    @ApiModelProperty(value = "布控事由")
    private String bksy;

    @ApiModelProperty(value = "处置方式 1.控制 2.管控 3.经营 4.关注 5.掌握轨迹")
    private String czfs;

    @ApiModelProperty(value = "处置说明")
    private String czsm;

    @ApiModelProperty(value = "审核人员ID")
    private String shryid;

    @ApiModelProperty(value = "审核人员")
    private String shryxm;

    @ApiModelProperty(value = "审核部门")
    private String shrybm;

    @ApiModelProperty(value = "审核部门代码")
    private String shrybmdm;

    @ApiModelProperty(value = "审核状态  0.审核中  1.审核通过  2.审核不通过")
    private String shzt;

    @ApiModelProperty(value = "审核说明（不通过原因）")
    private String shsm;

    @ApiModelProperty(value = "布控状态  0.审核中  1.布控中  2.结束布控 3.撤销）")
    private String bkzt;

    @ApiModelProperty(value = "是否全市布控成功 0.否 1.是")
    private String sfqsbkcg;

    @ApiModelProperty(value = "全市布控成功时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qsbkcgsj;

    @ApiModelProperty(value = "是否全省布控成功 0.否 1.是")
    private String sfqsebkcg;

    @ApiModelProperty(value = "全省布控成功时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qsebkcgsj;

    @ApiModelProperty(value = "是否短信通知 0.否  1.是")
    private String sfdxtz;

    @ApiModelProperty(value = "申请人ID")
    private String sqrid;

    @ApiModelProperty(value = "申请人身份证号")
    private String sqrsfzh;

    @ApiModelProperty(value = "申请人姓名")
    private String sqrxm;

    @ApiModelProperty(value = "申请人联系方式")
    private String sqrlxfs;

    @ApiModelProperty(value = "申请人所属部门")
    private String ssbm;

    @ApiModelProperty(value = "申请人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "申请人所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "申请人所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "申请人所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "申请人所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "布控id")
    private String bkid;

    @ApiModelProperty(value = "布控库id")
    private String bkkid;
}
