package com.mosty.base.model.entity.bkzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_bk_db")
@ApiModel(value = "TbBkDb对象", description = "布控数据库信息记录")
public class TbBkDb extends BaseEntity implements Serializable,Cloneable {
    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.AUTO)
    private  Long  id;

    @ApiModelProperty(value = "布控库名")
    private String  dbName;

    @ApiModelProperty(value = "布控数据库ID标识")
    private String  dbId;

    @ApiModelProperty(value = "布控数据库厂商类型")
    private String  dbCs;

    @ApiModelProperty(value = "库描述信息")
    private String description;

    @ApiModelProperty(value = "布控类型： 5100：静态人脸 5200：抓拍人脸 ，5300：布控人脸 ，7300：布控车牌")
    private String bkType;

    @ApiModelProperty(value = "数据库类型：All所有(包含人车)，Personnel 人员，Car 车辆")
    private String dbType;

    @ApiModelProperty(value = "所属市公安局ID")
    private String  sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String  sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String  sssgajdm;

    @ApiModelProperty(value = "布控开始时间")
    private Date    bkKassj;

    @ApiModelProperty(value="布控结束时间")
    private Date    bkJssj;

    @ApiModelProperty(value = "数据库布控状态: 0 未布控，1 已布控")
    private  String  dbBkzt;

    @ApiModelProperty(value = "联系人电话")
    private  String  lxrdhhm;

    @ApiModelProperty(value = "布控库的警告信息接收手机号")
    private  String jgxxjssjhm;

    @ApiModelProperty(value = "布控ID")
    @TableField(exist = false)
    private  String dispositionID;

    @ApiModelProperty(value = "是否隐藏数据库，即前端不展示的数据信息")
    private  Boolean  hidden;

    @ApiModelProperty(value = "市/区代码")
    private  String   areaCode;

    @ApiModelProperty(value = "市/区名字")
    private  String   areaName;

    @TableField(exist = false)
    private  Object  account;

    @ApiModelProperty(value="布控任务ID")
    private  String  bkTaskId;
}
