package com.mosty.base.model.entity.bkzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/7/13
 * 布控人员
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_bk_ry")
@ApiModel(value = "TbBkRy对象", description = "布控人员表")
public class TbBkRy extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "布控类型 1.身份证布控 2.手机布控 3.护照布控 4.人脸布控")
    private String bklx;

    @ApiModelProperty(value = "身份证号")
    private String sfzh;

    @ApiModelProperty(value = "手机号码")
    private String sjhm;

    @ApiModelProperty(value = "IMEI码")
    private String imei;

    @ApiModelProperty(value = "IMSI码")
    private String imsi;

    @ApiModelProperty(value = "护照号码")
    private String hzhm;

    @ApiModelProperty(value = "人像图片地址")
    private String rxtpdz;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "性别代码")
    private String xbdm;

    @ApiModelProperty(value = "民族代码")
    private String mzdm;

    @ApiModelProperty(value = "文化程度代码")
    private String whcddm;

    @ApiModelProperty(value = "联系方式")
    private String lxfs;

    @ApiModelProperty(value = "居住地行政区划")
    private String jzdxzqh;

    @ApiModelProperty(value = "居住地址")
    private String jzdz;

    @ApiModelProperty(value = "人员类型代码（如吸贩毒）")
    private String rylxdm;

    @ApiModelProperty(value = "布控级别 10-红，20-橙色，30-黄色，40-蓝色")
    private String bkjb;

    @ApiModelProperty(value = "布控天数")
    private Integer bkts;

    @ApiModelProperty(value = "布控开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date bkkssj;

    @ApiModelProperty(value = "布控结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date bkjssj;

    @ApiModelProperty(value = "布控范围 1.全国  2.全省 3.全市 4.全县，5-本部门")
    private String bkfw;

    @ApiModelProperty(value = "布控事由")
    private String bksy;

    @ApiModelProperty(value = "处置方式 1.控制 2.管控 3.经营 4.关注 5.掌握轨迹")
    private String czfs;

    @ApiModelProperty(value = "处置说明")
    private String czsm;

    @ApiModelProperty(value = "审核人员ID")
    private String shryid;

    @ApiModelProperty(value = "审核人员")
    private String shryxm;

    @ApiModelProperty(value = "审核部门")
    private String shrybm;

    @ApiModelProperty(value = "审核部门代码")
    private String shrybmdm;

    @ApiModelProperty(value = "审核状态  0.审核中  1.审核通过  2.审核不通过")
    private String shzt;

    @ApiModelProperty(value = "审核说明（不通过原因）")
    private String shsm;

    @ApiModelProperty(value = "布控状态  0.审核中  1.布控中  2.结束布控 3.撤销）")
    private String bkzt;

    @ApiModelProperty(value = "是否全市布控成功 0.否 1.是")
    private String sfqsbkcg;

    @ApiModelProperty(value = "全市布控成功时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qsbkcgsj;

    @ApiModelProperty(value = "是否全省布控成功 0.否 1.是")
    private String sfqsebkcg;

    @ApiModelProperty(value = "全省布控成功时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qsebkcgsj;

    @ApiModelProperty(value = "是否短信通知 0.否  1.是")
    private String sfdxtz;

    @ApiModelProperty(value = "申请人ID")
    private String sqrid;

    @ApiModelProperty(value = "申请人身份证号")
    private String sqrsfzh;

    @ApiModelProperty(value = "申请人姓名")
    private String sqrxm;

    @ApiModelProperty(value = "申请人联系方式")
    private String sqrlxfs;

    @ApiModelProperty(value = "申请人所属部门")
    private String ssbm;

    @ApiModelProperty(value = "申请人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "申请人所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "申请人所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "申请人所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "申请人所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "布控库id")
    private String bkkid;

    @ApiModelProperty(value = "布控id")
    private String bkid;
}
