package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.entity.spxl.TbSpxlSpxlfaSxtz;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/9/27
 * 安保风采实体表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_abfc")
@ApiModel(value = "TbJcglAbfc 对象", description = "安保风采实体表")
public class TbJcglAbfc extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "标题")
    private String bt;

    @ApiModelProperty(value = "摘要")
    private String zy;

    @ApiModelProperty(value = "内容")
    private String nr;

    @ApiModelProperty(value = "附件ID")
    private String fjid;

    @ApiModelProperty(value = "创建人ID")
    private String cjrid;

    @ApiModelProperty(value = "创建人姓名")
    private String cjrxm;

    @ApiModelProperty(value = "创建人身份证号")
    private String cjrsfzh;

    @ApiModelProperty(value = "添加时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date tjsj;
}
