package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 巡防警力标签表（技能/经验）;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-6-6
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防警力标签表（技能/经验）", description = "")
@TableName("tb_jcgl_bq")
public class TbJcglBq extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = -4728653996454701336L;

    /**
     * 巡防力量标签标识ID
     */
    @ApiModelProperty(value = "巡防力量标签标识ID",name = "id")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 标签类型;EXP：经验标签，SKL：技能标签
     */
    @ApiModelProperty(value = "标签类型：EXP：经验标签，SKL：技能标签",name = "bqlx")
    private String bqlx;
    /**
     * 标签中文名称
     */
    @ApiModelProperty(value = "标签中文名称",name = "bqmc")
    private String bqmc;

    /**
     * 标签中文名称
     */
    @ApiModelProperty(value = "标签编号",name = "bqbh")
    private String bqbh;


    /**
     * 标签拼音码;后端自动生成
     */
    @ApiModelProperty(value = "标签拼音码",name = "bqpym")
    private String bqpym;
    /**
     * 标签图标url
     */
    @ApiModelProperty(value = "标签图标url",name = "bqtb")
    private String bqtb;
    /**
     * 计算模型ID
     */
    @ApiModelProperty(value = "计算模型ID", name = "mxId")
    private String mxId;
}