package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.LineString;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 巡防区域-必巡线
 * </p>
 *
 * @author zengbo
 * @since 2022-07-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_bxx")
@ApiModel(value="TbJcglBxx对象", description="巡防区域-必巡线")
public class TbJcglBxx extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "巡防区域必巡点表标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "所属巡防区域ID")
    private String ssXfqyId;

    @ApiModelProperty(value = "必巡线名称")
    private String bxxMc;

    @ApiModelProperty(value = "--D_BZ_BXDLX（必巡点类型）必巡点类型;1、一般区域，2、重点区域，3、核心区域，4、人员密集区域")
    private String bxxLx;

    @ApiModelProperty(value = "警组ID")
    private String jzId;

    @ApiModelProperty(value = "必巡线坐标")
    private LineString zb;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）行政区划代码")
    private String xzqhdm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
