package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/9/28
 * 第三方表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_dsf")
@ApiModel(value = "TbJcglDsf 对象", description = "第三方表")
public class TbJcglDsf extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "系统名称")
    private String xtmc;

    @ApiModelProperty(value = "服务类型 01.任务服务 02.位置服务 03.")
    private String fwlx;

    @ApiModelProperty(value = "责任人姓名")
    private String zrrxm;

    @ApiModelProperty(value = "责任人联系电话")
    private String zrrlxdh;

    @ApiModelProperty(value = "请求的唯一码")
    private String code;

    @ApiModelProperty(value = "过期时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date gqsj;

    @ApiModelProperty(value = "状态 01.审核中 02.使用中 03.审核不通过 04.已停用 05.已过期")
    private String zt;
}
