package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author aklcoming
 * @Date 2022-06-08 10:44:29
 */
@Data
@TableName(value = "tb_jcgl_jwz")
@ApiModel(value = "警务站")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class TbJcglJwz extends BaseEntity implements Serializable, Cloneable {

    @ApiModelProperty(value = "警务站标识ID", name = "jwzId")
    private String jwzId;

    @ApiModelProperty(value = "警务站类型", name = "jwzLx")
    private String jwzLx;

    @ApiModelProperty(value = "警务站名称", name = "jwzMc")
    private String jwzMc;

    @ApiModelProperty(value = "警务站地址", name = "jwzDz")
    private String jwzDz;

    @ApiModelProperty(value = "行政区划代码", name = "xzqhdm")
    private String xzqhdm;

    @ApiModelProperty(value = "经度", name = "jw")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标", name = "zb")
    private Point zb;

    @ApiModelProperty(value = "坐标哈希", name = "zbhash")
    private String zbhash;

    @ApiModelProperty(value = "修建时间", name = "xjSj")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date xjSj;

    @ApiModelProperty(value = "警务站图片;警务站图片集合，逗号分隔", name = "jwzTp")
    private String jwzTp;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "负责人姓名", name = "fzrXm")
    private String fzrXm;

    @ApiModelProperty(value = "负责人身份证号", name = "fzrSfzh")
    private String fzrSfzh;

    @ApiModelProperty(value = "当前页")
    @TableField(exist = false)
    private Integer pageNo;

    @ApiModelProperty(value = "每页条数")
    @TableField(exist = false)
    private Integer pageSize;


}
