package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 勤务警组
 * </p>
 *
 * @author zengbo
 * @since 2022-06-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_jz")
@ApiModel(value="TbJcglJz对象", description="勤务警组")
public class TbJcglJz extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "勤务警组标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "勤务警组名称")
    private String jzMc;

    @ApiModelProperty(value = "勤务警组标识编号")
    private String jzBh;

    @ApiModelProperty(value = "勤务警组分类;1.民警小组，2、辅警小组，3、民警+辅警小组")
    private String jzFl;

    @ApiModelProperty(value = "勤务警组类型;1、车巡，2、步巡")
    private String jzLx;

    @ApiModelProperty(value = "带队民警ID")
    private String ddMjid;

    @ApiModelProperty(value = "带队民警身份证号")
    private String ddMjsfzh;

    @ApiModelProperty(value = "带队民警姓名")
    private String ddMjxm;

    @ApiModelProperty(value = "带队民警警号")
    private String ddMjjh;

    @ApiModelProperty(value = "带队民警电话")
    private String ddDh;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
