package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 勤务警组车辆关联表
 * </p>
 *
 * @author zengbo
 * @since 2022-06-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_jz_cl")
@ApiModel(value="TbJcglJzCl对象", description="勤务警组车辆关联表")
public class TbJcglJzCl extends BaseEntity implements Serializable, Cloneable{

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "勤务警组人员表标识ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "巡防警力表ID")
    private String clId;

    @ApiModelProperty(value = "勤务警组表标识ID")
    private String qwjzId;

    @ApiModelProperty(value = "机动车号牌号码")
    private String jdchphm;

    @ApiModelProperty(value = "机动车号牌种类代码（字典）")
    private String jdchpzldm;

    @ApiModelProperty(value = "关联GPSID")
    private String gpsId;
}
