package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 勤务警组人员
 * </p>
 *
 * @author zengbo
 * @since 2022-06-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_jz_ry")
@ApiModel(value="TbJcglJzRy对象", description="勤务警组人员")
public class TbJcglJzRy extends BaseEntity implements Serializable, Cloneable{

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "勤务警组人员表标识ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "巡防警力表ID")
    private String ryId;

    @ApiModelProperty(value = "勤务警组表标识ID")
    private String qwjzId;

    @ApiModelProperty(value = "警力类型（01 民警  02 辅警）")
    private String jllx;

    @ApiModelProperty(value = "警力姓名")
    private String jlxm;

    @ApiModelProperty(value = "身份证号")
    private String sfzh;

    @ApiModelProperty(value = "警号")
    private String jh;

    @ApiModelProperty(value = "联系电话")
    private String lxdh;

    @ApiModelProperty(value = "性别代码（0男 1女 2未知）")
    private String xbdm;

    @ApiModelProperty(value = "年龄")
    private Integer nl;
}
