package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 勤务警组通讯装备
 * </p>
 *
 * @author zengbo
 * @since 2022-06-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_jz_znzb")
@ApiModel(value="TbJcglJzTxzb对象", description="勤务警组通讯装备")
public class TbJcglJzZnzb extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "勤务警组人员表标识ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "巡防装备表ID")
    private String zbId;

    @ApiModelProperty(value = "勤务警组表标识ID")
    private String qwjzId;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    @ApiModelProperty(value = "装备类型（01 移动警务终端  02 执法记录仪 03 对讲机）")
    private String txzblx;

    @ApiModelProperty(value = "呼号")
    private String hh;

    @ApiModelProperty(value = "是否专业装备")
    private String sfzy;

    @ApiModelProperty(value = "是否融合")
    private String sfrh;

    @ApiModelProperty(value = "是否支持通讯 0否 1支持")
    private String sfxt;

}
