package com.mosty.base.model.entity.jcgl;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Date;

/**
 * @Author aklcoming
 * @Date 2022-06-08 14:26:20
 */
@Data
@TableName(value = "tb_jcgl_kfd")
@ApiModel(value = "快返点")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class TbJcglKfd extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 6101333033786917295L;


    @ApiModelProperty(value = "快反点标识ID", name = "kfdId")
    private String kfdId;

    @ApiModelProperty(value = "点位类型", name = "dwlx")
    private String dwlx;

    @ApiModelProperty(value = "快返点名称", name = "kfdMc")
    private String kfdMc;

    @ApiModelProperty(value = "快反点地址", name = "kfdDz")
    private String kfdDz;

    @ApiModelProperty(value = "行政区划代码", name = "xzqhdm")
    private String xzqhdm;

    @ApiModelProperty(value = "经度", name = "jd")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    private Point zb;

    @ApiModelProperty(value = "坐标hash值")
    private String zbhash;

    @ApiModelProperty(value = "一分钟范围", name = "yfzfw")
    private Polygon yfzfw;

    @ApiModelProperty(value = "三分钟范围", name = "sfzfw")
    private Polygon sfzfw;

    @ApiModelProperty(value = "五分钟范围", name = "wfzfw")
    private Polygon wfzfw;

    @ApiModelProperty(value = "快返点图片;逗号分隔", name = "kfdTp")
    private String kfdTp;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "距离")
    @TableField(exist = false)
    private BigDecimal distance;

    @ApiModelProperty(value = "负责人身份证")
    private String fzrSfzh;

    @ApiModelProperty(value = "负责人姓名")
    private String fzrXm;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date cjsj;
}
