package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_khmx")
@ApiModel(value = "TbJcglKhbm  对象", description = "绩效考核部门")
public class TbJcglKhmx extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "模型名称")
    private String mxmc;


    @ApiModelProperty(value = "应报备")
    private int ybb;

    @ApiModelProperty(value = "最少报备")
    private int zsbb;

    @ApiModelProperty(value = "报备得分")
    private BigDecimal bbf;

    @ApiModelProperty(value = "报备扣分")
    private BigDecimal bbkf;


    @ApiModelProperty(value = "应查人")
    private int ycr;

    @ApiModelProperty(value = "最少查人")
    private int zscr;

    @ApiModelProperty(value = "查人分")
    private BigDecimal crf;

    @ApiModelProperty(value = "查人扣分")
    private BigDecimal crkf;


    @ApiModelProperty(value = "应查车")
    private int ycc;

    @ApiModelProperty(value = "最少查车")
    private int zscc;

    @ApiModelProperty(value = "查车分")
    private BigDecimal ccf;

    @ApiModelProperty(value = "查车扣分")
    private BigDecimal cckf;


    @ApiModelProperty(value = "应查物品")
    private int ycw;

    @ApiModelProperty(value = "最少查物品")
    private int zscw;

    @ApiModelProperty(value = "查物品得分")
    private BigDecimal cwf;

    @ApiModelProperty(value = "查物品扣分")
    private BigDecimal cwkf;


    @ApiModelProperty(value = "应巡逻")
    private int yxl;

    @ApiModelProperty(value = "最少巡逻")
    private int zsxl;

    @ApiModelProperty(value = "巡逻分")
    private BigDecimal xlf;

    @ApiModelProperty(value = "巡逻扣分")
    private BigDecimal xlkf;


    @ApiModelProperty(value = "应签收")
    private int yqs;

    @ApiModelProperty(value = "最少签收")
    private int zsqs;

    @ApiModelProperty(value = "签收分")
    private BigDecimal qsf;

    @ApiModelProperty(value = "签收分")
    private BigDecimal qskf;


    @ApiModelProperty(value = "应巡逻时长")
    private int yxlsc;

    @ApiModelProperty(value = "最少巡逻时长")
    private int zsxlsc;

    @ApiModelProperty(value = "巡逻时长分")
    private BigDecimal xlscf;

    @ApiModelProperty(value = "巡逻时长扣分")
    private BigDecimal xlsckf;


    @ApiModelProperty(value = "应巡逻里程")
    private int yxllc;

    @ApiModelProperty(value = "最少巡逻里程")
    private int zsxllc;

    @ApiModelProperty(value = "巡逻里程分")
    private BigDecimal xllcf;

    @ApiModelProperty(value = "巡逻里程扣分")
    private BigDecimal xllckf;


    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
