package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.mosty.common.base.entity.log.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.poi.ss.usermodel.IndexedColors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_khtj")
@ApiModel(value = "TbJcglKhtj  对象", description = "绩效考核部门统计")
public class TbJcglKhtj extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "统计日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "统计日期", width = 30, dateFormat = "yyyy-MM-dd", sort = 2)
    private Date tjrq;

    @ApiModelProperty(value = "统计时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date tjsj;

    @ApiModelProperty(value = "应报备数")
    @Excel(name = "应报备数", sort = 3)
    private int ybb;

    @ApiModelProperty(value = "最少报备数")
    @Excel(name = "最少报备数", sort = 3)
    private int zsbb;

    @ApiModelProperty(value = "实际报备数")
    @Excel(name = "实际报备数", sort = 4)
    private int sjbb;

    @ApiModelProperty(value = "未报备数")
    @Excel(name = "未报备数", sort = 4)
    private int wbb;

    @ApiModelProperty(value = "报备得分")
    @Excel(name = "报备得分", sort = 4)
    private BigDecimal bbf;

    @ApiModelProperty(value = "报备扣分")
    @Excel(name = "报备扣分", sort = 4)
    private BigDecimal bbkf;


    @ApiModelProperty(value = "应巡逻数")
    @Excel(name = "应巡逻数", sort = 4)
    private int yxl;

    @ApiModelProperty(value = "最少巡逻数")
    @Excel(name = "最少巡逻数", sort = 4)
    private int zsxl;

    @ApiModelProperty(value = "实际巡逻")
    @Excel(name = "实际巡逻", sort = 4)
    private int sjxl;

    @ApiModelProperty(value = "未巡逻")
    @Excel(name = "未巡逻", sort = 4)
    private int wxl;

    @ApiModelProperty(value = "巡逻得分")
    @Excel(name = "巡逻得分", sort = 4)
    private BigDecimal xlf;

    @ApiModelProperty(value = "巡逻扣分")
    @Excel(name = "巡逻扣分", sort = 4)
    private BigDecimal xlkf;


    @ApiModelProperty(value = "应签收数")
    @Excel(name = "应签收数", sort = 4)
    private int yqs;

    @ApiModelProperty(value = "最少签收数")
    @Excel(name = "最少签收数", sort = 4)
    private int zsqs;

    @ApiModelProperty(value = "实际签收")
    @Excel(name = "实际签收", sort = 4)
    private int sjqs;

    @ApiModelProperty(value = "未签收")
    @Excel(name = "未签收", sort = 4)
    private int wqs;

    @ApiModelProperty(value = "签收得分")
    @Excel(name = "签收得分", sort = 4)
    private BigDecimal qsf;

    @ApiModelProperty(value = "签收扣分")
    @Excel(name = "签收扣分", sort = 4)
    private BigDecimal qskf;


    @ApiModelProperty(value = "应查人")
    @Excel(name = "应查人", sort = 4)
    private int ycr;

    @ApiModelProperty(value = "最少查人")
    @Excel(name = "最少查人", sort = 4)
    private int zscr;

    @ApiModelProperty(value = "实际查人")
    @Excel(name = "实际查人", sort = 4)
    private int sjcr;

    @ApiModelProperty(value = "未查人")
    @Excel(name = "未查人", sort = 4)
    private int wcr;

    @ApiModelProperty(value = "查人得分")
    @Excel(name = "查人得分", sort = 4)
    private BigDecimal crf;

    @ApiModelProperty(value = "查人扣分")
    @Excel(name = "查人扣分", sort = 4)
    private BigDecimal crkf;




    @ApiModelProperty(value = "应查车")
    @Excel(name = "应查车", sort = 4)
    private int ycc;

    @ApiModelProperty(value = "最少查车")
    @Excel(name = "最少查车", sort = 4)
    private int zscc;

    @ApiModelProperty(value = "实际查车")
    @Excel(name = "实际查车", sort = 4)
    private int sjcc;

    @ApiModelProperty(value = "未查车")
    @Excel(name = "未查车", sort = 4)
    private int wcc;

    @ApiModelProperty(value = "查车得分")
    @Excel(name = "查车得分", sort = 4)
    private BigDecimal ccf;

    @ApiModelProperty(value = "查车扣分")
    @Excel(name = "查车扣分", sort = 4)
    private BigDecimal cckf;


    @ApiModelProperty(value = "应巡逻时长")
    @Excel(name = "应巡逻时长", sort = 4)
    private int yxlsc;

    @ApiModelProperty(value = "最少巡逻时长")
    @Excel(name = "最少巡逻时长", sort = 4)
    private int zsxlsc;

    @ApiModelProperty(value = "实际巡逻时长")
    @Excel(name = "实际巡逻时长", sort = 4)
    private int sjxlsc;

    @ApiModelProperty(value = "未巡逻时长")
    @Excel(name = "未巡逻时长", sort = 4)
    private int wxlsc;

    @ApiModelProperty(value = "巡逻时长得分")
    @Excel(name = "巡逻时长得分", sort = 4)
    private BigDecimal xlscf;

    @ApiModelProperty(value = "巡逻时长扣分")
    @Excel(name = "巡逻时长扣分", sort = 4)
    private BigDecimal xlsckf;



    @ApiModelProperty(value = "应巡逻里程")
    @Excel(name = "应巡逻里程", sort = 4)
    private int yxllc;

    @ApiModelProperty(value = "最少巡逻里程")
    @Excel(name = "最少巡逻里程", sort = 4)
    private int zsxllc;

    @ApiModelProperty(value = "实际巡逻里程")
    @Excel(name = "实际巡逻里程", sort = 4)
    private int sjxllc;

    @ApiModelProperty(value = "未巡逻里程")
    @Excel(name = "未巡逻里程", sort = 4)
    private int wxllc;

    @ApiModelProperty(value = "巡逻里程得分")
    @Excel(name = "巡逻里程得分", sort = 4)
    private BigDecimal xllcf;

    @ApiModelProperty(value = "巡逻里程得分")
    @Excel(name = "巡逻里程扣分", sort = 4)
    private BigDecimal xllckf;


    @ApiModelProperty(value = "应查物品")
    @Excel(name = "应查物品", sort = 4)
    private int ycw;

    @ApiModelProperty(value = "最少查物品")
    @Excel(name = "最少查物品", sort = 4)
    private int zscw;

    @ApiModelProperty(value = "实际查物品")
    @Excel(name = "实际查物品", sort = 4)
    private int sjcw;

    @ApiModelProperty(value = "未查物")
    @Excel(name = "未查物", sort = 4)
    private int wcw;

    @ApiModelProperty(value = "查物得分")
    @Excel(name = "查物得分", sort = 4)
    private BigDecimal cwf;

    @ApiModelProperty(value = "查物扣分")
    @Excel(name = "查物扣分", sort = 4)
    private BigDecimal cwkf;

    @ApiModelProperty(value = "三项扣分")
    private BigDecimal sxkf;


    @ApiModelProperty(value = "所属部门")
    @Excel(name = "所属部门", width = 35, sort = 1)
    private String ssbm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
