package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/9/27
 * 安保风采实体表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_pzfz")
@ApiModel(value = "TbjclPzfz 对象", description = "配置分值实体表")
public class TbJcglPzfz extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "配置类型 01.刑事警情 02.行政警情 03.其他警情 04.预警人员 05.预警车辆 06.预警事件 07.盘查重点人员 08.盘查重点车辆")
    private String pzlx;

    @ApiModelProperty(value = "配置分值")
    private Integer pzfz;

    @ApiModelProperty(value = "事件范围（分钟）")
    private String pzsjfw;

    @ApiModelProperty(value = "配置人Id")
    private String pzrid;

    @ApiModelProperty(value = "配置人姓名")
    private String pzrxm;

    @ApiModelProperty(value = "配置人身份证")
    private String pzrsfzh;
}
