package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 巡访管理
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡访管理", description = "")
@TableName("tb_jcgl_xf")
public class TbJcglXf extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = -4728653996454701336L;

    /**
     * 巡防力量标签标识ID
     */
    @ApiModelProperty(value = "巡防力量标签标识ID", name = "id")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "巡访类型")
    private String xflx;

    @ApiModelProperty(value = "巡访组长身份证号")
    private String xfzzSfzh;

    @ApiModelProperty(value = "巡访组长姓名")
    private String xfzzXm;

    @ApiModelProperty(value = "巡访时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date xfsj;

    @ApiModelProperty(value = "巡访组员JOSN")
    private String xfzy;

    @ApiModelProperty(value = "巡访内容")
    private String xfnr;

    @ApiModelProperty(value = "巡访单位")
    private String xfdw;

    @ApiModelProperty(value = "巡访照片")
    private String xfzp;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "任务状态")
    private String rwzt;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "申报时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date sbsj;

    @ApiModelProperty(value = "申报类型")
    private String sblx;

    @ApiModelProperty(value = "申报原因")
    private String sbyy;

    @ApiModelProperty(value = "申报附件")
    private String sbfj;

    @ApiModelProperty(value = "申报状态")
    private String sbzt;


}