package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 巡访库
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡访任务", description = "")
@TableName("tb_jcgl_xf_rw")
public class TbJcglXfRw extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = -4728653996454701336L;

    /**
     * 巡防力量标签标识ID
     */
    @ApiModelProperty(value = "巡防力量标签标识ID", name = "id")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "巡防ids")
    private String xfids;

    @ApiModelProperty(value = "周期数")
    private String zq;

    @ApiModelProperty(value = "周期类型 D 天 M 月 Y年")
    private String zqType;

    @ApiModelProperty(value = "巡访问题")
    private String xfwt;

    @ApiModelProperty(value = "巡访JSON  详细数据从关联表获取tb_jcgl_xf")
    private String xfJson;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}