package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.mosty.common.base.entity.log.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.poi.ss.usermodel.IndexedColors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "装备类别")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_jcgl_xfcl")
public class TbJcglXfcl extends BaseEntity implements Serializable, Cloneable {

    @ApiModelProperty(value = "id")
    @TableId
    private String cId;

    @ApiModelProperty(value = "车牌类型")
    @Excel(name = "车牌类型",sort = 4,headerColor= IndexedColors.RED1,dictType = "D_BZ_HPZL")
    private String cplx;

    @ApiModelProperty(value = "车牌号")
    @Excel(name = "车牌号",sort = 3,headerColor= IndexedColors.RED1 )
    private String cph;

    @ApiModelProperty(value = "车辆品牌")
    @Excel(name = "车辆品牌",sort = 5,headerColor= IndexedColors.RED1,dictType = "D_BZ_CLPP")
    private String clpp;

    @ApiModelProperty(value = "车辆类型;数据字典")
    @Excel(name = "车辆类型",sort = 6,headerColor= IndexedColors.RED1,dictType = "D_BZ_CLLX")
    private String cllx;

    @ApiModelProperty(value = "车辆型号")
    @Excel(name = "车辆型号",sort = 7)
    private String clxh;

    @ApiModelProperty(value = "车辆颜色")
    @Excel(name = "车辆颜色",dictType = "D_BZ_CLYS",sort = 8)
    private String clys;

    @ApiModelProperty(value = "车辆年款")
    @Excel(name = "车辆年款",sort = 9)
    private String clnk;

    @ApiModelProperty(value = "购买日期")    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "购买日期", width = 30, dateFormat = "yyyy-MM-dd",headerColor= IndexedColors.RED1 ,sort = 10)
    private Date gmrq;

    @ApiModelProperty(value = "报废日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "报废日期", width = 30, dateFormat = "yyyy-MM-dd",headerColor= IndexedColors.RED1 ,sort = 11)
    private Date bfrq;

    @ApiModelProperty(value = "图片")
    private String clTp;

    @ApiModelProperty(value = "装备状态D_ZDY_SBZT(1 正常 2 临期 3 到期)")
    private String zbzt;

    @ApiModelProperty(value = "关联GPSID")
    @Excel(name = "关联GPSID")
    private String gpsId;

    @ApiModelProperty(value = "车载电台")
    private String czdt;

    @ApiModelProperty(value = "车载监控")
    private String czjk;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    @Excel(name = "所属部门",sort = 2 )
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    @Excel(name = "所属部门代码",sort = 1,headerColor= IndexedColors.RED1 )
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "当前页")
    @TableField(exist = false)
    private Integer pageNo;

    @ApiModelProperty(value = "每页条数")
    @TableField(exist = false)
    private Integer pageSize;

    @ApiModelProperty(value = "警用器械")
    private String jyqx;
}
