package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 巡防警力标签关联表;
 *
 * @author : lhh
 * @date : 2022-6-6
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防警力标签关联表", description = "")
@TableName("tb_jcgl_xfll_bq")
public class TbJcglXfllBq extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = -9134462848980897397L;


    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "巡防警力标签关联表标识ID", name = "id")
    private Integer id;

    @ApiModelProperty(value = "警力表ID")
    private String xfllId;

    @ApiModelProperty(value = "标签表ID")
    private String bqId;

    @ApiModelProperty(value = "有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yxsj;

    @ApiModelProperty(value = "标签表类型")
    private String bqlx;
}