package com.mosty.base.model.entity.jcgl;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Polygon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.vividsolutions.jts.geom.Point;

/**
 * <p>
 * 巡防区域
 * </p>
 *
 * @author zengbo
 * @since 2022-07-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_xfqy")
@ApiModel(value="TbJcglXfqy对象", description="巡防区域")
public class TbJcglXfqy extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "巡防区标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "--D_BZ_XQLX（巡区类型）巡防区类型1、一般区域，2、重点区域，3、核心区域，4、人员密集区域")
    private String xfqLx;

    @ApiModelProperty(value = "--D_BZ_XFQDJ（巡防区等级）巡防区等级;")
    private String xfqDj;

    @ApiModelProperty(value = "巡防区名称")
    private String xfqMc;

    @ApiModelProperty(value = "巡防区面积（平方米）")
    private Integer xfqMj;

    @ApiModelProperty(value = "巡防区负责人")
    private String xfqFzr;

    @ApiModelProperty(value = "巡防区负责人ID")
    private String xfqFzrId;

    @ApiModelProperty(value = "巡防区负责人身份证号")
    private String xfqFzrSfz;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标hash值")
    private String zbhash;

    @ApiModelProperty(value = "区域中心点")
    private Point zxd;

    @ApiModelProperty(value = "多边形数据存储（JSON）")
    private Polygon pgis;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "巡防部门类型")
    private String xfbmlx;

    @ApiModelProperty(value = "颜色")
    private String color;
}
