package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "装备记录")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_jcgl_zbjl")
public class TbJcglZbjl extends BaseEntity implements Serializable, Cloneable {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "数据表名")
    private String sjbm;

    @ApiModelProperty(value = "关联id")
    private String glid;

    @ApiModelProperty(value = "数据来源 1 报损 2 下发 3回退")
    private String sjly;

    @ApiModelProperty(value = "装备类型 1智能装备 2 警用装备")
    private String zblx;

    @ApiModelProperty(value = "操作人")
    private String czr;

    @ApiModelProperty(value = "操作人身份证")
    private String czrSfz;

    @ApiModelProperty(value = "操作人所属部门id")
    private String czrSsbmid;

    @ApiModelProperty(value = "操作人所属部门")
    private String czrSsbm;

    @ApiModelProperty(value = "操作人所属部门代码")
    private String czrSsbmdm;

    @ApiModelProperty(value = "下发部门id")
    private String xfSsbmid;

    @ApiModelProperty(value = "下发部门")
    private String xfSsbm;

    @ApiModelProperty(value = "下发部门代码")
    private String xfSsbmdm;

    @ApiModelProperty(value = "保留字段 报损数 下发数 回退数")
    private String ext;


}
