package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 基础管理-专家库
 * </p>
 *
 * @author zengbo
 * @since 2022-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_zjk")
@ApiModel(value="TbJcglZjk对象", description="基础管理-专家库")
public class TbJcglZjk extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "勤务警组人员表标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "--D_ZDY_ZJGL专家来源（1 内部 2 外部）")
    private String zjly;

    @ApiModelProperty(value = "关联人员ID")
    private String glryId;

    @ApiModelProperty(value = "专家姓名")
    private String zjxm;

    @ApiModelProperty(value = "专家身份证号码")
    private String zjsfzh;

    @ApiModelProperty(value = "--D_BZ_MZ（民族）民族编码")
    private String mzdm;

    @ApiModelProperty(value = "--D_BZ_XB（性别）性别代码")
    private String xbdm;

    @ApiModelProperty(value = "出生日期")
    private String csrq;

    @ApiModelProperty(value = "籍贯")
    private String jgdm;

    @ApiModelProperty(value = "家庭住址")
    private String jtzz;

    @ApiModelProperty(value = "联系电话")
    private String lxdh;

    @ApiModelProperty(value = "工作单位")
    private String gzdw;

    @ApiModelProperty(value = "当前职位")
    private String dqzw;

    @ApiModelProperty(value = "专家类型（侦查、审讯、谈判、狙击、三防）")
    private String zjlx;

    @ApiModelProperty(value = "专家级别（1级 2级 3级）")
    private String zjjb;

    @ApiModelProperty(value = "专家简介（擅长领域）")
    private String zjjc;

    @ApiModelProperty(value = "获得荣誉")
    private String hdry;

    @ApiModelProperty(value = "附件地址")
    private String fjdz;

    @ApiModelProperty(value = "管理部门")
    private String glbm;

    @ApiModelProperty(value = "管理部门代码")
    private String glbmdm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
