package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 设备感知接入
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_sb_gzjr")
@ApiModel(value = "TbSbGzjr 对象", description = "设备感知接入实体表")
public class TbSbGzjr extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "设备编码")
    private String sbbm;

    @ApiModelProperty(value = "设备编码")
    private String sbmc;

    @ApiModelProperty(value = "接入类型 1、事件 2、报备")
    private String jrlx;

    @ApiModelProperty(value = "是否接入 0未接入 1接入")
    private String sfjr;

    @ApiModelProperty(value = "关联id")
    private String glid;


}
