package com.mosty.base.model.entity.lzother;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("v_fkdb")
@ApiModel(value = "FKDB 对象", description = "泸州反馈表")
public class FKDB implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "行政区划代码")
    private String xzqhdm;

    @ApiModelProperty(value = "反馈单编号")
    private String fkdbh;

    @ApiModelProperty(value = "接警单编号")
    private String jjdbh;

    @ApiModelProperty(value = "派警单编号")
    private String pjdbh;

    @ApiModelProperty(value = "反馈录音号")
    private String fklyh;

    @ApiModelProperty(value = "反馈单位代码")
    private String fkdwdm;

    @ApiModelProperty(value = "反馈员编号")
    private String fkybh;

    @ApiModelProperty(value = "反馈员姓名")
    private String fkyxm;

    @ApiModelProperty(value = "反馈时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date fksj;

    @ApiModelProperty(value = "实际出警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjsj01;

    @ApiModelProperty(value = "到达现场时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date ddxcsj;

    @ApiModelProperty(value = "现场处理完毕时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date xcclwbsj;

    @ApiModelProperty(value = "警情类别代码")
    private String jqlbdm;

    @ApiModelProperty(value = "警情类型代码")
    private String jqlxdm;

    @ApiModelProperty(value = "警情细类代码")
    private String jqxldm;

    @ApiModelProperty(value = "警情子类代码")
    private String jqzldm;

    @ApiModelProperty(value = "警情发生时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date jqfssj;

    @ApiModelProperty(value = "报警地址")
    private String bjdz;

    @ApiModelProperty(value = "警情地址")
    private String jqdz;

    @ApiModelProperty(value = "出警处置情况")
    private String cjczqk;

    @ApiModelProperty(value = "反馈定位X坐标(处置现场位置)")
    private BigDecimal fkdwxzb;

    @ApiModelProperty(value = "反馈定位Y坐标(处置现场位置)")
    private BigDecimal fkdwyzb;

    @ApiModelProperty(value = "出动车次")
    private String cdcc;

    @ApiModelProperty(value = "出动人次")
    private String cdrc;

    @ApiModelProperty(value = "出动船艇")
    private String cdct;

    @ApiModelProperty(value = "救助人数")
    private String jzrs;

    @ApiModelProperty(value = "救助人数说明")
    private String jzrssm;

    @ApiModelProperty(value = "受伤人数")
    private String ssrs;

    @ApiModelProperty(value = "受伤人数说明")
    private String ssrssm;

    @ApiModelProperty(value = "死亡人数")
    private String swrs;

    @ApiModelProperty(value = "死亡人数说明")
    private String swrssm;

    @ApiModelProperty(value = "警情处理结果代码")
    private String jqcljgdm;

    @ApiModelProperty(value = "警情处理结果说明")
    private String jqcljgsm;

    @ApiModelProperty(value = "天气情况代码")
    private String tqqkdm;

    @ApiModelProperty(value = "损失情况描述")
    private String ssqkms;

    @ApiModelProperty(value = "抓获人数")
    private String zhrs;

    @ApiModelProperty(value = "涉案人数")
    private String sars;

    @ApiModelProperty(value = "逃跑人数")
    private String tprs;

    @ApiModelProperty(value = "交通事故形态代码")
    private String jtsgxtdm;

    @ApiModelProperty(value = "是否装载危险品")
    private String sfzzwxp;

    @ApiModelProperty(value = "交通事故初查原因代码")
    private String jtsgccyydm;

    @ApiModelProperty(value = "能见度代码")
    private String njddm;

    @ApiModelProperty(value = "路面状况代码")
    private String lmzkdm;

    @ApiModelProperty(value = "损坏机动车数")
    private String shjdcs;

    @ApiModelProperty(value = "损坏非机动车数")
    private String shfjdcs;

    @ApiModelProperty(value = "道路类型代码")
    private String dllxdm;

    @ApiModelProperty(value = "警情处理状态代码")
    private String jqclztdm;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjsj;

    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gxsj;

    @ApiModelProperty(value = "乡镇(街道)")
    private String jdxz;

    @ApiModelProperty(value = "属地村社")
    private String sdcs;

    @ApiModelProperty(value = "是否取证")
    private String sfqz;

    @ApiModelProperty(value = "移交单位代码")
    private String yjdwdm;

//    @ApiModelProperty(value = "移交单位名称")
//    private String yjdwmc;

//    @ApiModelProperty(value = "移交单位短码")
//    private String yjdwdmbs;

    @ApiModelProperty(value = "移交单位联系人名称")
    private String yjdwlxr;

    @ApiModelProperty(value = "移交单位反馈情况")
    private String yjdwfkqk;

    @ApiModelProperty(value = "移交单位反馈情况说明")
    private String yjdwfkqksm;

    @ApiModelProperty(value = "案件编号")
    private String ajbh;

    @ApiModelProperty(value = "警情标签")
    private String nrbq;

    @ApiModelProperty(value = "警情部位代码")
    private String jqbwdm;

//    @ApiModelProperty(value = "警情发生地域")
//    private String jqfsdy;

//    @ApiModelProperty(value = "警力代码")
//    private String forcedm;

//    @ApiModelProperty(value = "警力类型")
//    private String forcetype;

//    @ApiModelProperty(value = "当前业务状态")
//    private String dqywzt;

//    @ApiModelProperty(value = "反馈单位短码")
//    private String fkdwdmbs;
//
//    @ApiModelProperty(value = "反馈单位名称")
//    private String fkdwmc;
//
//    @ApiModelProperty(value = "现场状态")
//    private String livestatus;
//
//    @ApiModelProperty(value = "提交单位短码")
//    private String tjdwdmbs;
//
//    @ApiModelProperty(value = "是否无效警情标识")
//    private String wxbs;
//
//    @ApiModelProperty(value = "调整后管辖单位代码")
//    private String tzhgxdwdm;

//    @ApiModelProperty(value = "调整后管辖单位名称")
//    private String tzhgxdwmc;
//
//    @ApiModelProperty(value = "调整后管辖单位短码")
//    private String tzhgxdwdmbs;
//
//    @ApiModelProperty(value = "移交单位联系人代码")
//    private String yjdwlxrdm;
//
//    @ApiModelProperty(value = "过程反馈标识")
//    private String gcfkbs;
//
//    @ApiModelProperty(value = "反馈类型")
//    private String fklx;
}
