package com.mosty.base.model.entity.lzother;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022/12/06
 * 泸州拓尔思指令对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("TRS_BIGDATA.T_ALARM_YJZL")
@ApiModel(value = "TAlarmYjZl 对象", description = "泸州拓尔思指令对象")
public class TAlarmYjZl implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "布控主键")
    private String bkzj;

    @ApiModelProperty(value = "指令发布时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fbsj;

    @ApiModelProperty(value = "指令本身状态（0未签收 1正常签收 2超时签收 3已下发 4正常反馈 5超时反馈）已下发暂时没用了")
    private Integer status;

    @ApiModelProperty(value = "指令级别  红黄蓝")
    private Integer lev;

    @ApiModelProperty(value = "活动来源表英文名")
    private String hdlyben;

    @ApiModelProperty(value = "指令编号")
    private String zlbh;

    @ApiModelProperty(value = "指令类型（10常控20临控）")
    private Integer zllx;

    @ApiModelProperty(value = "签署时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date qssj;

    @ApiModelProperty(value = "处置时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date czsj;

    @ApiModelProperty(value = "")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lastupdatetime;

    @ApiModelProperty(value = "人员细类（用于展示）")
    private String ryxl;

    @ApiModelProperty(value = "人员细类代码（用于判断查看权限）")
    private String ryxlDm;

    @ApiModelProperty(value = "活动来源表中文名")
    private String hdlybcn;

    @ApiModelProperty(value = "布控来源表")
    private String bklyb;

    @ApiModelProperty(value = "布控来源主键")
    private String bklyzj;

    @ApiModelProperty(value = "预警类型（1身份证2车辆3虚拟身份）")
    private Integer yjlx;

    @ApiModelProperty(value = "产生该条预警指令的预警轨迹id")
    private String yjgjid;

}
