package com.mosty.base.model.entity.lzother;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022/11/20
 * 泸州拓尔思预警轨迹表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("TRS_BIGDATA.T_ALARM_YJGJ")
@ApiModel(value = "TAlarmYjgj 对象", description = "泸州拓尔思预警对象")
public class TAlarmYjgj implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "活动发生时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date hdfssj;

    @ApiModelProperty(value = "活动发生地点")
    private String hdfsdd;

    @ApiModelProperty(value = "活动详情")
    private String hdxq;

    @ApiModelProperty(value = "活动来源主键")
    private String hdlyzj;

    @ApiModelProperty(value = "预警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date yjsj;

    @ApiModelProperty(value = "活动发生地详址")
    private String hdfsdxz;

    @ApiModelProperty(value = "活动发生地区划代码")
    private String hdfsdqh;

    @ApiModelProperty(value = "活动来源表名")
    private String hdlyben;

    @ApiModelProperty(value = "活动地点经度")
    private BigDecimal hdjd;

    @ApiModelProperty(value = "活动地点纬度")
    private BigDecimal hdwd;

    @ApiModelProperty(value = "预警指令id")
    private String yjzlid;

    @ApiModelProperty(value = "活动来源中文说明")
    private String hdlybcn;

    @ApiModelProperty(value = "布控来源")
    private Integer yjly;

    @ApiModelProperty(value = "布控来源主键")
    private String yjlyzj;

    @ApiModelProperty(value = "布控虚拟来源类型")
    private String xnlylx;

    @ApiModelProperty(value = "布控来源级别")
    private String yjlyjb;

    @ApiModelProperty(value = "通道状态位")
    private Integer tdzt;

    @ApiModelProperty(value = "预警照片id集合")
    private String fileids;

    @ApiModelProperty(value = "预警来源表")
    private String yjlyb;

    @ApiModelProperty(value = "关联身份证号")
    private String glsfzh;

    @ApiModelProperty(value = "关联其他号码")
    private String glqthm;

    @ApiModelProperty(value = "关联姓名")
    private String glxm;

    @ApiModelProperty(value = "")
    private Integer bklx;

    @ApiModelProperty(value = "人员细类（用于展示）")
    private String ryxl;

    @ApiModelProperty(value = "人员细类代码（用于判断权限）")
    private String ryxlDm;

    @ApiModelProperty(value = "申请人证件号码")
    private String sqrzjhm;

    @ApiModelProperty(value = "申请人单位代号")
    private String sqrdwdh;

    @ApiModelProperty(value = "布控信息主键")
    private String bkxxzj;

    @ApiModelProperty(value = "是否发送至活动地派出所")
    private Integer issendtolocal;

    @ApiModelProperty(value = "活动地派出所单位代码")
    private String localunitcode;

    @ApiModelProperty(value = "是否已经判断活动地派出所")
    private Integer isjudgelocal;

    @ApiModelProperty(value = "是否发送至活动地社区")
    private Integer issendtocommunity;

    @ApiModelProperty(value = "活动地社区代码")
    private String localcommunitycode;

    @ApiModelProperty(value = "是否已经判断活动地社区")
    private String isjudgecommunity;

    @ApiModelProperty(value = "类型（0本地1阿里）")
    private String type;

    @ApiModelProperty(value = "预警照片地址")
    private String picurls;

    @ApiModelProperty(value = "数据进入到kafka时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date kafkatime;

    @ApiModelProperty(value = "活动结束时间（网吧旅店类有二次活动的数据使用标识退房下网时间）")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date hdjssj;
}
