package com.mosty.base.model.entity.lzother;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022/12/15
 * 泸州特巡警警情110对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("LZTXJ.V_LZ110TXJ")
@ApiModel(value = "VLz110Txj 对象", description = "泸州特巡警警情110对象")
public class VLz110Txj implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "行政区划编号")
    private String xzqhbh;

    @ApiModelProperty(value = "接警单位编号")
    private String jjdwbh;

    @ApiModelProperty("接警单编号")
    private String jjdbh;

    @ApiModelProperty("关联接警单编号")
    private String gljjdbh;

    @ApiModelProperty("来话类型编号")
    private String lhlxbh;

    @ApiModelProperty("报警方式编号")
    private String bjfsbh;

    @ApiModelProperty("特服号码")
    private String tfhm;

    @ApiModelProperty("接警员编号")
    private String jjybh;

    @ApiModelProperty("接警员姓名")
    private String jjyxm;

    @ApiModelProperty("报警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bjsj;

    @ApiModelProperty("接警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date jjsj;

    @ApiModelProperty("报警电话")
    private String bjdh;

    @ApiModelProperty("报警电话用户姓名")
    private String bjdhyhxm;

    @ApiModelProperty("报警电话用户地址")
    private String bjdhyhdz;

    @ApiModelProperty("报警人姓名")
    private String bjrxm;

    @ApiModelProperty("报警人性别")
    private String bjrxb;

    @ApiModelProperty("联系电话")
    private String lxdh;

    @ApiModelProperty("事发地址")
    private String sfdz;

    @ApiModelProperty("报警内容")
    private String bjnr;

    @ApiModelProperty("管辖单位编号")
    private String gxdwbh;

    @ApiModelProperty("报警类别")
    private String bjlb;

    @ApiModelProperty("报警类型")
    private String bjlx;

    @ApiModelProperty("报警细类")
    private String bjxl;

    @ApiModelProperty("自动定位x坐标（报警人位置）")
    private BigDecimal zddwxzb;

    @ApiModelProperty("自动定位y坐标（报警人位置）")
    private BigDecimal zddwyzb;

    @ApiModelProperty("手动定位x坐标（报警人位置）")
    private BigDecimal sddwxzb;

    @ApiModelProperty("手动定位y坐标（报警人位置）")
    private BigDecimal sddwyzb;

    @ApiModelProperty("补充接警内容")
    private String bcjjnr;

    @ApiModelProperty("入库时间戳")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date rksjc;

    @ApiModelProperty("更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gxsj;

    @ApiModelProperty("更新人姓名")
    private String gxrxm;

    @ApiModelProperty("反馈要求")
    private String fkyq;

    @ApiModelProperty("案件状态")
    private String ajzt;

    @ApiModelProperty("有无效案件标识（0 无效 1有效）")
    private String ywxajbs;
}
