package com.mosty.base.model.entity.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.sql.Time;

import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 勤务班次表
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_qwbc")
@ApiModel(value="TbQwQwbc对象", description="勤务班次表")
public class TbQwQwbc extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "唯一标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "班次名称")
    private String bcmc;

    @ApiModelProperty(value = "班次开始时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    private Time kssj;

    @ApiModelProperty(value = "班次结束时间")
    @DateTimeFormat(pattern = "HH:mm:ss")
    private Time jssj;

    @ApiModelProperty(value = "排班级别（01 市级  02 县级 03 科所队 ）")
    private String pbjb;

    @ApiModelProperty(value = "跨天数")
    private Integer kts;

    @ApiModelProperty(value = "执勤时长（分钟）")
    private Integer zqsc;

    @ApiModelProperty(value = "班次类型（01 勤务值班 02 巡防排班）")
    private String bclx;

    @ApiModelProperty(value = "班次颜色")
    private String bcys;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
