package com.mosty.base.model.entity.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_qwdj")
@ApiModel(value="TbQwQwdj对象", description="勤务等级表")
public class TbQwQwdj extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "唯一标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "勤务等级：1.一级勤务 2.二级勤务 3.三级勤务")
    private String qwdj;

    @ApiModelProperty(value = "勤务等级名称")
    private String qwdjmc;

    @ApiModelProperty(value = "勤务原因")
    private String qwyy;

    @ApiModelProperty(value = "勤务要求")
    private String qwyq;

    @ApiModelProperty(value = "执行范围执行范围：01-全省、02-全市、03-全县、04-部门")
    private String zxfw;

    @ApiModelProperty(value = "勤务开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qwkssj;

    @ApiModelProperty(value = "勤务结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qwjssj;

    @ApiModelProperty(value = "建议执勤人员比例 大于0小于100的正整数 ")
    private String jyzqrybl;

    @ApiModelProperty(value = "建议执勤车辆比例 大于0小于100的正整数 ")
    private String jyzqclbl;

    @ApiModelProperty(value = "附件地址")
    private String fjdz;

    @ApiModelProperty(value = "等级颜色")
    private String djys;

    @ApiModelProperty(value = "配置人姓名")
    private String pzrId;

    @ApiModelProperty(value = "配置人姓名")
    private String pzrXm;

    @ApiModelProperty(value = "配置人身份证号")
    private String pzrSfzh;

    @ApiModelProperty(value = "配置人所属部门名称")
    private String pzrSsbm;

    @ApiModelProperty(value = "配置人所属部门id")
    private String pzrSsbmid;

    @ApiModelProperty(value = "配置人所属部门代码")
    private String pzrSsbmdm;

    @ApiModelProperty(value = "发布状态（0 未发布  1已发布  2.已结束）")
    private String fbzt;

    @ApiModelProperty(value = "发布时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date fbsj;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "是否发送到下级 0 否 1是")
    private String sfxj;

}
