package com.mosty.base.model.entity.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.entity.spxl.TbSpxlSpxlfaSxtz;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/9/17
 * 世乒赛参赛队伍活动轨迹表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_sps_csdwhdjl")
@ApiModel(value = "TbQwSpsCsdwhdgj 对象", description = "世乒赛参赛队伍活动轨迹表")
public class TbQwSpsCsdwhdgj extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "参赛队伍id")
    private String cddwid;

    @ApiModelProperty(value = "参赛队伍名称")
    private String cddwmc;

    @ApiModelProperty(value = "所属小组")
    private String ssxz;

    @ApiModelProperty(value = "活动类型：1-离开住地，2-到达场馆，3-离开场馆，4-到达住地")
    private String hdlx;

    @ApiModelProperty(value = "活动时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date hdsj;

    @ApiModelProperty(value = "活动日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date hdrq;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属市公安局")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
