package com.mosty.base.model.entity.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 不巡防申请
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_xf_bxfsq")
@ApiModel(value = "TbQwXfBxfsq对象", description = "不巡防申请")
public class TbQwXfBxfsq extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "巡防排班ID")
    private String xfpbId;

    @ApiModelProperty(value = "申请人姓名")
    private String sqrXm;

    @ApiModelProperty(value = "申请人ID")
    private String sqrId;

    @ApiModelProperty(value = "申请部门")
    private String sqbm;

    @ApiModelProperty(value = "申请部门id")
    private String sqbmid;

    @ApiModelProperty(value = "申请部门代码")
    private String sqbmdm;

    @ApiModelProperty(value = "不巡防日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date bxfsj;

    @ApiModelProperty(value = "不巡防原因")
    private String bxfyy;

    @ApiModelProperty(value = "审核部门")
    private String shbm;

    @ApiModelProperty(value = "审核部门id")
    private String shbmid;

    @ApiModelProperty(value = "审核部门代码")
    private String shbmdm;

    @ApiModelProperty(value = "审核人ID")
    private String shrId;

    @ApiModelProperty(value = "审核人姓名")
    private String shrXm;

    @ApiModelProperty(value = "申请时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sqsj;

    @ApiModelProperty(value = "审核状态（0 未审核 1 审核通过 2 审核失败）")
    private String shzt;

    @ApiModelProperty(value = "审批意见")
    private String spyj;

    @ApiModelProperty(value = "审批时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date spsj;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
