package com.mosty.base.model.entity.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author dw
 * @since 2022/8/3
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_xfpb")
@ApiModel(value = "TbQwXfpb对象", description = "巡防排班表")
public class TbQwXfpb extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "排班名称")
    private String pbmc;

    @ApiModelProperty(value = "排班描述")
    private String pbms;

    @ApiModelProperty(value = "排班开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date pbksrq;

    @ApiModelProperty(value = "结束日期类型（0-无期限，1-固定结束日期）")
    private String jsrqlx;

    @ApiModelProperty(value = "排班结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date pbjsrq;

    @ApiModelProperty(value = "循环周期")
    private Integer xhzq;

    @ApiModelProperty(value = "0-每天循环，1-工作日循环，2-休息日循环")
    private String xhlx;

    @ApiModelProperty(value = "每日班次数")
    private Integer mrbc;

    @ApiModelProperty(value = "排班人ID")
    private String pbrid;

    @ApiModelProperty(value = "排班人身份证号")
    private String pbrsfzh;

    @ApiModelProperty(value = "排班人姓名")
    private String pbr;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
