package com.mosty.base.model.entity.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/8/3
 * 巡防排班周期表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_xfpb_zq")
@ApiModel(value = "TbQwXfpbZq对象", description = "巡防排班周期表")
public class TbQwXfpbZq extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "排班id")
    private String pbId;

    @ApiModelProperty(value = "巡防周期 存1.2.3")
    private Integer xfzq;

    @ApiModelProperty(value = "班次数 存1.2.3")
    private Integer bcs;

    @ApiModelProperty(value = "勤务班次ID")
    private String qwbcId;

    @ApiModelProperty(value = "警组ID")
    private String jzId;

    @ApiModelProperty(value = "警组名称")
    private String jzMc;

    @ApiModelProperty(value = "负责人姓名")
    private String fzrXm;

    @ApiModelProperty(value = "负责人身份证号")
    private String fzrSfzh;

    @ApiModelProperty(value = "负责人ID")
    private String fzrId;

    @ApiModelProperty(value = "负责人联系电话")
    private String fzrLxdh;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "HH:mm:ss")
    private Date kssj;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "HH:mm:ss")
    private Date jssj;

    @ApiModelProperty(value = "执勤时长（分钟）")
    private Integer zqsc;

    @ApiModelProperty(value = "民警数量（冗余存储方便统计）")
    private Integer mjsl;

    @ApiModelProperty(value = "排班民警（此处存民警id、姓名、警号、呼号json数据，详细数据从关联表获取tb_qw_jl）")
    private String pbmj;

    @ApiModelProperty(value = "辅警数量（冗余存储方便统计）")
    private Integer fjsl;

    @ApiModelProperty(value = "排班辅警（此处存辅警id、姓名、警号、呼号json数据，详细数据从关联表获取tb_qw_jl）")
    private String pbfj;

    @ApiModelProperty(value = "警车数量（冗余存储方便统计）")
    private Integer jcsl;

    @ApiModelProperty(value = "排班车辆（此处存车辆id、车牌号json数据，详细数据从关联表获取tb_qw_cl）")
    private String pbcl;

    @ApiModelProperty(value = "通讯装备数量（冗余存储方便统计）")
    private Integer txzbsl;

    @ApiModelProperty(value = "智能通讯装备 （此处存装备id、呼号、设备名json数据，详细数据从关联表获取tb_qw_txzb）")
    private String txzb;

    @ApiModelProperty(value = "警用器械数量（冗余存储方便统计）")
    private Integer jyqxsl;

    @ApiModelProperty(value = "警用器械（此处存器械类型、器械数量json数据，详细数据从关联表获取tb_qw_jyqx）")
    private String jyqx;

    @ApiModelProperty(value = "--D_BZ_WZLX（武装类型）武装类型：0-武装 1-非武装（字典）")
    private String wzlx;

    @ApiModelProperty(value = "--D_BZ_ZZLX（着装类型）着装类型（0.制服 1.便衣）（字典）")
    private String zzlx;

    @ApiModelProperty(value = "--D_BZ_XLFS（巡逻方式）巡逻方式（0.车巡 1.步巡）（字典）")
    private String xlfs;

    @ApiModelProperty(value = "--D_ZDY_XFFWLX 巡防范围类型（1 巡防区  2 快反点 3 检查站）")
    private String xffwlx;

    @ApiModelProperty(value = "巡防范围ID（对应巡防区或快反点的ID）")
    private String xffwid;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
