package com.mosty.base.model.entity.rsother;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/11/13
 * 仁寿警情出警单表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sthy.cjdb")
@ApiModel(value = "CJDB 对象", description = "仁寿警情出警单表")
public class CJDB implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "处警单编号")
    private String cjdbh;

    @ApiModelProperty(value = "接警单编号")
    private String jjdbh;

    @ApiModelProperty(value = "通知单编号")
    private String tzdbh;

    @ApiModelProperty(value = "处警单位编号")
    private String cjdwbh;

    @ApiModelProperty(value = "处警员编号")
    private String cjybh;

    @ApiModelProperty(value = "处警员姓名")
    private String cjyxm;

    @ApiModelProperty(value = "处置时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date czsj;

    @ApiModelProperty(value = "到达现场时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date ddxcsj;

    @ApiModelProperty(value = "处理完毕时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date clwbsj;

    @ApiModelProperty(value = "首次反馈时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date scfksj;

    @ApiModelProperty(value = "反馈内容")
    private String fknr;

    @ApiModelProperty(value = "出警情况")
    private String cjqk;

    @ApiModelProperty(value = "处理结果类型")
    private String cljglx;

    @ApiModelProperty(value = "处理结果")
    private String cljg;

    @ApiModelProperty(value = "出动人员")
    private String cdry;

    @ApiModelProperty(value = "出动车辆")
    private String cdcl;

    @ApiModelProperty(value = "状态")
    private Integer zt;

    @ApiModelProperty(value = "处置类型")
    private Integer czlx;

    @ApiModelProperty(value = "创建时间==入库时间戳【至关重要！】")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date cjsj;

    @ApiModelProperty(value = "更新时间【至关重要！】")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date gxsj;

    @ApiModelProperty(value = "是否是离线状态下进行的操作")
    private Integer nNetbreak;

    @ApiModelProperty(value = "数据上传标志位1")
    private Integer nUploaded1;

    @ApiModelProperty(value = "数据上传标志位2")
    private Integer nUploaded2;

    @ApiModelProperty(value = "推送警综状态")
    private Integer tsjzzt;

    @ApiModelProperty(value = "反馈标志{1 主动反馈； 0 非主动}")
    private Integer nFkbz;

    @ApiModelProperty(value = "警综接收单位")
    private String jsdw;

    @ApiModelProperty(value = "处警类别")
    private String cjlb;

    @ApiModelProperty(value = "处警类型")
    private String cjlx;

    @ApiModelProperty(value = "处警细类")
    private String cjxl;

    @ApiModelProperty(value = "单位地域属性,1:城市,2:农村")
    private String dy;

    @ApiModelProperty(value = "移动终端签收人员")
    private String sYdcjqsry;

    @ApiModelProperty(value = "移动终端到场人员")
    private String sYdcjdcry;

    @ApiModelProperty(value = "是否已推送至pgis标志位")
    private Integer nPost;

    @ApiModelProperty(value = "警情处理方式（0为三台合一全程处理的警情 1为移动110参与处理的警情 ）")
    private Integer nSource;

    @ApiModelProperty(value = "数据上传标志位3")
    private Integer nUploaded3;

    @ApiModelProperty(value = "数据上传标志位4")
    private Integer nUploaded4;

    @ApiModelProperty(value = "时间标记【按这个标记来做数据分区】")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date dTimemark;

    @ApiModelProperty(value = "")
    private Integer istranslated;

    @ApiModelProperty(value = "是否移动端操作签收 0否 1是")
    private Integer nSourceQs;

    @ApiModelProperty(value = "是否移动端操作到达现场 0否 1是")
    private Integer nSourceDdxc;

    @ApiModelProperty(value = "是否移动端操作反馈 0否 1是")
    private Integer nSourceFk;

    @ApiModelProperty(value = "是否移动端操作处理完毕 0否 1是")
    private Integer nSourceClwb;

    @ApiModelProperty(value = "对处警情况的满意度评价(部分地市要求使用)")
    private String sMyd;

    @ApiModelProperty(value = "是否已发送到短信评议库")
    private Integer nIsindxpy;

    @ApiModelProperty(value = "是否发送给报警人的短信操作处理完毕 0否 1是  ")
    private Integer nSenddxtobjr;

    @ApiModelProperty(value = "是否发送给处警人员短信操作处理完毕 0否 1是 ")
    private Integer nSenddxtocjy;
}
