package com.mosty.base.model.entity.rwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/9/19
 * 任务表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_rw_task")
@ApiModel(value = "TbRwTask 对象", description = "任务表")
public class TbRwTask extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "业务ID")
    private String ywid;

    @ApiModelProperty(value = "任务名称")
    private String rwmc;

    @ApiModelProperty(value = "任务内容")
    private String rwnr;

    @ApiModelProperty(value = "任务接收对象 01.人员 02.部门 03.巡组")
    private String rwjsdx;

    @ApiModelProperty(value = "是否必须按期完成 0.否 1.是")
    private String sfaqwc;

    @ApiModelProperty(value = "任务类型 1.通知任务  2.处置任务")
    private String rwlx;

    @ApiModelProperty(value = "任务细类 01.一标三实 02.预警核查 03巡防任务 04.值班任务 05.指令任务")
    private String rwxl;

    @ApiModelProperty(value = "任务详细类型（自定义字段，一些业务需要，如指令 " +
            "01-指令签收，02-到达现场，03-指令处置完成，04-指令完结）")
    private String rwxxlx;

    @ApiModelProperty(value = "任务紧急程度 1.特急 2.紧急 3.常规")
    private String rwjjcd;

    @ApiModelProperty(value = "任务发起时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date rwfqsj;

    @ApiModelProperty(value = "任务完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date rwwcsj;

    @ApiModelProperty(value = "任务要求完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date rwyqwcsj;

    @ApiModelProperty(value = "任务模式 1.单人模式 2.多人模式")
    private String rwms;

    @ApiModelProperty(value = "任务执行人员数量")
    private Integer rwzxrysl;

    @ApiModelProperty(value = "任务进行状态 1.进行中 2.超期进行中 3.已完成 4.超期完成")
    private String rwjxzt;

    @ApiModelProperty(value = "任务状态 0.正常 1.任务关闭 2.任务暂停")
    private String rwzt;

    @ApiModelProperty(value = "任务链接 ")
    private String rwlj;

    @ApiModelProperty(value = "附件ID  多附件用逗号分隔")
    private String fjid;

    @ApiModelProperty(value = "应用ID")
    private String yyid;

    @ApiModelProperty(value = "应用名称")
    private String yyxt;

    @ApiModelProperty(value = "创建人ID")
    private String cjrid;

    @ApiModelProperty(value = "创建人姓名")
    private String cjrxm;

    @ApiModelProperty(value = "创建人身份证号")
    private String cjrsfzh;

    @ApiModelProperty(value = "创建人联系电话")
    private String cjrlxdh;

    @ApiModelProperty(value = "创建人所属id")
    private String ssbmid;

    @ApiModelProperty(value = "创建人所属部门")
    private String ssbm;

    @ApiModelProperty(value = "创建人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "创建人所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "创建人所属市公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "创建人所属市公安局")
    private String ssxgajdm;

    @ApiModelProperty(value = "创建人所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "创建人所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "创建人所属市公安局代码")
    private String sssgajdm;
}
