package com.mosty.base.model.entity.rwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022/9/19
 * 任务表日志表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_rw_task_log")
@ApiModel(value = "TbRwTaskLog 对象", description = "任务表日志表")
public class TbRwTaskLog extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "任务ID")
    private String rwid;

    @ApiModelProperty(value = "1.任务关闭 2.开始任务 3.完成任务 4.任务转发 5.任务暂停 6.任务重启 " +
            "7.接收转发任务 8.驳回转发任务 9.发起任务 10.删除任务")
    private String rzlx;

    @ApiModelProperty(value = "日志内容 例：2022-09-08 12:00:02,XX查看了任务")
    private String rznr;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "维度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    private Point zb;

    @ApiModelProperty(value = "坐标哈希值")
    private String zbhash;

    @ApiModelProperty(value = "变更时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date bgsj;

    @ApiModelProperty(value = "变更人")
    private String bgrid;

    @ApiModelProperty(value = "变更人姓名")
    private String bgrxm;

    @ApiModelProperty(value = "变更人身份证号")
    private String bgrsfzh;

    @ApiModelProperty(value = "变更人电话号码")
    private String bgrdhhm;

    @ApiModelProperty(value = "应用ID")
    private String yyid;

    @ApiModelProperty(value = "应用名称")
    private String yyxt;

    @ApiModelProperty(value = "创建人所属id")
    private String ssbmid;

    @ApiModelProperty(value = "创建人所属部门")
    private String ssbm;

    @ApiModelProperty(value = "创建人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "创建人所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "创建人所属市公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "创建人所属市公安局")
    private String ssxgajdm;

    @ApiModelProperty(value = "创建人所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "创建人所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "创建人所属市公安局代码")
    private String sssgajdm;
}
