package com.mosty.base.model.entity.rzzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/7/18
 * 接口调用日志表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_rz_dyjk")
@ApiModel(value = "TbRzDyjk对象", description = "接口调用日志表")
public class TbRzDyjk extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "调用功能，存菜单名称")
    private String dygn;

    @ApiModelProperty(value = "接口系统")
    private String jkxt;

    @ApiModelProperty(value = "接口URL")
    private String jkurl;

    @ApiModelProperty(value = "接口入参")
    private String jkrc;

    @ApiModelProperty(value = "接口返回")
    private String jkfh;

    @ApiModelProperty(value = "调用时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dysj;

    @ApiModelProperty(value = "返回时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date fhsj;

    @ApiModelProperty(value = "耗时间（秒）")
    private Integer hs;

    @ApiModelProperty(value = "--D_BZ_SF（是否）是否成功（字典：0-否，1-是）")
    private String sfcg;

    @ApiModelProperty(value = "操作人ID")
    private String czrid;

    @ApiModelProperty(value = "操作人身份证号")
    private String czrsfzh;

    @ApiModelProperty(value = "操作人姓名")
    private String czrxm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
