package com.mosty.base.model.entity.rzzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/7/18
 * 呼叫日志表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_rz_hj")
@ApiModel(value = "TbRzHj对象", description = "呼叫日志表")
public class TbRzHj extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "--D_BZ_HJLY（呼叫来源）呼叫来源：01-巡组呼叫，02-事件呼叫")
    private String hjly;

    @ApiModelProperty(value = "来源ID")
    private String lyId;

    @ApiModelProperty(value = "呼叫人id")
    private String fjrId;

    @ApiModelProperty(value = "呼叫人身份证号")
    private String fjrSfzh;

    @ApiModelProperty(value = "呼叫人")
    private String fjrXm;

    @ApiModelProperty(value = "呼叫开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date kssj;

    @ApiModelProperty(value = "呼叫结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jssj;

    @ApiModelProperty(value = "--D_BZ_HJFS(呼叫方式)呼叫方式：01-对讲机，02-执法记录仪语音，03-执法记录仪语音视频")
    private String fjfs;

    @ApiModelProperty(value = "呼叫唯一号码")
    private String hjhm;

    @ApiModelProperty(value = "被呼叫人id")
    private String bfjrId;

    @ApiModelProperty(value = "被呼叫人身份证号")
    private String bfjrSfzh;

    @ApiModelProperty(value = "被呼叫人姓名")
    private String bfjrXm;

    @ApiModelProperty(value = "被呼叫人部门")
    private String bfjrSsbm;

    @ApiModelProperty(value = "被呼叫人部门id")
    private String bfjrSsbmdm;

    @ApiModelProperty(value = "被呼叫人县公安局")
    private String bfjrSsxgaj;

    @ApiModelProperty(value = "被呼叫人县公安局id")
    private String bfjrSsxgajdm;

    @ApiModelProperty(value = "被呼叫人市公安局")
    private String bfjrSssgaj;

    @ApiModelProperty(value = "被呼叫人市公安局id")
    private String bfjrSssgajdm;

    @ApiModelProperty(value = "--D_BZ_SF（是否）是否成功（字典：0-否，1-是）")
    private String sfcg;

    @ApiModelProperty(value = "附件ID")
    private String tpId;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
