package com.mosty.base.model.entity.rzzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/7/11
 * 视频播放日志表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_rz_spbf")
@ApiModel(value = "TbSpxlSpxlfa对象", description = "视频播放日志表")
public class TbRzSpbf extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "来源表名")
    private String lybm;

    @ApiModelProperty(value = "来源id")
    private String lyid;

    @ApiModelProperty(value = "摄像头ID")
    private String sxtid;

    @ApiModelProperty(value = "摄像头名称")
    private String sxtmc;

    @ApiModelProperty(value = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date kssj;

    @ApiModelProperty(value = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jssj;

    @ApiModelProperty(value = "播放说明（存通过什么功能播放的，如：勤务首页播放）")
    private String bfsm;

    @ApiModelProperty(value = "是否成功（字典：0-否，1-是）")
    private String sfcg;

    @ApiModelProperty(value = "播放视频的ip地址")
    private String czip;

    @ApiModelProperty(value = "操作人ID")
    private String czrid;

    @ApiModelProperty(value = "操作人身份证号")
    private String czrsfzh;

    @ApiModelProperty(value = "操作人姓名")
    private String czrxm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
