package com.mosty.base.model.entity.sjzx;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @Author aklcoming
 * @Date 2022-07-11 19:24:28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_case_type")
@ApiModel(value = "案由类型对象", description = "案由类型表")
public class TbCaseType implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "案由ID", name = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Integer id;

    @ApiModelProperty(value = "案由编码", name = "code")
    private String code;

    @ApiModelProperty(value = "案由名称", name = "name")
    private String name;

    @ApiModelProperty(value = "案由全称", name = "fullName")
    private String fullName;

    @ApiModelProperty(value = "警种代码", name = "alarmCategory")
    private Integer alarmCategory;

    @ApiModelProperty(value = "级案由代码", name = "parentCode")
    private String parentCode;

    @ApiModelProperty(value = "案由级别", name = "level")
    private Integer level;

    @ApiModelProperty(value = "案由音头", name = "pinyin")
    private String pinyin;

    @ApiModelProperty(value = "是否需要匿名", name = "needAnonymous")
    private String needAnonymous;

    @ApiModelProperty(value = "创建时间", name = "createTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "更新时间", name = "updateTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "有效标志", name = "available")
    private String available;

    @ApiModelProperty(value = "来话类别", name = "callinType")
    private String callinType;

}
