package com.mosty.base.model.entity.sjzx;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @Author dw
 * @Date 2022-11-13
 * 警情-处警单表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jq_cjdb")
@ApiModel(value = "TbJqCjdb 对象", description = "警情-处警单表")
public class TbJqCjdb extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "警情表ID", name = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "处警单编号")
    private String cjdbh;

    @ApiModelProperty(value = "接警单编号")
    private String jjdbh;

    @ApiModelProperty(value = "通知单编号")
    private String tzdbh;

    @ApiModelProperty(value = "处警单位名称")
    private String cjdwmc;

    @ApiModelProperty(value = "处警单位编号")
    private String cjdwbh;

    @ApiModelProperty(value = "处警员姓名")
    private String cjyxm;

    @ApiModelProperty(value = "处警员编号")
    private String cjybh;

    @ApiModelProperty(value = "首次反馈时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date scfksj;

    @ApiModelProperty(value = "处警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjsj;

    @ApiModelProperty(value = "到达现场时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+16")
    private Date ddxcsj;

    @ApiModelProperty(value = "处警完毕时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjwbsj;

    @ApiModelProperty(value = "反馈内容")
    private String fknr;

    @ApiModelProperty(value = "出警情况")
    private String cjqk;

    @ApiModelProperty(value = "处理结果类型")
    private String cljglx;

    @ApiModelProperty(value = "处理结果")
    private String cljg;

    @ApiModelProperty(value = "出动人员")
    private String cdry;

    @ApiModelProperty(value = "出动车辆")
    private String cdcl;

    @ApiModelProperty(value = "行政区划")
    private String xzqh;

    @ApiModelProperty(value = "")
    private String cjyj;

    @ApiModelProperty(value = "审计单位代码")
    private String sjdwdm;

    @ApiModelProperty(value = "审计员编号")
    private String sjybh;

    @ApiModelProperty(value = "审计员姓名")
    private String sjyxm;

    @ApiModelProperty(value = "")
    private String pdddsj;

    @ApiModelProperty(value = "")
    private String pdjssj;

    @ApiModelProperty(value = "处置类别编号")
    private String czlbbh;

    @ApiModelProperty(value = "处置类别名称")
    private String czlbmc;

    @ApiModelProperty(value = "入库时间（CJD那边的入库时间）")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date rksj;

    @ApiModelProperty(value = "反馈定位X坐标(处置现场位置)")
    private BigDecimal fkdwxzb;

    @ApiModelProperty(value = "反馈定位Y坐标(处置现场位置)")
    private BigDecimal fkdwyzb;
}
