package com.mosty.base.model.entity.sjzx;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @Author dw
 * @Date 2022-10-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jq_dz")
@ApiModel(value = "TbJqDz 对象", description = "警情地址表")
public class TbJqDz extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "警情表ID", name = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "警情ID", name = "jqId")
    private String jqId;

    @ApiModelProperty(value = "地址调整时间", name = "dztzSj")
    private Date dztzSj;

    @ApiModelProperty(value = "地址调整人员id", name = "dztzRyid")
    private String dztzRyid;

    @ApiModelProperty(value = "地址调整人员身份证号", name = "dztzRysfzh")
    private String dztzRysfzh;

    @ApiModelProperty(value = "地址调整人员姓名", name = "dztzRyxm")
    private String dztzRyxm;

    @ApiModelProperty(value = "经度", name = "jd;")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标", name = "zb")
    private Point zb;

    @ApiModelProperty(value = "坐标hash", name = "zbhash")
    private String zbhash;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）地址行政区划代码", name = "dzxzqh")
    private String dzxzqh;

    @ApiModelProperty(value = "地址", name = "dz;")
    private String dz;

    @ApiModelProperty(value = "图片ID", name = "tpId;")
    private String tpId;

    @ApiModelProperty(value = "管辖部门", name = "ssbm")
    private String ssbm;

    @ApiModelProperty(value = "管辖部门代码", name = "ssbmdm")
    private String ssbmdm;

    @ApiModelProperty(value = "管辖县公安局", name = "ssxgaj")
    private String ssxgaj;

    @ApiModelProperty(value = "管辖县公安局代码", name = "ssxgajdm")
    private String ssxgajdm;

    @ApiModelProperty(value = "管辖市公安局", name = "sssgaj")
    private String sssgaj;

    @ApiModelProperty(value = "管辖市公安局代码", name = "sssgajdm")
    private String sssgajdm;

    @ApiModelProperty("距离")
    @TableField(exist = false)
    private BigDecimal distance;
}
