package com.mosty.base.model.entity.sjzx;


import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/8/31
 * 警情-执行人表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jq_zxr")
@ApiModel(value = "TbJqZxr 对象", description = "警情-执行人表")
public class TbJqZxr extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 7390057038182466339L;

    @ApiModelProperty(value = "标识ID", name = "id")
    private String id;;

    @ApiModelProperty(value = "警情ID")
    private String jqId;

    @ApiModelProperty(value = "接警单编号")
    private String jjdbh;

    @ApiModelProperty(value = "执行时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date zxsj;

    @ApiModelProperty(value = "执行过程代码")
    private String zxgcdm;

    @ApiModelProperty(value = "执行过程名称")
    private String zxgcmc;

    @ApiModelProperty(value = "处置内容")
    private String cznr;

    @ApiModelProperty(value = "处警人id")
    private String cjrId;

    @ApiModelProperty(value = "处警人身份证号")
    private String cjrSfzh;

    @ApiModelProperty(value = "处警人姓名")
    private String cjrXm;

    @ApiModelProperty(value = "处警人联系电话")
    private String cjrLxdh;

    @ApiModelProperty(value = "处警单编号")
    private String cjdbh;

    @ApiModelProperty(value = "通知单编号")
    private String tzdbh;

    @ApiModelProperty(value = "处警员编号")
    private String cjybh;

    @ApiModelProperty(value = "处警单位编号")
    private String cjdwbh;

    @ApiModelProperty(value = "处置时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date czsj;

    @ApiModelProperty(value = "到达现场时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date ddxcsj;

    @ApiModelProperty(value = "处理完毕时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date clwbsj;

    @ApiModelProperty(value = "首次反馈时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date scfksj;

    @ApiModelProperty(value = "反馈内容")
    private String fknr;

    @ApiModelProperty(value = "出警情况")
    private String cjqk;

    @ApiModelProperty(value = "出动人员")
    private String cdry;

    @ApiModelProperty(value = "出动车辆")
    private String cdcl;

    @ApiModelProperty(value = "状态")
    private Integer zt;

    @ApiModelProperty(value = "处置类型")
    private Integer czlx;

    @ApiModelProperty(value = "处警人部门")
    private String ssbm;

    @ApiModelProperty(value = "处警人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "处警人所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "处警人所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "处警人所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "处警人所属市公安局代码")
    private String sssgajdm;
}
