package com.mosty.base.model.entity.sjzx;


import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author aklcoming
 * @Date 2022-07-14 11:43:17
 */
@Data
@TableName("tb_sj")
@ApiModel(value = "事件")
@Accessors(chain = true)
public class TbSj extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 7390057038182466339L;

    @ApiModelProperty(value = "标识ID", name = "id")
    private String id;

    @ApiModelProperty(value = "来源ID", name = "ywId")
    private String ywId;

    @ApiModelProperty(value = "事件来源:01-感知预警，02-警情，03-一键增援，04-犯罪分析，99-自行发起", name = "sjFl")
    private String sjFl;

    @ApiModelProperty(value = "事件级别", name = "sjJb")
    private String sjJb;

    @ApiModelProperty(value = "发生时间", name = "sjFssj")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date sjFssj;

    @ApiModelProperty(value = "事件标题", name = "sjBt")
    private String sjBt;

    @ApiModelProperty(value = "报警人姓名")
    private String bjrxm;

    @ApiModelProperty(value = "报警人电话")
    private String bjrlxdh;

    @ApiModelProperty(value = "事件内容", name = "sjNr")
    private String sjNr;

    @ApiModelProperty(value = "事件初始经度", name = "csjd")
    private BigDecimal csjd;

    @ApiModelProperty(value = "事件初始纬度", name = "cswd")
    private BigDecimal cswd;

    @ApiModelProperty(value = "事件初始坐标", name = "cszb")
    private Point cszb;

    @ApiModelProperty(value = "事件初始坐标hash", name = "cszbhash")
    private String cszbhash;

    @ApiModelProperty(value = "事件初始地址行政区划代码", name = "csdzxzqh")
    private String csdzxzqh;

    @ApiModelProperty(value = "事件初始地址", name = "csdz")
    private String csdz;

    @ApiModelProperty(value = "事件当前经度", name = "dqjd")
    private BigDecimal dqjd;

    @ApiModelProperty(value = "事件当前纬度", name = "dqwd")
    private BigDecimal dqwd;

    @ApiModelProperty(value = "事件当前坐标", name = "dqzb")
    private Point dqzb;

    @ApiModelProperty(value = "事件当前坐标HASH", name = "dqzbhash")
    private String dqzbhash;

    @ApiModelProperty(value = "事件当前地址行政区划代码", name = "dqdzxzqh")
    private String dqdzxzqh;

    @ApiModelProperty(value = "事件当前地址", name = "dqdz")
    private String dqdz;

    @ApiModelProperty(value = "处置开始时间", name = "czkssj")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date czkssj;

    @ApiModelProperty(value = "处置结束时间", name = "czjssj")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date czjssj;

    @ApiModelProperty(value = "圈层-核心圈", name = "qcHx")
    private Integer qcHx;

    @ApiModelProperty(value = "圈层-警戒圈", name = "qcJj")
    private Integer qcJj;

    @ApiModelProperty(value = "圈层-关注圈", name = "qcGz")
    private Integer qcGz;

    @ApiModelProperty(value = "圈层更新次数", name = "qcGxcs")
    private Integer qcGxcs;

    @ApiModelProperty(value = "圈层更新时间", name = "qcGxsj")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date qcGxsj;

    @ApiModelProperty(value = "图片ID", name = "tpId")
    private String tpId;

    @ApiModelProperty(value = "处置状态 0.未处置  1.已处置", name = "czzt")
    private String czzt;

    @ApiModelProperty(value = "处置说明", name = "czsm")
    private String czsm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
