package com.mosty.base.model.entity.sjzx;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @Author aklcoming
 * @Date 2022-07-14 11:43:17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_sj")
@ApiModel(value = "TbSj对象", description = "事件表")
public class TbSjCyjl extends BaseEntity implements Serializable, Cloneable {

    @ApiModelProperty(value = "标识ID", name = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "事件ID")
    private String sjId;

    @ApiModelProperty(value = "报备ID")
    private String bbId;

    @ApiModelProperty(value = "警力id")
    private String jlId;

    @ApiModelProperty(value = "警力身份证号")
    private String jlSfzh;

    @ApiModelProperty(value = "警力姓名")
    private String jlXm;

    @ApiModelProperty(value = "警力联系电话")
    private String jlLxdh;

    @ApiModelProperty(value = "收到指令时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sdzlsj;

    @ApiModelProperty(value = "签收指令时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qszlsj;

    @ApiModelProperty(value = "到达现场时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcsj;

    @ApiModelProperty(value = "参与结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jssj;

    @ApiModelProperty(value = "--D_BZ_JLLX（警力类型）民警辅警（字典）")
    private String mjfj;

    @ApiModelProperty(value = "--D_BZ_SF（是否）是否专业警种")
    private String sfzyjz;

    @ApiModelProperty(value = "专业标签代码")
    private String zybqdm;

    @ApiModelProperty(value = "专业标签")
    private String zybq;

    @ApiModelProperty(value = "当前位置")
    private String dqwz;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    private Point zb;

    @ApiModelProperty(value = "坐标hash")
    private String zbhash;

    @ApiModelProperty(value = "坐标时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zbsj;

    @ApiModelProperty(value = "--D_BZ_JLZT（警力状态，在岗、不在岗）警力状态（采用指令状态字典）")
    private String jlzt;

    @ApiModelProperty(value = "图片ID")
    private String tpId;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
