package com.mosty.base.model.entity.sjzx;


import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022/8/25
 * 事件地址表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_sj_dz")
@ApiModel(value = "TbSjDz对象", description = "事件地址表")
public class TbSjDz extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 7390057038182466339L;

    @ApiModelProperty(value = "标识ID", name = "id")
    private String id;

    @ApiModelProperty(value = "事件ID")
    private String sjId;

    @ApiModelProperty(value = "地址调整时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dztzSj;

    @ApiModelProperty(value = "地址调整人员id")
    private String dztzRyid;

    @ApiModelProperty(value = "地址调整人员身份证号")
    private String dztzRysfzh;

    @ApiModelProperty(value = "地址调整人员姓名")
    private String dztzRyxm;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    private Point zb;

    @ApiModelProperty(value = "坐标hash")
    private String zbhash;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）地址行政区划代码")
    private String dzxzqh;

    @ApiModelProperty(value = "地址")
    private String dz;

    @ApiModelProperty(value = "图片ID")
    private String tpId;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
