package com.mosty.base.model.entity.sjzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * @Author aklcoming
 * @Date 2022-07-20 09:45:42
 */
@EqualsAndHashCode(callSuper = false)
@Data
@TableName("tb_sj_spbf")
@ApiModel(value = "SPBF对象", description = "视频播放")
@Accessors(chain = true)
public class TbSjSpbf extends BaseEntity implements Serializable, Cloneable {

    @ApiModelProperty(value = "标识ID", name = "id", required = false)
    private String id;

    @ApiModelProperty(value = "事件ID", name = "sjId", required = false)
    private String sjId;

    @ApiModelProperty(value = "摄像头id", name = "sxtId", required = false)
    private String sxtId;

    @ApiModelProperty(value = "播放开始时间", name = "bfkssj", required = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bfkssj;

    @ApiModelProperty(value = "播放结束时间", name = "bfjssj", required = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bfjssj;

    @ApiModelProperty(value = "摆放位置", name = "wz", required = false)
    private String wz;

    @ApiModelProperty(value = "图片ID", name = "tpId", required = false)
    private String tpId;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
