package com.mosty.base.model.entity.spxl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author dw
 * @since 2022/7/11
 * 视频巡逻方案
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_spxl_spxlfa")
@ApiModel(value = "TbSpxlSpxlfa对象", description = "视频巡逻方案表")
public class TbSpxlSpxlfa extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "方案名称")
    private String famc;

    @ApiModelProperty(value = "方案开始时间（时间段HH:mm）")
    private String kssj;

    @ApiModelProperty(value = "方案结束时间（时间段HH:mm）")
    private String jssj;

    @ApiModelProperty(value = "方案类型 1.基础巡逻  2.定制巡逻")
    private String falx;

    @ApiModelProperty(value = "分屏数 1,4,6,9")
    private String fps;

    @ApiModelProperty(value = "间隔时间（分钟）轮播时长")
    private Integer jgsj;

    @ApiModelProperty(value = "创建人ID")
    private String cjrid;

    @ApiModelProperty(value = "创建人姓名")
    private String cjrxm;

    @ApiModelProperty(value = "创建人身份证号")
    private String cjrsfzh;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "摄像头组列表")
    @TableField(exist = false)
    private List<TbSpxlSpxlfaSxtz> sxtzList;

}
