package com.mosty.base.model.entity.spxl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/7/11
 * 视频巡逻方案-摄像头-配置表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_spxl_spxlfa_sxt_pz")
@ApiModel(value = "TbSpxlSpxlfaSxtPz对象", description = "视频巡逻方案-摄像头-配置表")
public class TbSpxlSpxlfaSxtPz extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "方案ID")
    private String faid;

    @ApiModelProperty(value = "方案名称")
    private String famc;

    @ApiModelProperty(value = "摄像头组id")
    private String sxtzid;

    @ApiModelProperty(value = "摄像头id（zhjmxf_spxl_spxlfa_sxt表主键）")
    private String sxtid;

    @ApiModelProperty(value = "视频编号（对应摄像头的国标编码）")
    private String spbh;

    @ApiModelProperty(value = "预置点1（当方案类型为定位看守时，该字段表示定位点）")
    private String yzd1;

    @ApiModelProperty(value = "预置点2（当方案类型为定位看守时，该字段为null)")
    private String yzd2;

    @ApiModelProperty(value = "开始时间（HH:mm)")
    private String kssj;

    @ApiModelProperty(value = "结束时间（HH:mm）")
    private String jssj;

    @ApiModelProperty(value = "转速（1-15）")
    private String zs;

    @ApiModelProperty(value = "归位时间（分），代表多长时间回到开始位置，即定位时间")
    private String gwsj;

    @ApiModelProperty(value = "巡逻类型  1.定速巡航  2.定位看守")
    private String xllx;
}
