package com.mosty.base.model.entity.spxl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author dw
 * @since 2022/7/11
 * 视频巡逻方案-摄像头组表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_spxl_spxlfa_sxtz")
@ApiModel(value = "TbSpxlSpxlfaSxtz对象", description = "视频巡逻方案-摄像头组表")
public class TbSpxlSpxlfaSxtz extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "方案ID")
    private String faid;

    @ApiModelProperty(value = "方案名称")
    private String famc;

    @ApiModelProperty(value = "摄像头组名称")
    private String sxtzmc;

    @ApiModelProperty(value = "摄像头列表")
    @TableField(exist = false)
    private List<TbSpxlSpxlfaSxt> sxtList;
}
