package com.mosty.base.model.entity.trs;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.vo.trs.VwAlermYjzlVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/10/28
 * 拓尔思预警指令关联表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("TRS_BIGDATA_GX.VW_ALARM_YJGJ")
@ApiModel(value = "VwAlermYjgl 对象", description = "拓尔思预警指令关联表")
public class VwAlermYjgl implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "活动发生时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date hdfssj;

    @ApiModelProperty(value = "活动发生地址")
    private String hdfsdd;

    @ApiModelProperty(value = "活动详情")
    private String hdxq;

    @ApiModelProperty(value = "")
    private String hdlyzj;

    @ApiModelProperty(value = "预警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date yjsj;

    @ApiModelProperty(value = "活动发生地详址")
    private String hdfsdxz;

    @ApiModelProperty(value = "行政区划")
    private String hdfsdqh;

    @ApiModelProperty(value = "来源ID")
    private String hdlyben;

    @ApiModelProperty(value = "经度")
    private BigDecimal hdjd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal hdwd;

    @ApiModelProperty(value = "预警指令ID")
    private String yjzlid;

    @ApiModelProperty(value = "来源")
    private String hdlybcn;

    @ApiModelProperty(value = "预警来源代码")
    private String yjlyDm;

    @ApiModelProperty(value = "预警来源")
    private String yjly;

    @ApiModelProperty(value = "")
    private String yjlyzj;

    @ApiModelProperty(value = "")
    private String xnlylx;

    @ApiModelProperty(value = "预警来源级别代码")
    private String yjlyjbDm;

    @ApiModelProperty(value = "预警来源级别")
    private String yjlyjb;

    @ApiModelProperty(value = "")
    private String tdzt;

    @ApiModelProperty(value = "文件地址")
    private String fileids;

    @ApiModelProperty(value = "预警来源表")
    private String yjlyb;

    @ApiModelProperty(value = "关联身份证号")
    private String glsfzh;

    @ApiModelProperty(value = "关联其他号码")
    private String glqthm;

    @ApiModelProperty(value = "关联姓名")
    private String glxm;

    @ApiModelProperty(value = "布控类型")
    private String bklx;

    @ApiModelProperty(value = "人员细类")
    private String ryxl;

    @ApiModelProperty(value = "人员细类代码")
    private String ryxlDm;

    @ApiModelProperty(value = "申请人证件号码")
    private String sqrzjhm;

    @ApiModelProperty(value = "申请人单位代码")
    private String sqrdwdh;

    @ApiModelProperty(value = "布控信息主键")
    private String bkxxzj;

    @ApiModelProperty(value = "是否发送到本地代码")
    private String issendtolocalDm;

    @ApiModelProperty(value = "是否发送到本地")
    private String issendtolocal;

    @ApiModelProperty(value = "")
    private String localunitcode;

    @ApiModelProperty(value = "")
    private String isjudgelocalDm;

    @ApiModelProperty(value = "")
    private String isjudgelocal;

    @ApiModelProperty(value = "")
    private String issendtocommunityDm;

    @ApiModelProperty(value = "")
    private String issendtocommunity;

    @ApiModelProperty(value = "")
    private String localcommunitycode;

    @ApiModelProperty(value = "")
    private String isjudgecommunityDm;

    @ApiModelProperty(value = "")
    private String isjudgecommunity;

}
