package com.mosty.base.model.entity.trs;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/10/28
 * 拓尔思预警指令列表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("TRS_BIGDATA_GX.VW_ALARM_YJZL")
@ApiModel(value = "VwAlermYjzl 对象", description = "拓尔思预警指令列表")
public class VwAlermYjzl implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "")
    private String bkzj;

    @ApiModelProperty(value = "发布时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date fbsj;

    @ApiModelProperty(value = "状态'0','未签收','1','正常签收','2','超时签收','3','已下发','4','正常反馈'," +
            "'6','超时反馈'")
    private String status;

    @ApiModelProperty(value = "指令等级")
    private String lev;

    @ApiModelProperty(value = "")
    private String hdlyben;

    @ApiModelProperty(value = "指令编号")
    private String zlbh;

    @ApiModelProperty(value = "指令类型")
    private String zllx;

    @ApiModelProperty(value = "签收时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date qssj;

    @ApiModelProperty(value = "处置时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date czsj;

    @ApiModelProperty(value = "最后修改时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lastupdatetime;

    @ApiModelProperty(value = "人员细类")
    private String ryxl;

    @ApiModelProperty(value = "人员细类代码")
    private String ryxlDm;

    @ApiModelProperty(value = "")
    private String hdlybcn;

    @ApiModelProperty(value = "布控来源表")
    private String bklyb;

    @ApiModelProperty(value = "")
    private String bklyzj;

    @ApiModelProperty(value = "预警细类")
    private String yjlx;

    @ApiModelProperty(value = "")
    private String yjgjid;

}
