package com.mosty.base.model.entity.trs;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/10/28
 * 拓尔思预警指令-接收用户表列表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("TRS_BIGDATA_GX.VW_ALARM_YJZL_USER")
@ApiModel(value = "VwAlermYjzlUser 对象", description = "拓尔思预警指令-接收用户表列表")
public class VwAlermYjzlUser implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "预警指令主键")
    private String yjzlzj;

    @ApiModelProperty(value = "身份证号")
    private String idcard;

    @ApiModelProperty(value = "姓名")
    private String username;

    @ApiModelProperty(value = "单位代码")
    private String unitcode;

    @ApiModelProperty(value = "单位名称")
    private String unitname;

    @ApiModelProperty(value = "")
    private String sourceunitcode;

    @ApiModelProperty(value = "")
    private String sourceunitname;

    @ApiModelProperty(value = "")
    private String sourceidcard;

    @ApiModelProperty(value = "")
    private String sourceusername;

    @ApiModelProperty(value = "签收状态")
    private String statusCode;

    @ApiModelProperty(value = "签收状态中文")
    private String statusName;

    @ApiModelProperty(value = "签收状态中文")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date signtime;

    @ApiModelProperty(value = "发布时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date crttime;

    @ApiModelProperty(value = "")
    private String typeCode;

    @ApiModelProperty(value = "")
    private String typeName;
}
