package com.mosty.base.model.entity.trs;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.entity.spxl.TbSpxlSpxlfaSxtz;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/10/26
 * 拓尔思走访记录表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("TRS_BIGDATA_GX.VW_PERSON_VISIT_RECORD")
@ApiModel(value = "VwPersonVisitRecord 对象", description = "拓尔思走访记录表")
public class VwPersonVisitRecord implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "走访时间")
    private Date time;

    @ApiModelProperty(value = "走访方式代码")
    private String methodCode;

    @ApiModelProperty(value = "走访方式名称")
    private String methodName;

    @ApiModelProperty(value = "控制类型")
    private String inControl;

    @ApiModelProperty(value = "控制类型 0.失控 1.在控 2.待反馈")
    private String inControlCode;

    @ApiModelProperty(value = "脱离控制事件")
    private Date outOfControlTime;

    @ApiModelProperty(value = "目的的")
    private String destination;

    @ApiModelProperty(value = "说明")
    private String info;

    @ApiModelProperty(value = "走访人员")
    private String visitBy;

    @ApiModelProperty(value = "经度")
    private String lng;

    @ApiModelProperty(value = "维度")
    private String lat;

    @ApiModelProperty(value = "图片")
    private String imageUrl;

}
