package com.mosty.base.model.entity.trs;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/10/26
 * 拓尔思走访人员表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("TRS_BIGDATA_GX.VW_PS_PERSON_ZY")
@ApiModel(value = "VwPsPersonZy 对象", description = "拓尔思走访人员表")
public class VwPsPersonZy implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "身份证号码")
    private String idNumber;

    @ApiModelProperty(value = "性别")
    private String gender;

    @ApiModelProperty(value = "曾用名")
    private String formerName;

    @ApiModelProperty(value = "绰号")
    private String nickName;

    @ApiModelProperty(value = "民族")
    private String nation;

    @ApiModelProperty(value = "政治面貌")
    private String politicalStatus;

    @ApiModelProperty(value = "宗教信仰")
    private String religiousBelief;

    @ApiModelProperty(value = "现职业")
    private String currentJob;

    @ApiModelProperty(value = "联系方式")
    private String contactInformation;

    @ApiModelProperty(value = "户籍地")
    private String registeredResidence;

    @ApiModelProperty(value = "现住地")
    private String currentResidence;

    @ApiModelProperty(value = "管控状态")
    private String controlStatus;

    @ApiModelProperty(value = "管控状态 '1', '已列管', '2', '已布控', '3', '已归档'")
    private String controlStatusCode;

    @ApiModelProperty(value = "婚姻状态")
    private String maritalStatus;

    @ApiModelProperty(value = "基本情况")
    private String basicInfo;

    @ApiModelProperty(value = "区县编码")
    private String areaCode;

    @ApiModelProperty(value = "证件类型")
    private String idType;

    @ApiModelProperty(value = "是否在控")
    private String isInControl;

    @ApiModelProperty(value = "是否在控")
    private String isInControlName;

    @ApiModelProperty(value = "人员类别")
    private String rylb;

    @ApiModelProperty(value = "人员细类")
    private String ryxl;

    @ApiModelProperty(value = "责任警种")
    private String zrjz;

    @ApiModelProperty(value = "派出所代码")
    private String sspcsmc;

    @ApiModelProperty(value = "派出所名称")
    private String sspcsdm;

    @ApiModelProperty(value = "控制级别")
    private String controlLevel;

    @ApiModelProperty(value = "社区")
    private String sssq;

    @ApiModelProperty(value = "创建时间")
    private Date crTime;

    @ApiModelProperty(value = "最后更新人")
    private String upBy;

    @ApiModelProperty(value = "最后更新时间")
    private Date upTime;

    @ApiModelProperty(value = "创建部门")
    private String crDept;

    @ApiModelProperty(value = "创建部门编号")
    private String crDeptCode;

}
