package com.mosty.base.model.entity.wzzx;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.LineString;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 位置-人员位置表
 * </p>
 *
 * @author zengbo
 * @since 2022-08-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_wz_rywz")
@ApiModel(value = "TbWzRywz对象", description = "位置-人员位置表")
public class TbWzRywz extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "用户ID")
    private String yhId;

    @ApiModelProperty(value = "用户身份证号")
    private String yhSfzh;

    @ApiModelProperty(value = "用户姓名")
    private String yhXm;

    @ApiModelProperty(value = "坐标线")
    private LineString zb;

    @ApiModelProperty(value = "坐标线（字符串类型），方便存入redis中")
    @TableField(exist = false)
    private List<BigDecimal[]> zbList;

    @ApiModelProperty(value = "坐标点数量")
    private Integer zbsl;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "定位日期", name = "dwrq", required = false)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date dwrq;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "开始时间", name = "kssj", required = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date kssj;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "结束时间", name = "jssj", required = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jssj;

    @ApiModelProperty(value = "时长（分）")
    private Integer sc;

    @ApiModelProperty(value = "里程（米）")
    private Integer lc;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球纬度")
    private BigDecimal wd;

    @TableField(fill = FieldFill.INSERT)
    @ApiModelProperty(value = "结束时间", name = "jssj", required = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zhgxsj;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
