package com.mosty.base.model.entity.xinzhi;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@NoArgsConstructor
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(value = "v_jjdb")
@ApiModel(value = "JJDB 对象", description = "接警单")
public class Jjdb {

    @ApiModelProperty(value = "事件编号")
    @TableField(value = "xzqhdm")
    private String xzqhdm;

    @ApiModelProperty(value = "接警单位代码")
    @TableField(value = "jjdwdm")
    private String jjdwdm;

    @ApiModelProperty(value = "接警单编号")
    @TableField(value = "jjdbh")
    @TableId(value = "jjdbh")
    private String jjdbh;

    @ApiModelProperty(value = "关联主接警单编号")
    @TableField(value = "glzjjdbh")
    private String glzjjdbh;

    @ApiModelProperty(value = "接警类型")
    @TableField(value = "jjlx")
    private String jjlx;

    @ApiModelProperty(value = "警情来源方式")
    @TableField(value = "jqlyfs")
    private String jqlyfs;

    @ApiModelProperty(value = "来话类型")
    @TableField(value = "lhlx")
    private String lhlx;

    @ApiModelProperty(value = "接警录音号")
    @TableField(value = "jjlyh")
    private String jjlyh;

    @ApiModelProperty(value = "接警员编号")
    @TableField(value = "jjybh")
    private String jjybh;

    @ApiModelProperty(value = "接警员姓名")
    @TableField(value = "jjyxm")
    private String jjyxm;

    @ApiModelProperty(value = "报警时间")
    @TableField(value = "bjsj")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bjsj;

    @ApiModelProperty(value = "接警时间")
    @TableField(value = "jjsj")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jjsj;

    @ApiModelProperty(value = "接警完成时间")
    @TableField(value = "jjwcsj")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jjwcsj;

    @ApiModelProperty(value = "报警电话")
    @TableField(value = "bjdh")
    private String bjdh;

    @ApiModelProperty(value = "报警电话用户名")
    @TableField(value = "bjdhyhm")
    private String bjdhyhm;

    @ApiModelProperty(value = "报警电话用户地址")
    @TableField(value = "bjdhyhdz")
    private String bjdhyhdz;

    @ApiModelProperty(value = "报警人名称")
    @TableField(value = "bjrmc")
    private String bjrmc;

    @ApiModelProperty(value = "报警人性别代码")
    @TableField(value = "bjrxbdm")
    private String bjrxbdm;

    @ApiModelProperty(value = "联系电话")
    @TableField(value = "lxdh")
    private String lxdh;

    @ApiModelProperty(value = "报警人证件代码")
    @TableField(value = "bjrzjdm")
    private String bjrzjdm;

    @ApiModelProperty(value = "报警人证件号码")
    @TableField(value = "bjrzjhm")
    private String bjrzjhm;

    @ApiModelProperty(value = "报警地址")
    @TableField(value = "bjdz")
    private String bjdz;

    @ApiModelProperty(value = "警情地址")
    @TableField(value = "jqdz")
    private String jqdz;

    @ApiModelProperty(value = "报警内容")
    @TableField(value = "bjnr")
    private String bjnr;

    @ApiModelProperty(value = "管辖单位代码")
    @TableField(value = "gxdwdm")
    private String gxdwdm;

    @ApiModelProperty(value = "警情类别代码")
    @TableField(value = "jqlbdm")
    private String jqlbdm;

    @ApiModelProperty(value = "警情类型代码")
    @TableField(value = "jqlxdm")
    private String jqlxdm;

    @ApiModelProperty(value = "警情细类代码")
    @TableField(value = "jqxldm")
    private String jqxldm;

    @ApiModelProperty(value = "警情子类代码")
    @TableField(value = "jqzldm")
    private String jqzldm;

    @ApiModelProperty(value = "特征点编号")
    @TableField(value = "tzdbh")
    private String tzdbh;

    @ApiModelProperty(value = "作案人数")
    @TableField(value = "zars")
    private Integer zars;

    @ApiModelProperty(value = "有无持武器")
    @TableField(value = "ywcwq")
    private String ywcwq;

    @ApiModelProperty(value = "有无危险物质")
    @TableField(value = "ywwxwz")
    private String ywwxwz;

    @ApiModelProperty(value = "有无爆炸/泄漏")
    @TableField(value = "ywbzxl")
    private String ywbzxl;

    @ApiModelProperty(value = "被困人员情况说明")
    @TableField(value = "bkryqksm")
    private String bkryqksm;

    @ApiModelProperty(value = "受伤人员情况说明")
    @TableField(value = "ssryqksm")
    private String ssryqksm;

    @ApiModelProperty(value = "死亡人员情况说明")
    @TableField(value = "swryqksm")
    private String swryqksm;

    @ApiModelProperty(value = "是否是外语报警")
    @TableField(value = "sfswybj")
    private String sfswybj;

    @ApiModelProperty(value = "报警人定位X坐标")
    @TableField(value = "bjrxzb")
    private BigDecimal bjrxzb;

    @ApiModelProperty(value = "报警人定位Y坐标")
    @TableField(value = "bjryzb")
    private BigDecimal bjryzb;

    @ApiModelProperty(value = "反向定位X坐标")
    @TableField(value = "fxdwjd")
    private BigDecimal fxdwjd;

    @ApiModelProperty(value = "反向定位Y坐标")
    @TableField(value = "fxdwwd")
    private BigDecimal fxdwwd;

    @ApiModelProperty(value = "补充接警内容")
    @TableField(value = "bcjjnr")
    private String bcjjnr;

    @ApiModelProperty(value = "警情等级代码")
    @TableField(value = "jqdjdm")
    private String jqdjdm;

    @ApiModelProperty(value = "警情处理状态代码")
    @TableField(value = "jqclztdm")
    private String jqclztdm;

    @ApiModelProperty(value = "应急救援等级代码")
    @TableField(value = "yjjydjdm")
    private String yjjydjdm;

    @ApiModelProperty(value = "涉及车号牌种类代码")
    @TableField(value = "sjchpzldm")
    private String sjchpzldm;

    @ApiModelProperty(value = "涉及车牌号")
    @TableField(value = "sjcph")
    private String sjcph;

    @ApiModelProperty(value = "是否是危化车辆")
    @TableField(value = "sfswhcl")
    private String sfswhcl;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "cjsj")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String cjsj;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "gxsj")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String gxsj;

    @ApiModelProperty(value = "警情标签是对警情内容关键要素的提取和标注")
    @TableField(value = "jqbq")
    private String jqbq;

    @ApiModelProperty(value = "是否保密")
    @TableField(value = "sfbm")
    private String sfbm;

}
