package com.mosty.base.model.entity.yisa;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.entity.spxl.TbSpxlSpxlfaSxtz;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author dw
 * @since 2022/7/11
 * 以撒感知源表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("location")
@ApiModel(value = "LocationBase 对象", description = "以撒感知源表")
public class LocationBase implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "名称")
    private String pointname;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "点位类型 1:卡口,2:电警,3:混合,4:虚拟卡口,5:小区停车场,6:收费站99其他")
    private String locationType;

    @ApiModelProperty(value = "0不限 1车头 2车尾")
    private String passfunc;

    @ApiModelProperty(value = "")
    private String regioncode;

    @ApiModelProperty(value = "1：进行交通检测")
    private String istraffic;

    @ApiModelProperty(value = "位置名")
    private String place;

    @ApiModelProperty(value = "管辖单位，关联部门id")
    private String orgcode;
}
