package com.mosty.base.model.entity.yjzl;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("tb_yjxx_mxyj")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TbYjxxMxyj 对象", description = "预警信息-模型预警实体表")
public class TbYjxxMxyj extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警表标识ID", name = "id")
    private String id;

    @ApiModelProperty(value = "预警类型;1-人员预警，2-车辆预警", name = "yjLx")
    private String yjLx;

    @ApiModelProperty(value = "模型ID", name = "mxid")
    private String mxid;

    @ApiModelProperty(value = "关联预警表id", name = "yjid")
    private String yjid;

    @ApiModelProperty(value = "关联预警Id（多预警用逗号拼接）", name = "yjids")
    private String yjids;

    @ApiModelProperty(value = "感知源id", name = "yjGzyid")
    private String yjGzyid;

    @ApiModelProperty(value = "感知源名称", name = "yjGzymc")
    private String yjGzymc;

    @ApiModelProperty(value = "发生年份")
    private Integer yjFsnf;

    @ApiModelProperty(value = "发生月份")
    private Integer yjFsyf;

    @ApiModelProperty(value = "发生年月")
    private Integer yjFsny;

    @ApiModelProperty(value = "发生周数")
    private Integer yjFszs;

    @ApiModelProperty(value = "发生小时")
    private Integer yjFsxs;

    @ApiModelProperty(value = "发生日期", name = "yjFsrq")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date yjFsrq;

    @ApiModelProperty(value = "发生时间", name = "yjFssj")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjFssj;

    @ApiModelProperty(value = "预警时间", name = "yjSj")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjSj;

    @ApiModelProperty(value = "预警级别（10红、20橙、30黄、40蓝）", name = "yjJb")
    private String yjJb;

    @ApiModelProperty(value = "预警标题", name = "yjBt")
    private String yjBt;

    @ApiModelProperty(value = "预警内容", name = "yjNr")
    private String yjNr;

    @ApiModelProperty(value = "经度", name = "jd")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标", name = "zb")
    private Point zb;

    @ApiModelProperty(value = "坐标hash值", name = "zbhash")
    private String zbhash;

    @ApiModelProperty(value = "距离", name = "jl")
    private Integer jl;

    @ApiModelProperty(value = "预警地址-行政区划代码", name = "yjDzXzqh")
    private String yjDzXzqh;

    @ApiModelProperty(value = "预警地址", name = "yjDz")
    private String yjDz;

    @ApiModelProperty(value = "预警人员姓名", name = "yjRyxm")
    private String yjRyxm;

    @ApiModelProperty(value = "预警人员身份证号码（人员预警必填）", name = "yjRysfzh")
    private String yjRysfzh;

    @ApiModelProperty(value = "相似度", name = "xsd")
    private BigDecimal xsd;

    @ApiModelProperty(value = "人数、车数", name = "yjsl")
    private Integer yjsl;

    @ApiModelProperty(value = "--D_BZ_HPZL（号牌类型）车牌类型", name = "yjHplx")
    private String yjHplx;

    @ApiModelProperty(value = "预警车辆车牌号;车辆预警必填", name = "yjClcph")
    private String yjClcph;

    @ApiModelProperty(value = "预警标签", name = "yjbq")
    private String yjbq;

    @ApiModelProperty(value = "预警标签详情", name = "yjbqmc")
    private String yjbqmc;

    @ApiModelProperty(value = "是否发送指令", name = "sfFszl")
    private String sfFszl;

    @ApiModelProperty(value = "是否误报", name = "sfWb")
    private String sfWb;

    @ApiModelProperty(value = "预警来源Id", name = "yjlyid")
    private String yjlyid;

    @ApiModelProperty(value = "预警来源名称", name = "yjlyBqmc")
    private String yjlyBqmc;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
