package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 预警信息-人员-涉及案件表
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_ry_sjaj")
@ApiModel(value="TbYjxxRySjaj对象", description="预警信息-人员-涉及案件表")
public class TbYjxxRySjaj extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警人员标签表标识ID")
    private String id;

    @ApiModelProperty(value = "预警人员表标识ID")
    private String yjryId;

    @ApiModelProperty(value = "--D_BB_AJLB（案件类别）案件类别代码（部标字典）")
    private String ajlbdm;

    @ApiModelProperty(value = "案件类别名称")
    private String ajlbmc;

    @ApiModelProperty(value = "案件编号")
    private String ajbh;

    @ApiModelProperty(value = "案件名称")
    private String ajmc;

    @ApiModelProperty(value = "犯罪时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date fzsj;

}
