package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("tb_zl_jq")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TbZlJq对象", description = "指令警情实体表")
public class TbZlJq  extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指令警情表标识ID")
    private String id;

    @ApiModelProperty(value = "指令ID")
    private String zlId;

    @ApiModelProperty(value = "警情ID")
    private String jqId;

    @ApiModelProperty(value = "接警单编号")
    private String jjdbh;

    @ApiModelProperty(value = "关联接警单编号")
    private String gljjdbh;

    @ApiModelProperty(value = "报警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bjsj;

    @ApiModelProperty(value = "接警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jjsj;

    @ApiModelProperty(value = "警情发生开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jqfskssj;

    @ApiModelProperty(value = "警情发生结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jqfsjssj;

    @ApiModelProperty(value = "报警电话")
    private String bjdh;

    @ApiModelProperty(value = "报警电话用户姓名")
    private String bjdhYhxm;

    @ApiModelProperty(value = "报警电话用户地址")
    private String bjdhYhdz;

    @ApiModelProperty(value = "报警人身份证号")
    private String bjrSfzh;

    @ApiModelProperty(value = "报警人姓名")
    private String bjrXm;

    @ApiModelProperty(value = "报警人性别--D_BZ_XB（性别）")
    private String bjrXb;

    @ApiModelProperty(value = "报警人联系电话")
    private String bjrLxdh;

    @ApiModelProperty(value = "报警人住址单位")
    private String bjrZzdw;

    @ApiModelProperty(value = "事发地址行政区划--D_BZ_XZQHDM（行政区划代码）")
    private String sfdzxzqh;

    @ApiModelProperty(value = "事发地址")
    private String sfdz;

    @ApiModelProperty(value = "路灯杆编号")
    private String ldgbh;

    @ApiModelProperty(value = "报警内容")
    private String bjnr;

    @ApiModelProperty(value = "警情级别")
    private String jqjb;

    @ApiModelProperty(value = "案由")
    private String ay;

    @ApiModelProperty(value = "报警类别")
    private String bjlb;

    @ApiModelProperty(value = "报警类别名称")
    private String bjlbmc;

    @ApiModelProperty(value = "报警类型")
    private String bjlx;

    @ApiModelProperty(value = "报警类型名称")
    private String bjlxmc;

    @ApiModelProperty(value = "报警细类")
    private String bjxl;

    @ApiModelProperty(value = "报警细类名称")
    private String bjxlmc;

    @ApiModelProperty(value = "被困人数")
    private Integer bkrs;

    @ApiModelProperty(value = "受伤人数")
    private Integer ssrs;

    @ApiModelProperty(value = "死亡人数")
    private Integer swrs;

    @ApiModelProperty(value = "有无危险物质(0：无，1：有，默认为无)--D_BZ_SF（是否）")
    private String ywwxwz;

    @ApiModelProperty(value = "有无爆炸/泄漏(0：无，1：有，默认为无)--D_BZ_SF（是否）")
    private String ywbzxl;

    @ApiModelProperty(value = "有无被困人员(0：无，1：有，默认为无)--D_BZ_SF（是否）")
    private String ywbkry;

    @ApiModelProperty(value = "是否涉外(0：无，1：有，默认为无)--D_BZ_SF（是否）")
    private String sfsw;

    @ApiModelProperty(value = "是否是外语报警(0：无，1：有，默认为无)--D_BZ_SF（是否）")
    private String sfswybj;

    @ApiModelProperty(value = "是否重大警情D_BZ_SF")
    private String sfzdjq;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    private Point zb;

    @ApiModelProperty(value = "坐标hash值")
    private String zbhash;

    @ApiModelProperty(value = "重大警情添加类型 01.系统推送 02.手动添加 03.一键报警--D_BZ_ZDJQTJLX（重大警情添加类型）")
    private String zdjqtjlx;

    @ApiModelProperty(value = "指令等级（10-红色,20-橙色,30-黄色,40-蓝色）--D_BZ_TYJB")
    private String zldj;

    @ApiModelProperty(value = "签收状态（01-待签收，02-正常签收，03-超时签收）")
    private String qszt;

    @ApiModelProperty(value = "签收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qssj;

    @ApiModelProperty(value = "指令签收有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qsyxsj;

    @ApiModelProperty(value = "到达现场状态（21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场）采用指令执行状态字典")
    private String ddxczt;

    @ApiModelProperty(value = "到达现场有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcyxsj;

    @ApiModelProperty(value = "到达现场时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcsj;

    @ApiModelProperty(value = "指令完结状态（91-未完成，92-已完成，93-超时完成，94-已结束未完成）采用指令执行状态字典")
    private String zlwjzt;

    @ApiModelProperty(value = "到达现场有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlwjyxsj;

    @ApiModelProperty(value = "指令完结时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlwjsj;

    @ApiModelProperty(value = "指令完结说明")
    private String zlwjsm;

    @ApiModelProperty(value = "指令执行状态--D_BZ_ZXZTAI（01-待签收，02-正常签收，03-超时签收；04-已转发；11-巡逻中，" +
            "21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场(实际未到达)；" +
            "25-超时到达现场 ，26-已研判，27-已反馈，31-待处置，32-处置完成；91-未完成，92-已完成，" +
            "93-超时完成，94-已结束未完成）")
    private String zlzxzt;

    @ApiModelProperty(value = "处置情况说明")
    private String czqk;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属县公安局ID")
    private String ssxgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

}
