package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 指令-巡逻指令表
 * </p>
 *
 * @author
 * @since 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tb_zl_xl")
@ApiModel(value = "TbZlXl", description = "指令-巡逻指令表")
public class TbZlXl  extends BaseEntity implements Serializable, Cloneable{

    private static final long serialVersionUID = 1L;

    /**
     * 巡防指令表标识ID
     */
    @ApiModelProperty(value = "巡防指令表标识ID")
    private String id;

    /**
     * 指令ID
     */
    @ApiModelProperty(value = "指令ID")
    private String zlId;

    /**
     * 巡逻方案id
     */
    @ApiModelProperty(value = "巡逻方案id")
    private String xlfaId;

    /**
     * 指令等级（10-红色,20-橙色,30-黄色,40-蓝色）--D_BZ_TYJB
     */
    @ApiModelProperty(value = "指令等级（10-红色,20-橙色,30-黄色,40-蓝色）--D_BZ_TYJB")
    private String zldj;

    /**
     * 指令标题
     */
    @ApiModelProperty(value = "指令标题")
    private String zlbt;

    /**
     * 指令内容
     */
    @ApiModelProperty(value = "指令内容")
    private String zlnr;

    /**
     * 指令发送日期
     */
    @ApiModelProperty(value = "指令发送日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date zlfsrq;

    /**
     * 指令发送时间
     */
    @ApiModelProperty(value = "指令发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlfssj;

    /**
     * 指令计划执行结束日期
     */
    @ApiModelProperty(value = "指令计划执行结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date zlzxrq;

    /**
     * 指令计划执行结束时间
     */
    @ApiModelProperty(value = "指令计划执行结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlzxjssj;

    /**
     * 巡防点位数
     */
    @ApiModelProperty(value = "巡防点位数")
    private Integer xfdws;

    /**
     * 已巡防点位数
     */
    @ApiModelProperty(value = "已巡防点位数")
    private Integer yxdws;

    /**
     * 签收状态（01-待签收，02-正常签收，03-超时签收）
     */
    @ApiModelProperty(value = "签收状态（01-待签收，02-正常签收，03-超时签收）")
    private String qszt;

    /**
     * 签收时间
     */
    @ApiModelProperty(value = "指令计划执行结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qssj;

    /**
     * 指令完结状态（91-未完成，92-已完成，93-超时完成，94-已结束未完成）采用指令执行状态字典
     */
    @ApiModelProperty(value = "指令完结状态（91-未完成，92-已完成，93-超时完成，94-已结束未完成）采用指令执行状态字典")
    private String zlwjzt;

    /**
     * 指令完结时间
     */
    @ApiModelProperty(value = "指令完结时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlwjsj;

    /**
     * 指令完结说明
     */
    @ApiModelProperty(value = "指令完结说明")
    private String zlwjsm;

    @ApiModelProperty(value = "指令执行状态--D_BZ_ZXZTAI（01-待签收，02-正常签收，03-超时签收；04-已转发；11-巡逻中，" +
            "21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场(实际未到达)；" +
            "25-超时到达现场 ，26-已研判，27-已反馈，31-待处置，32-处置完成；91-未完成，92-已完成，" +
            "93-超时完成，94-已结束未完成）")
    private String zlzxzt;

    /**
     * 指令发起人ID
     */
    @ApiModelProperty(value = "指令发起人ID")
    private String zlfqrId;

    /**
     * 指令发起人姓名
     */
    @ApiModelProperty(value = "指令发起人姓名")
    private String zlfqr;

    /**
     * 指令发起人身份证
     */
    @ApiModelProperty(value = "指令发起人身份证")
    private String zlfqrSfzh;

    /**
     * 指令发起人电话
     */
    @ApiModelProperty(value = "指令发起人电话")
    private String zlfqrDh;

    /**
     * 附件ID
     */
    @ApiModelProperty(value = "附件ID")
    private String fjId;

    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    /**
     * 所属部门代码
     */
    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    /**
     * 所属部门ID
     */
    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    /**
     * 所属县公安局
     */
    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    /**
     * 所属县公安局代码
     */
    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    /**
     * 所属县公安局ID
     */
    @ApiModelProperty(value = "所属县公安局ID")
    private String ssxgajid;

    /**
     * 所属市公安局
     */
    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    /**
     * 所属市公安局代码
     */
    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    /**
     * 所属市公安局id
     */
    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

}
