package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 指令-巡逻指令-必巡点巡逻记录表
 * </p>
 *
 * @author
 * @since 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tb_zl_xl_bxd_xljl")
@Accessors(chain = true)
@ApiModel(value = "TbZlXlBxdXljl", description = "指令-巡逻指令-必巡点巡逻记录表")
public class TbZlXlBxdXljl extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    /**
     * 必巡点表标识ID
     */
    @ApiModelProperty(value = "必巡点表标识ID")
    private String id;

    /**
     * 指令id
     */
    @ApiModelProperty(value = "指令id")
    private String zlId;

    /**
     * 巡逻指令id
     */
    @ApiModelProperty(value = "巡逻指令id")
    private String zlXlId;

    /**
     * 巡逻指令-必巡点ID
     */
    @ApiModelProperty(value = "巡逻指令-必巡点ID")
    private String zlXlBxdId;

    /**
     * 必巡点id
     */
    @ApiModelProperty(value = "必巡点id")
    private String bxdId;

    /**
     * 所属巡防区域ID
     */
    @ApiModelProperty(value = "所属巡防区域ID")
    private String ssXfqyId;

    /**
     * 实际巡逻开始时间
     */
    @ApiModelProperty(value = "实际巡逻开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sjKssj;

    /**
     * 实际巡逻离开时间
     */
    @ApiModelProperty(value = "实际巡逻离开时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sjLksj;

    /**
     * 实际巡逻停留时长
     */
    @ApiModelProperty(value = "实际巡逻停留时长")
    private Integer sjTlsc;

    /**
     * 实际盘查人员数量
     */
    @ApiModelProperty(value = "实际盘查人员数量")
    private Integer sjPcrysl;

    /**
     * 实际盘查车辆数量
     */
    @ApiModelProperty(value = "实际盘查车辆数量")
    private Integer sjPcclsl;

    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    /**
     * 所属部门代码
     */
    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    /**
     * 所属部门ID
     */
    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    /**
     * 所属县公安局
     */
    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    /**
     * 所属县公安局代码
     */
    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    /**
     * 所属县公安局ID
     */
    @ApiModelProperty(value = "所属县公安局ID")
    private String ssxgajid;

    /**
     * 所属市公安局
     */
    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    /**
     * 所属市公安局代码
     */
    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    /**
     * 所属市公安局id
     */
    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

}
