package com.mosty.base.model.entity.yjzl;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 指令-车辆预警指令表
 * </p>
 *
 * @author
 * @since 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tb_zl_yj_cl")
@Accessors(chain = true)
@ApiModel(value = "TbZlYjCl", description = "指令-车辆预警指令表")
public class TbZlYjCl extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警车辆表标识ID")
    private String id;

    @ApiModelProperty(value = "指令id")
    private String zlId;

    @ApiModelProperty(value = "预警表ID")
    private String yjId;

    @ApiModelProperty(value = "预警车辆表ID")
    private String yjclId;

    @ApiModelProperty(value = "车辆标签1临控2被抢盗3套牌4假牌，9-正常车辆--D_BZ_CLBQ（车辆标签）")
    private String yjClbq;

    @ApiModelProperty(value = "车辆标签")
    private String yjClbqmc;

    @ApiModelProperty(value = "预警来源标签名称")
    private String yjlyBqmc;

    @ApiModelProperty(value = "车辆预警类型（1-车内人员预警，2-车辆预警，3-车辆和人员预警）")
    private String yjClyjlx;

    @ApiModelProperty(value = "发生时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjFssj;

    @ApiModelProperty(value = "预警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjSj;

    @ApiModelProperty(value = "预警级别--D_BZ_TYJB（通用级别）")
    private String yjJb;

    @ApiModelProperty(value = "指令等级（10-红色,20-橙色,30-黄色,40-蓝色）--D_BZ_TYJB")
    private String zldj;

    @ApiModelProperty(value = "指令标题")
    private String zlBt;

    @ApiModelProperty(value = "指令内容")
    private String zlNr;

    @ApiModelProperty(value = "车牌类型--D_BZ_HPZL（号牌类型）")
    private String zlCphlx;

    @ApiModelProperty(value = "车牌号")
    private String zlClcph;

    @ApiModelProperty(value = "机动车所有人号码（身份证号或组织机构代码）")
    private String zlCljdcsyrhm;

    @ApiModelProperty(value = "机动车所有人")
    private String zlCljdcsyr;

    @ApiModelProperty(value = "车牌号颜色--D_BZ_CPHYS（车牌号颜色）")
    private String zlCphys;

    @ApiModelProperty(value = "车身颜色--D_BZ_CLYS（车辆颜色）")
    private String zlClys;

    @ApiModelProperty(value = "车辆品牌--D_BZ_CLPP（车辆品牌）")
    private String zlClpp;

    @ApiModelProperty(value = "车辆类型，如：轿车、客车、牵引车、摩托车--D_BZ_CLLX（车辆类型）")
    private String zlCllx;

    @ApiModelProperty(value = "车辆年款")
    private String zlClnk;

    @ApiModelProperty(value = "行驶方向")
    private String zlXsfx;

    @ApiModelProperty(value = "行驶速度")
    private BigDecimal zlXssd;

    @ApiModelProperty(value = "车内人数")
    private Integer zlClrs;

    @ApiModelProperty(value = "出现时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date clCxsj;

    @ApiModelProperty(value = "消失时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date clXssj;

    @ApiModelProperty(value = "感知源id")
    private String yjGzyid;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    private Point zb;

    @ApiModelProperty(value = "坐标hash")
    private String zbhash;

    @ApiModelProperty(value = "指令地点-行政区划代码--D_BZ_XZQHDM")
    private String zlDzXzqh;

    @ApiModelProperty(value = "指令地点")
    private String zlDz;

    @ApiModelProperty(value = "图片ID")
    private String tpId;

    @ApiModelProperty(value = "签收状态（01-待签收，02-正常签收，03-超时签收）")
    private String qszt;

    @ApiModelProperty(value = "签收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qssj;

    @ApiModelProperty(value = "签收有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qsyxsj;

    @ApiModelProperty(value = "到达现场状态（21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，" +
            "24-手动确认到达现场）采用指令执行状态字典")
    private String ddxczt;

    @ApiModelProperty(value = "到达现场时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcsj;

    @ApiModelProperty(value = "到达现场有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcyxsj;

    @ApiModelProperty(value = "指令完结状态（91-未完成，92-已完成，93-超时完成，94-已结束未完成）采用指令执行状态字典")
    private String zlwjzt;

    @ApiModelProperty(value = "指令完结时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlwjsj;

    @ApiModelProperty(value = "指令完结有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlwjyxsj;

    @ApiModelProperty(value = "指令完结说明")
    private String zlwjsm;

    @ApiModelProperty(value = "指令执行状态--D_BZ_ZXZTAI（01-待签收，02-正常签收，03-超时签收；04-已转发；11-巡逻中，" +
            "21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场(实际未到达)；" +
            "25-超时到达现场 ，26-已研判，27-已反馈，31-待处置，32-处置完成；91-未完成，92-已完成，" +
            "93-超时完成，94-已结束未完成）")
    private String zlzxzt;

    @ApiModelProperty(value = "指令完结说明")
    private String zlfqrId;

    @ApiModelProperty(value = "指令发起人姓名")
    private String zlfqr;

    @ApiModelProperty(value = "指令发起人身份证")
    private String zlfqrSfzh;

    @ApiModelProperty(value = "指令发起人电话")
    private String zlfqrDh;

    @ApiModelProperty(value = "核查状态（1-核查到指定对象，2-未核查到指定对象）")
    private String hczt;

    @ApiModelProperty(value = "盘查车辆ID")
    private String hcid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属县公安局ID")
    private String ssxgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;
}
