package com.mosty.base.model.entity.yjzl;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 指令-车辆乘坐人员预警指令表
 * </p>
 *
 * @author
 * @since 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tb_zl_yj_cl_cnry")
@Accessors(chain = true)
@ApiModel(value = "TbZlYjClCnry", description = "指令-车辆乘坐人员预警指令表")
public class TbZlYjClCnry extends BaseEntity implements Serializable, Cloneable{

    private static final long serialVersionUID = 1L;

    /**
     * 指令-车内人员表标识ID
     */
    @ApiModelProperty(value = "指令-车内人员表标识ID")
    private String id;

    /**
     * 指令id
     */
    @ApiModelProperty(value = "指令id")
    private String zlId;

    /**
     * 车辆指令ID
     */
    @ApiModelProperty(value = "车辆指令ID")
    private String zlClid;

    /**
     * 预警表ID
     */
    @ApiModelProperty(value = "预警表ID")
    private String yjId;

    /**
     * 人员预警表id
     */
    @ApiModelProperty(value = "人员预警表id")
    private String ryyjId;

    /**
     * 发生时间
     */
    @ApiModelProperty(value = "发生时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjFssj;

    /**
     * 预警时间
     */
    @ApiModelProperty(value = "预警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjSj;

    /**
     * 预警级别--D_BZ_TYJB（通用级别）
     */
    @ApiModelProperty(value = "预警级别--D_BZ_TYJB（通用级别）")
    private String yjJb;

    /**
     * 指令发送日期
     */
    @ApiModelProperty(value = "指令发送日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date zlfsrq;

    /**
     * 指令发送时间
     */
    @ApiModelProperty(value = "指令发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlfssj;

    /**
     * 指令标题
     */
    @ApiModelProperty(value = "指令标题")
    private String zlBt;

    /**
     * 指令内容
     */
    @ApiModelProperty(value = "指令内容")
    private String zlNr;

    /**
     * 指令人员标签--D_BZ_RYBQ（人员标签）
     */
    @ApiModelProperty(value = "指令人员标签--D_BZ_RYBQ（人员标签）")
    private String zlRybq;

    /**
     * 指令人员标签详情
     */
    @ApiModelProperty(value = "指令人员标签详情")
    private String zlRybqxq;

    /**
     * 指令人员证件类型--D_BZ_ZJLX（证件类型）
     */
    @ApiModelProperty(value = "指令人员证件类型--D_BZ_ZJLX（证件类型）")
    private String zlZjlx;

    /**
     * 指令人员证件号码
     */
    @ApiModelProperty(value = "指令人员证件号码")
    private String zlZjhm;

    /**
     * 指令人员姓名
     */
    @ApiModelProperty(value = "指令人员姓名")
    private String zlRyxm;

    /**
     * 指令人员性别
     */
    @ApiModelProperty(value = "指令人员性别")
    private String zlRyxb;

    /**
     * 指令人员年龄
     */
    @ApiModelProperty(value = "指令人员年龄")
    private Integer zlRynl;

    /**
     * 指令人员民族
     */
    @ApiModelProperty(value = "指令人员民族")
    private String zlRymz;

    /**
     * 指令人员籍贯
     */
    @ApiModelProperty(value = "指令人员籍贯")
    private String zlRyjg;

    /**
     * 指令人员户籍地行政区划--D_BZ_XZQHDM（行政区划代码）
     */
    @ApiModelProperty(value = "指令人员户籍地行政区划--D_BZ_XZQHDM（行政区划代码）")
    private String zlRyhjdXzqh;

    /**
     * 指令人员户籍地
     */
    @ApiModelProperty(value = " 指令人员户籍地")
    private String zlRyhjd;

    /**
     * 指令人员居住址行政区划代码
     */
    @ApiModelProperty(value = " 指令人员居住址行政区划代码")
    private String zlRyjzdXzqh;

    /**
     * 指令人员居住址
     */
    @ApiModelProperty(value = "指令人员居住址")
    private String zlRyjzd;

    /**
     * 指令人员工作单位id(关联实有单位)
     */
    @ApiModelProperty(value = "指令人员工作单位id(关联实有单位)")
    private String zlRygzdwid;

    /**
     * 指令人员工作单位
     */
    @ApiModelProperty(value = "指令人员工作单位")
    private String zlRygzdw;

    /**
     * 指令人员联系电话
     */
    @ApiModelProperty(value = "指令人员联系电话")
    private String zlRylxdh;

    /**
     * 指令人员相似度
     */
    @ApiModelProperty(value = "指令人员相似度")
    private BigDecimal zlXsd;

    /**
     * 人员行为描述
     */
    @ApiModelProperty(value = "人员行为描述")
    private String zlXwms;

    /**
     * 左上角 X 坐标
     */
    @ApiModelProperty(value = "左上角 X 坐标")
    private BigDecimal ltx;

    /**
     * 左上角 Y 坐标
     */
    @ApiModelProperty(value = "左上角 Y 坐标")
    private BigDecimal lty;

    /**
     * 右下角 X 坐标
     */
    @ApiModelProperty(value = "右下角 X 坐标")
    private BigDecimal rbx;

    /**
     * 右下角Y坐标
     */
    @ApiModelProperty(value = "右下角Y坐标")
    private BigDecimal rby;

    /**
     * 感知源id
     */
    @ApiModelProperty(value = "感知源id")
    private String yjGzyid;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    /**
     * 坐标
     */
    @ApiModelProperty(value = "坐标")
    private Point zb;

    /**
     * 坐标hash
     */
    @ApiModelProperty(value = "坐标hash")
    private String zbhash;

    /**
     * 指令地点行政区划代码--D_BZ_XZQHDM（行政区划代码）
     */
    @ApiModelProperty(value = "指令地点行政区划代码--D_BZ_XZQHDM（行政区划代码）")
    private String yjDzxzqh;

    /**
     * 指令地点
     */
    @ApiModelProperty(value = "指令地点")
    private String yjDz;

    /**
     * 指令图片ID
     */
    @ApiModelProperty(value = "指令图片ID")
    private String tpId;

    /**
     * 指令封面图片
     */
    @ApiModelProperty(value = "指令封面图片")
    private String coverImage;

    /**
     * 指令来源标签名称
     */
    @ApiModelProperty(value = "指令来源标签名称")
    private String yjlyBqmc;

    /**
     * 签收状态（01-待签收，02-正常签收，03-超时签收）
     */
    @ApiModelProperty(value = "签收状态（01-待签收，02-正常签收，03-超时签收）")
    private String qszt;

    /**
     * 签收时间
     */
    @ApiModelProperty(value = "签收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qssj;

    /**
     * 到达现场状态（21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场）采用指令执行状态字典
     */
    @ApiModelProperty(value = "到达现场状态（21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场）采用指令执行状态字典")
    private String ddxczt;

    /**
     * 到达现场时间
     */
    @ApiModelProperty(value = "到达现场时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcsj;

    /**
     * 指令完结状态（91-未完成，92-已完成，93-超时完成，94-已结束未完成）采用指令执行状态字典
     */
    @ApiModelProperty(value = "指令完结状态（91-未完成，92-已完成，93-超时完成，94-已结束未完成）采用指令执行状态字典")
    private String zlwjzt;

    /**
     * 指令完结时间
     */
    @ApiModelProperty(value = "指令完结时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlwjsj;

    /**
     * 指令完结说明
     */
    @ApiModelProperty(value = "指令完结说明")
    private String zlwjsm;

    @ApiModelProperty(value = "指令执行状态--D_BZ_ZXZTAI（01-待签收，02-正常签收，03-超时签收；04-已转发；11-巡逻中，" +
            "21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场(实际未到达)；" +
            "25-超时到达现场 ，26-已研判，27-已反馈，31-待处置，32-处置完成；91-未完成，" +
            "92-已完成，93-超时完成，94-已结束未完成）")
    private String zlzxzt;

    /**
     * 指令发起人ID
     */
    @ApiModelProperty(value = "指令发起人ID")
    private String zlfqrId;

    /**
     * 指令发起人姓名
     */
    @ApiModelProperty(value = "指令发起人姓名")
    private String zlfqr;

    /**
     * 指令发起人身份证
     */
    @ApiModelProperty(value = "指令发起人身份证")
    private String zlfqrSfzh;

    /**
     * 指令发起人电话
     */
    @ApiModelProperty(value = "指令发起人电话")
    private String zlfqrDh;

    /**
     * 核查状态（1-核查到指定对象，2-未核查到指定对象）
     */
    @ApiModelProperty(value = "核查状态（1-核查到指定对象，2-未核查到指定对象）")
    private String hczt;

    /**
     * 盘查人员ID
     */
    @ApiModelProperty(value = "盘查人员ID")
    private String hcid;

    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    /**
     * 所属部门代码
     */
    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    /**
     * 所属部门ID
     */
    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    /**
     * 所属县公安局
     */
    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    /**
     * 所属县公安局代码
     */
    @ApiModelProperty(value = " 所属县公安局代码")
    private String ssxgajdm;

    /**
     * 所属县公安局ID
     */
    @ApiModelProperty(value = " 所属县公安局ID")
    private String ssxgajid;

    /**
     * 所属市公安局
     */
    @ApiModelProperty(value = " 所属市公安局")
    private String sssgaj;

    /**
     * 所属市公安局代码
     */
    @ApiModelProperty(value = " 所属市公安局代码")
    private String sssgajdm;

    /**
     * 所属市公安局id
     */
    @ApiModelProperty(value = " 所属市公安局id")
    private String sssgajid;


}
