package com.mosty.base.model.entity.yjzl;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 指令-事件预警指令表
 * </p>
 *
 * @author
 * @since 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tb_zl_yj_sj")
@Accessors(chain = true)
@ApiModel(value = "TbZlYjSj", description = "指令-事件预警指令表")
public class TbZlYjSj extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "事件指令标识ID")
    private String id;

    @ApiModelProperty(value = "指令id")
    private String zlId;

    @ApiModelProperty(value = "预警表ID")
    private String yjId;

    @ApiModelProperty(value = "预警事件表ID")
    private String yjSjid;

    @ApiModelProperty(value = "感知源id")
    private String yjGzyid;

    @ApiModelProperty(value = "事件分类:01-人员滞留，02-人员排徊，03-人员入侵，04-人员越线，05-人员逆行，06-人员离开，07-人员跌倒，08-人员聚集，09-攀爬栏杆，10-爬墙攀高，11-打架斗殴，12-横幅检测，13-标语检测，14-夜间暗影，15-街头躺卧，16-街头蹲坐，17-机动车违停，18-道路积水。D_BZ_SJBQ（事件标签）")
    private String sjFl;

    @ApiModelProperty(value = "事件分类")
    private String sjFlmc;

    @ApiModelProperty(value = "预警级别--D_BZ_TYJB（通用级别）")
    private String yjJb;

    @ApiModelProperty(value = "指令等级（10-红色,20-橙色,30-黄色,40-蓝色）--D_BZ_TYJB")
    private String zldj;

    @ApiModelProperty(value = "发生时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjFssj;

    @ApiModelProperty(value = "预警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjSj;

    @ApiModelProperty(value = " 指令发送日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date zlfsrq;

    @ApiModelProperty(value = "指令发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlfssj;

    @ApiModelProperty(value = "事件标题")
    private String zlBt;

    @ApiModelProperty(value = "事件内容")
    private String zlNr;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    private Point zb;


    @ApiModelProperty(value = "坐标hash")
    private String zbhash;

    @ApiModelProperty(value = "事件地址行政区划代码--D_BZ_XZQHDM（行政区划代码）")
    private String yjDzxzqh;

    @ApiModelProperty(value = "事件地址")
    private String yjDz;

    @ApiModelProperty(value = "图片ID")
    private String tpId;

    @ApiModelProperty(value = "指令发起人ID")
    private String zlfqrId;

    @ApiModelProperty(value = "指令发起人姓名")
    private String zlfqr;

    @ApiModelProperty(value = " 指令发起人身份证")
    private String zlfqrSfzh;

    @ApiModelProperty(value = "指令发起人电话")
    private String zlfqrDh;

    @ApiModelProperty(value = "签收状态（01-待签收，02-正常签收，03-超时签收）")
    private String qszt;

    @ApiModelProperty(value = " 签收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qssj;

    @ApiModelProperty(value = " 到达现场状态（21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场）采用指令执行状态字典")
    private String ddxczt;

    @ApiModelProperty(value = " 到达现场时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcsj;

    @ApiModelProperty(value = " 指令完结状态（91-未完成，92-已完成，93-超时完成，94-已结束未完成）采用指令执行状态字典")
    private String zlwjzt;

    @ApiModelProperty(value = " 指令完结时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlwjsj;



    @ApiModelProperty(value = " 完结有效事件")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlwjyxsj;

    @ApiModelProperty(value = " 签收有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qsyxsj;

    @ApiModelProperty(value = " 到达现场有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcyxsj;

    @ApiModelProperty(value = " 指令完结说明")
    private String zlwjsm;

    @ApiModelProperty(value = "指令执行状态--D_BZ_ZXZTAI（01-待签收，02-正常签收，03-超时签收；04-已转发；11-巡逻中，" +
            "21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场(实际未到达)；25-超时到达现场 " +
            "，26-已研判，27-已反馈，31-待处置，32-处置完成；91-未完成，92-已完成，93-超时完成，94-已结束未完成）")
    private String zlzxzt;

    @ApiModelProperty(value = " 处置情况说明")
    private String czqk;

    @ApiModelProperty(value = " 所属部门")
    private String ssbm;

    @ApiModelProperty(value = " 所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = " 所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = " 所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = " 所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = " 所属县公安局ID")
    private String ssxgajid;

    @ApiModelProperty(value = " 所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = " 所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = " 所属市公安局id")
    private String sssgajid;
}
