package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022-09-01
 * 指令-执行记录表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_zlxx_zxjl")
@ApiModel(value="TbZlxxZxjl 对象", description="指令-执行记录表")
public class TbZlxxZxjl extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "指令ID")
    private String zlId;

    @ApiModelProperty(value = "执行时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date zxsj;

    @ApiModelProperty(value = "指令执行动作--D_BZ_ZLZXDZ（00-接收指令，01-签收，02-到达现场，03-已处置，" +
            "04-反馈，05-下发消息，06-转发，07-转发确认，08-转发退回，09-研判，" +
            "10-反馈，91-指令过期，99-完结）")
    private String zlzxzt;

    @ApiModelProperty(value = "执行内容")
    private String zxnr;

    @ApiModelProperty(value = "语音时长")
    private Integer yysc;

    @ApiModelProperty(value = "视频首帧图片")
    private String sptpid;

    @ApiModelProperty(value = "执行附件（图片）")
    private String zxfj;

    @ApiModelProperty(value = "指令执行地点行政区划代码--D_BZ_XZQHDM")
    private String zlzxddXzqhdm;

    @ApiModelProperty(value = "指令执行地点")
    private String zlzxdd;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    private Point zb;

    @ApiModelProperty(value = "坐标hash")
    private String zbhash;

    @ApiModelProperty(value = "指令执行巡组id-存报备id")
    private String zlzxrXzid;

    @ApiModelProperty(value = "指令执行人ID")
    private String zlzxrId;

    @ApiModelProperty(value = "指令执行人名称")
    private String zlzxrXm;

    @ApiModelProperty(value = "指令执行人身份证")
    private String zlzxrSfz;

    @ApiModelProperty(value = "指令执行人电话")
    private String zlzxrDh;

    @ApiModelProperty(value = "附件ID")
    private String fjid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属县公安局ID")
    private String ssxgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "距离（米）")
    @TableField(exist = false)
    private BigDecimal distance;
}
