package com.mosty.base.model.entity.yszx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/18
 * 要素-公安机关要素表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_ys_gajg")
@ApiModel(value = "TbYsGajg对象", description = "要素-公安机关要素表")
public class TbYsGajg extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "要素大类")
    private String ysdl;

    @ApiModelProperty(value = "要素中类")
    private String yszl;

    @ApiModelProperty(value = "要素小类")
    private String ysxl;

    @ApiModelProperty(value = "要素名称")
    private String gajgmc;

    @ApiModelProperty(value = "要素简称")
    private String gajgjc;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）要素位置行政区划代码")
    private String wzXzqh;

    @ApiModelProperty(value = "位置（行政区划名称+地址详址）")
    private String wzXz;

    @ApiModelProperty(value = "位置别称")
    private String wzBc;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    private Point zb;

    @ApiModelProperty(value = "坐标hash值")
    private String zbhash;

    @ApiModelProperty(value = "管辖区域，如：公安局、派出所、巡防区、快反点的面")
    private Polygon dtm;

    @ApiModelProperty(value = "如果是快反点 这里表示2圈层")
    private Polygon dtm1;

    @ApiModelProperty(value = "如果是快反点 这里表示3圈层")
    private Polygon dtm2;

    @ApiModelProperty(value = "来源表名")
    private String lybm;

    @ApiModelProperty(value = "来源id")
    private String lyid;

    @ApiModelProperty(value = "检索内容（设备名称+地址）")
    private String jsnr;


    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "距离")
    @TableField(exist = false)
    private BigDecimal distance;

    @ApiModelProperty(value = "颜色")
    private String color;
}
