package com.mosty.base.model.entity.yszx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022/11/28
 * 要素-人员要素表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_ys_ry")
@ApiModel(value = "TbYsRy 对象", description = "要素-人员要素表")
public class TbYsRy extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "--D_BZ_ZJLX（证件类型）证件种类代码")
    private String zjzl;

    @ApiModelProperty(value = "证件号码")
    private String zjhm;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "出生日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date csrq;

    @ApiModelProperty(value = "--D_BZ_MZ（民族）民族")
    private String mz;

    @ApiModelProperty(value = "籍贯")
    private String jg;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）户籍地行政区划")
    private String hjdXzqh;

    @ApiModelProperty(value = "户籍地址")
    private String hjdXz;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）居住地行政区划")
    private String jzdXzqh;

    @ApiModelProperty(value = "居住地址")
    private String jzdXz;

    @ApiModelProperty(value = "工作单位ID(实有单位id)")
    private String gzdwid;

    @ApiModelProperty(value = "工作单位")
    private String gzdw;

    @ApiModelProperty(value = "来源表名")
    private String lybm;

    @ApiModelProperty(value = "来源id")
    private String lyid;

    @ApiModelProperty(value = "所属派出所")
    private String ssbm;

    @ApiModelProperty(value = "所属派出所id")
    private String ssbmid;

    @ApiModelProperty(value = "所属派出所代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
