package com.mosty.base.model.entity.yszx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/18
 * 要素-摄像头要素表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_ys_sxt")
@ApiModel(value = "TbYsSxt对象", description = "要素-摄像头要素表")
public class TbYsSxt extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "数据来源ID")
    private String sjlyid;

    @ApiModelProperty(value = "监控点国标编号")
    private String jkdbgbh;

    @ApiModelProperty(value = "设备编号")
    private String sbbh;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    @ApiModelProperty(value = "厂商名称")
    private String csmc;

    @ApiModelProperty(value = "IP地址")
    private String ipdz;

    @ApiModelProperty(value = "IPV6地址")
    private String ipv6dz;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球纬度")
    private BigDecimal wd;

//    @ApiModelProperty(value = "坐标")
//    private Point zb;
//
//    @ApiModelProperty(value = "坐标hash值")
//    private String zbhash;

    @ApiModelProperty(value = "-D_BZ_XZQHDM（行政区划代码）行政区划代码")
    private String xzqhdm;

    @ApiModelProperty(value = "地址名称")
    private String dzmc;

    @ApiModelProperty(value = "--D_BZ_GZSBLX（感知设备类型）感知设备类型代码（1 枪机 2 球机）")
    private String sblxdm;

    @ApiModelProperty(value = "--D_BZ_CJSJLX（采集数据类型）采集数据类型代码")
    private String sjlxdm;

    @ApiModelProperty(value = "--D_BZ_JSFX(监视方向)监视方向代码")
    private String jsfxdm;

    @ApiModelProperty(value = "监视区域说明")
    private String jsqysm;

    @ApiModelProperty(value = "--D_BZ_SXJWZLX(摄像机位置类型)摄像机位置类型代码")
    private String sxjwzlxdm;

    @ApiModelProperty(value = "--D_BZ_SXJYT(摄像机用途)摄像机用途代码")
    private String sxjytdm;

    @ApiModelProperty(value = "--D_BZ_SBZT(设备状态)设备状态 （0:离线、 1:在线）")
    private String sbzt;

    @ApiModelProperty(value = "--D_BZ_SBLX（设备类型）设备类型（01-视频监控  02-交通卡 03-人卡 04-车卡 05-电子围栏 06-WIFI探针 07-IMSI、IMEI）")
    private String sblx;

    @ApiModelProperty(value = "检索内容（设备名称+地址）")
    private String jsnr;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "距离")
    @TableField(exist = false)
    private BigDecimal distance;

}
