package com.mosty.base.model.entity.yszx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/7/18
 * 基础管理-巡防区域、警务站、快反点与摄像头关联表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_ys_sxt_gl")
@ApiModel(value = "TbYsSxtGl对象", description = "基础管理-巡防区域、警务站、快反点与摄像头关联表")
public class TbYsSxtGl extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "摄像头ID")
    private String sxtId;

    @ApiModelProperty(value = "设备编号")
    private String sbbh;

    @ApiModelProperty(value = "关联ID")
    private String glId;

    @ApiModelProperty(value = "--D_BZ_SXTGLDXLX（摄像头关联对象类型）关联对象类型01-市公安局，10-县公安局，20-派出所，50-警务站，55-巡防区，60-快反点1分钟，61-快反点3分钟，62-快反点5分钟")
    private String glLx;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
