package com.mosty.base.model.query.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author zhangzhao
 * @description 组织机构部门查询对象
 * @modifier zhangzhao
 * @modifiedTime 2023/3/7 19:56
 * @since 2023/3/7 19:56
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "GetSysDeptListQuery对象", description = "组织机构部门查询对象")
public class GetSysDeptListQuery implements Serializable, Cloneable {

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 组织机构代码
     */
    @ApiModelProperty(value = "组织机构代码")
    private String orgCode;

    /**
     * 组织机构名称
     */
    @ApiModelProperty(value = "组织机构名称")
    private String orgName;

    /**
     * 组织机构类型
     */
    @ApiModelProperty(value = "组织机构类型")
    private String orgType;

    /**
     * 不需要的组织机构类型
     */
    @ApiModelProperty(value = "不需要的组织机构类型")
    private String orgTypeRid;

    /**
     * 组织机构等级
     */
    @ApiModelProperty(value = "组织机构等级")
    private String orgLevel;

    /**
     * 不需要的组织机构等级
     */
    @ApiModelProperty(value = "不需要的组织机构等级")
    private String orgLevelRid;

    /**
     * 组织机构业务类型
     */
    @ApiModelProperty(value = "组织机构业务类型")
    private String orgBizType;

    /**
     * 不需要的组织机构业务类型
     */
    @ApiModelProperty(value = "不需要的组织机构业务类型")
    private String orgBizTypeRid;

    /**
     * 组织机构编号
     */
    @ApiModelProperty(value = "组织机构编号")
    private String orgNo;

    /**
     * 上级组织机构主键ID
     */
    @ApiModelProperty(value = "上级组织机构主键ID")
    private Long parentId;

    /**
     * 组织机构简称
     */
    @ApiModelProperty(value = "组织机构简称")
    private String orgJc;

    /**
     * 组织机构全称
     */
    @ApiModelProperty(value = "组织机构全称")
    private String orgQc;

    /**
     * 组织机构地址
     */
    @ApiModelProperty(value = "组织机构地址")
    private String address;

    /**
     * 组织机构电话
     */
    @ApiModelProperty(value = "组织机构电话")
    private String linkTel;

    /**
     * 组织机构联系人
     */
    @ApiModelProperty(value = "组织机构联系人")
    private String linkMan;

    /**
     * 组织机构联系人电话
     */
    @ApiModelProperty(value = "组织机构联系人电话")
    private String linkManTel;

    /**
     * 组织机构主页地址
     */
    @ApiModelProperty(value = "组织机构主页地址")
    private String webUrl;

    /**
     * 组织机构邮箱地址
     */
    @ApiModelProperty(value = "组织机构邮箱地址")
    private String email;

    /**
     * 组织机构行政区划
     */
    @ApiModelProperty(value = "组织机构行政区划（0 有效， 1 失效）")
    private String xzqh;

    /**
     * 注销标志（0 有效， 1 失效）
     */
    @ApiModelProperty(value = "注销标志（0 有效， 1 失效）")
    private Integer xtZxbz;

    /**
     * 正序字段（使用英语逗号“,”分隔）
     */
    @ApiModelProperty(value = "正序字段（使用英语逗号“,”分隔）")
    private String orderByAsc;

    /**
     * 倒序字段（使用英语逗号“,”分隔）
     */
    @ApiModelProperty(value = "倒序字段（使用英语逗号“,”分隔）")
    private String orderByDesc;

}
