package com.mosty.base.model.query.hczx;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BasePage;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022-09-16
 * 车辆盘查DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbHcBpcclQuery 对象", description = "车辆盘查DTO")
public class TbHcBpcclQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "号牌种类代码", name = "hpzl")
    private String hpzl;

    @ApiModelProperty(value = "号牌号码", name = "hphm")
    private String hphm;

    @ApiModelProperty(value = "盘查输入类型（1=自动识别;2=手工输入号牌;3=手工输入车辆识别号）", name = "pcsrlx")
    private String pcsrlx;

    @ApiModelProperty(value = "盘查地经度", name = "jd")
    private BigDecimal jd;

    @ApiModelProperty(value = "盘查地纬度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "数据来源（对应字典D_YDJW_SJLY）", name = "sjly")
    private String sjly;

    @ApiModelProperty(value = "终端型号", name = "zdxh")
    private String zdxh;

    @ApiModelProperty(value = "终端串号", name = "zdch")
    private String zdch;

    @ApiModelProperty(value = "终端SIM号", name = "zdsim")
    private String zdsim;

    @ApiModelProperty(value = "关联系统代码", name = "glxtdm")
    private String glxtdm;

    @ApiModelProperty(value = "关联系统ID", name = "glxtid")
    private String glxtid;

    @ApiModelProperty(value = "警组ID", name = "jzid")
    private String jzid;

    @ApiModelProperty(value = "报备ID", name = "bbid")
    private String bbid;

    @ApiModelProperty(value = "盘查方式：01-车牌设备自动盘查，02-民警手动", name = "pcfs")
    private String pcfs;

    @ApiModelProperty(value = "--D_BZ_PCCLJG（盘查处理结果）盘查处理结果（1 放行 2 移交 9盘查）")
    private String pcclJg;

    @ApiModelProperty(value = "查询开始日期 yyyy-mm-dd")
    private String kssj;

    @ApiModelProperty("查询结束日期 yyyy-mm-dd")
    private String jssj;

    @ApiModelProperty("所属部门代码")
    private String ssbmdm;

    @ApiModelProperty("所属部门代码")
    private String ssbmid;

    @ApiModelProperty("标签名称")
    private String bqmc;


    @ApiModelProperty("盘查民警姓名")
    private String pcmjXm;

}
