package com.mosty.base.model.query.hczx;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BasePage;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022-09-13
 * 人员盘查DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbHcBpcryQuery 对象", description = "人员盘查DTO")
public class TbHcBpcryQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "身份证号", name = "sfzh")
    private String sfzh;

    @ApiModelProperty(value = "姓名", name = "xm")
    private String xm;

    @ApiModelProperty(value = "性别", name = "xbdm")
    private String xbdm;

    @ApiModelProperty(value = "出生日期", name = "csrq")
    private String csrq;

    @ApiModelProperty(value = "联系电话", name = "lxdh")
    private String lxdh;

    @ApiModelProperty(value = "盘查输入类型（1=刷身份证;2=手工输入身份证;3=电话号码查询;4=综合查询）", name = "pcsrlx")
    private String pcsrlx;

    @ApiModelProperty(value = "--D_BZ_PCCLJG（盘查处理结果）盘查处理结果（1 放行 2 移交 9盘查）")
    private String pcclJg;

    @ApiModelProperty(value = "盘查地经度", name = "jd")
    private BigDecimal jd;

    @ApiModelProperty(value = "盘查地纬度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "数据来源（对应字典D_YDJW_SJLY）", name = "sjly")
    private String sjly;

    @ApiModelProperty(value = "终端型号", name = "zdxh")
    private String zdxh;

    @ApiModelProperty(value = "终端串号", name = "zdch")
    private String zdch;

    @ApiModelProperty(value = "终端SIM号", name = "zdsim")
    private String zdsim;

    @ApiModelProperty(value = "关联系统代码", name = "glxtdm")
    private String glxtdm;

    @ApiModelProperty(value = "关联系统ID", name = "glxtid")
    private String glxtid;

    @ApiModelProperty(value = "警组ID", name = "jzid")
    private String jzid;

    @ApiModelProperty(value = "报备ID", name = "bbid")
    private String bbid;

    @ApiModelProperty(value = "盘查方式：01-人脸设备自动，02-民警手动", name = "pcfs")
    private String pcfs;

    @ApiModelProperty(value = "查询开始日期 yyyy-mm-dd")
    private String kssj;

    @ApiModelProperty("查询结束日期 yyyy-mm-dd")
    private String jssj;

    @ApiModelProperty("所属部门代码")
    private String ssbmdm;

    @ApiModelProperty("标签名称")
    private String bqmc;


    @ApiModelProperty("盘查民警姓名")

    private String pcmjXm;



}
