package com.mosty.base.model.query.jcgl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 巡防警力标签表（技能/经验）;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-6-6
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防警力标签表（技能/经验）", description = "")
@TableName("tb_jcgl_bq")
public class TbJcglBqQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = -4728653996454701336L;

    /**
     * 标签类型;EXP：经验标签，SKL：技能标签
     */
    @ApiModelProperty(value = "标签类型:EXP：经验标签，SKL：技能标签",name = "bqlx",example = "EXP")
    private String bqlx;
    /**
     * 标签中文名称
     */
    @ApiModelProperty(value = "标签中文名称",name = "bqmc")
    private String bqmc;
    /**
     * 标签拼音码;后端自动生成
     */
    @ApiModelProperty(value = "标签拼音码",name = "bqpym")
    private String bqpym;
}