package com.mosty.base.model.query.jcgl;

import com.mosty.common.base.domain.page.PageDomain;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/8/4
 * 快反点查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglKfdQuery对象", description = "快反点查询对象")
public class TbJcglKfdQuery extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "快返点名称", name = "kfdMc")
    private String kfdMc;

    @ApiModelProperty(value = "点位类型：01-快反点，02-检查站，50-2022世乒赛保卫点，多数据用逗号拼接")
    private String dwlxs;

    @ApiModelProperty(value = "快反点地址", name = "kfdDz")
    private String kfdDz;

    @ApiModelProperty(value = "经度", name = "jd")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "所属部门代码", name = "ssbmdm")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID", name = "ssbmid")
    private String ssbmid;

    @ApiModelProperty(value = "查询方圆范围（米）")
    private Integer radius;
}
