package com.mosty.base.model.query.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglKhtjQuery  对象", description = "绩效考核部门统计查询DTO")
public class TbJcglKhtjQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "01.天 02.月 03.季 04.年")
    private String type;

    @ApiModelProperty(value = "01.报备 02巡逻 03.签收")
    private String searchType;

    @ApiModelProperty(value = "天查询开始条件 yyyy-MM-dd")
    private String kssj;

    @ApiModelProperty(value = "天查询结束条件 yyyy-MM-dd")
    private String jssj;

    @ApiModelProperty(value = "月查询条件 yyyy-MM")
    private String month;

    @ApiModelProperty(value = "季度查询条件 01.一季度 02.二季度 03.三季度 04.四季度")
    private String quarter;

    @ApiModelProperty(value = "年查询条件 yyyy")
    private String year;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "查询层级 01.第一层级  02.第二层级")
    private String cxcj;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
