package com.mosty.base.model.query.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 巡防力量表;
 *
 * @author : Lhh
 * @date : 2022-6-4
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防力量表查询条件", description = "")
public class TbJcglXfllQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 3749357081830992531L;


    @ApiModelProperty(value = "人员ID（民警对应sys_user表中的ID，辅警为null）", notes = "")
    private String ryid;

    @ApiModelProperty(value = "警员分类：01、民警，02、辅警", name = "fl")
    private String fl;

    @ApiModelProperty(value = "警员类型：01、社区民警，02、治安民警，03、刑侦民警，04、内勤民警，05、巡逻民警", name = "lx")
    private String lx;

    @ApiModelProperty(value = "姓名<模糊查询>", name = "xm")
    private String xm;

    @ApiModelProperty(value = "性别代码", name = "xbdm")
    private String xbdm;

    @ApiModelProperty(value = "身份证号", name = "sfzh")
    private String sfzh;

    @ApiModelProperty(value = "警号", name = "jh")
    private String jh;

    @ApiModelProperty(value = "联系电话", name = "lxdh")
    private String lxdh;

    @ApiModelProperty(value = "所属部门代码", name = "ssbmdm")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门id", name = "ssbmid")
    private String ssbmid;

    @ApiModelProperty(value = "巡防力量标签标识ID", name = "bqId")
    private String bqId;

    @ApiModelProperty(value = "巡防力量标签类型", name = "bqlx")
    private String bqlx;

    @ApiModelProperty(value = "数据状态：0、注销，1、正常，-1、封存",name = "xtSjzt")
    private String xtSjzt;
}