package com.mosty.base.model.query.jcgl;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/8/11
 * 巡逻方案-分页查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglXlfaQuery对象", description = "巡逻方案-分页查询对象")
public class TbJcglXlfaQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "方案名称")
    private String famc;

    @ApiModelProperty(value = "执行周期（01-每年执行，02-每月，03-每周,99-固定日期）")
    private String zxzq;

    @ApiModelProperty(value = "执行周期描述，如：每年6月6日至9日执行高考巡逻方案")
    private String zxms;

    @ApiModelProperty(value = "执行年月日（根据执行周期来）")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date zxksyr;

    @ApiModelProperty(value = "执行星期几")
    private Integer zxxq;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;
}
