package com.mosty.base.model.query.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 勤务班次表
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_qwbc")
@ApiModel(value="TbQwQwbc对象", description="勤务班次表")
public class TbQwQwbcQuery extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "班次名称")
    private String bcmc;

    @ApiModelProperty(value = "班次开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date kssj;

    @ApiModelProperty(value = "班次结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jssj;

    @ApiModelProperty(value = "排班级别（01 市级  02 县级 03 科所队 ）")
    private String pbjb;

    @ApiModelProperty(value = "班次类型（01 勤务值班 02 巡防排班）")
    private String bclx;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
