package com.mosty.base.model.query.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 勤务等级表
 * </p>
 *
 * @author kevin
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_qwdj")
@ApiModel(value="TbQwQwdj对象", description="勤务等级表")
public class TbQwQwdjQuery extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "勤务等级：1.一级勤务 2.二级勤务 3.三级勤务")
    private String qwdj;

    @ApiModelProperty(value = "执行范围执行范围：01-全省、02-全市、03-全县、04-部门")
    private String zxfw;

    @ApiModelProperty(value = "勤务开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date kssj;

    @ApiModelProperty(value = "勤务结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jssj;

    @ApiModelProperty(value = "发布状态（0 未发布  1已发布）")
    private String fbzt;

    @ApiModelProperty(value = "当前时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date currentTime;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
