package com.mosty.base.model.query.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 请休假
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_qxj")
@ApiModel(value="TbQwQxj对象", description="请休假")
public class TbQwQxjQuery extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "申请人类型（01-民警 02-辅警）")
    private String sqrlx;

    @ApiModelProperty(value = "申请部门代码")
    private String sqbmdm;

    @ApiModelProperty(value = "申请部门id")
    private String sqbmid;

    @ApiModelProperty(value = "联系电话")
    private String lxdh;

    @ApiModelProperty(value = "申请人姓名")
    private String sqrXm;

    @ApiModelProperty(value = "请假类型（01 调休  02 事假 03 病假  04 年假 05婚假 06 产假 07 陪产假 08 丧假）字典")
    private String qjlx;

    @ApiModelProperty(value = "请假开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date kssj;

    @ApiModelProperty(value = "请假结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date jssj;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
