package com.mosty.base.model.query.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 不巡防申请
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_xf_bxfsq")
@ApiModel(value="TbQwXfBxfsq对象", description="不巡防申请")
public class TbQwXfBxfsqQuery extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "巡防排班ID")
    private String xfpbId;

    @ApiModelProperty(value = "申请人姓名")
    private String sqrXm;

    @ApiModelProperty(value = "申请部门代码")
    private String sqbmdm;

    @ApiModelProperty(value = "申请部门id")
    private String sqbmid;

    @ApiModelProperty(value = "不巡防日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date bxfsj;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date kssj;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date jssj;

    @ApiModelProperty(value = "审核部门代码")
    private String shbmdm;

    @ApiModelProperty(value = "审核部门id")
    private String shbmid;

    @ApiModelProperty(value = "审核状态（0 未审核 1 审核通过 2 审核失败）")
    private String shzt;

    @ApiModelProperty(value = "审批时间")
    private Date spsj;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
