package com.mosty.base.model.query.qwzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022-08-08
 * 街面巡组查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwXfbbJmxzQuery对象", description = "街面巡组查询DTO")
public class TbQwXfbbJmxzQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "巡逻状态")
    private String xfzt;

    @ApiModelProperty(value = "报备日期")
    private String bbrq;

    @ApiModelProperty("负责人姓名")
    private String fzrXm;

    @ApiModelProperty("警组名称")
    private String jzMc;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "范围（米）")
    private BigDecimal radius;

    @ApiModelProperty(value = "勤务类型")
    private String qwlx;

    @ApiModelProperty(value = "关键字")
    private String keyword;

    @ApiModelProperty(value = "着装类型（0.制服 1.便衣）（字典）")
    private String zzlx;

}
