package com.mosty.base.model.query.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 巡防报备查询表
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_xfbb")
@ApiModel(value = "TbQwXfbb对象", description = "巡防报备表")
public class TbQwXfbbQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "巡防排班ID")
    private String xfbId;

    @ApiModelProperty(value = "--D_BZ_QWLX(勤务类型) 00-日常巡防 01-动中备勤 02-机关值班 ")
    private String qwlxs;

    @ApiModelProperty(value = "报备类型 01 正常报备 02特殊勤务报备")
    private String bblx;

    @ApiModelProperty(value = "勤务等级ID")
    private String qwdjId;

    @ApiModelProperty(value = "勤务班次ID")
    private String qwbcId;

    @ApiModelProperty(value = "警组ID")
    private String jzId;

    @ApiModelProperty(value = "勤务等级：1.一级勤务 2.二级勤务 3.三级勤务")
    private String qwdj;

    @ApiModelProperty(value = "巡防部门代码")
    private String xfbmdm;

    @ApiModelProperty(value = "巡防部门id")
    private String xfbmid;

    @ApiModelProperty(value = "负责人姓名")
    private String fzrXm;

    @ApiModelProperty(value = "负责人身份证号")
    private String fzrSfzh;

    @ApiModelProperty(value = "开始巡防日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date ksXfrq;

    @ApiModelProperty(value = "结束巡防日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date jsXfrq;

    @ApiModelProperty(value = "巡逻方式（0.车巡 1.步巡）（字典）")
    private String xlfs;

    @ApiModelProperty(value = "巡逻状态（0 巡逻中、1 处警中、2 执行指令中）（字典）")
    private String xfzt;

    @ApiModelProperty(value = "--D_ZDY_BBZT（报备状态）报备状态（0 报备中、1 结束报备）（字典）")
    private String bbzt;

    @ApiModelProperty(value = "数据来源;1、PC，2、手机端")
    private String xtSjly;

    @ApiModelProperty(value = "数据状态;0、停用，1、正常")
    private String xtSjzt;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "范围（米）")
    private String distance;

    @ApiModelProperty(value = "报备开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bbkssj;

    @ApiModelProperty(value = "报备结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bbjssj;

}
