package com.mosty.base.model.query.qwzx;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-08-03
 * 值班排班查询对象
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwZbpbQuery对象", description = "值班排班查询对象")
public class TbQwZbpbQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "值班名称")
    private String zbmc;

    @ApiModelProperty(value = "值班描述")
    private String zbms;

    @ApiModelProperty(value = "值班排班开始日期")
    @JsonFormat(pattern = "yyyy-mm-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-mm-dd")
    private String zbpbksrq;

    @ApiModelProperty(value = "结束日期类型（0-无期限，1-固定结束日期）")
    private String jsrqlx;

    @ApiModelProperty(value = "值班排班结束日期")
    @JsonFormat(pattern = "yyyy-mm-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-mm-dd")
    private Date zbpbjsrq;

    @ApiModelProperty(value = "循环周期")
    private Integer xhzq;

    @ApiModelProperty(value = "0-每天循环，1-工作日循环，2-休息日循环")
    private String xhlx;

    @ApiModelProperty(value = "每日班次数")
    private Integer mrbc;

    @ApiModelProperty(value = "所属值班部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属值班部门id")
    private String ssbmid;
}
