package com.mosty.base.model.query.qwzx;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-08-04
 * 我的值班排班查询对象
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwZbpbSearchMyQuery对象", description = "我的值班排班查询对象")
public class TbQwZbpbSearchMyQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "排班开始日期")
    @JsonFormat(pattern = "yyyy-mm-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-mm-dd")
    private Date zbpbksrq;

    @ApiModelProperty(value = "结束日期类型（0-无期限，1-固定结束日期）")
    private String jsrqlx;

    @ApiModelProperty(value = "排班结束日期")
    @JsonFormat(pattern = "yyyy-mm-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-mm-dd")
    private Date zbpbjsrq;

    @ApiModelProperty(value = "循环周期")
    private Integer xhzq;

    @ApiModelProperty(value = "0-每天循环，1-工作日循环，2-休息日循环")
    private String xhlx;
}
