package com.mosty.base.model.query.rwzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/9/20
 * 任务表查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskByYwidQuery 对象", description = "任务查询DTO--内部")
public class TbRwTaskByYwidQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "业务ID")
    private String ywid;

    @ApiModelProperty(value = "任务细类 01.一标三实 02.预警核查 03巡防任务 04.值班任务 05.指令任务")
    private String rwxl;

    @ApiModelProperty(value = "任务详细类型（自定义字段，一些业务需要，如指令 " +
            "01-指令签收，02-到达现场，03-指令处置完成，04-指令完结）")
    private String rwxxlx;
}
