package com.mosty.base.model.query.rwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.BasePage;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/9/20
 * 任务日志查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskLogQuery 对象", description = "任务日志查询对象")
public class TbRwTaskLogQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "任务ID")
    private String rwid;

    @ApiModelProperty(value = " 1.任务关闭 2.开始任务 3.完成任务 4.任务转发 5.任务暂停 6.任务重启 " +
            "7.接收转发任务 8.驳回转发任务 9.发起任务 10.删除任务")
    private String rzlx;

    @ApiModelProperty(value = "日志内容 例：2022-09-08 12:00:02,XX查看了任务")
    private String rznr;

    @ApiModelProperty(value = "变更人姓名")
    private String bgrxm;

    @ApiModelProperty(value = "变更人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "变更人所属部门ID")
    private String ssbmid;
}
