package com.mosty.base.model.query.rwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/9/20
 * 任务表查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskQuery 对象", description = "任务表查询对象")
public class TbRwTaskQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一请求码")
    private String code;

    @ApiModelProperty(value = "业务ID")
    private String ywid;

    @ApiModelProperty(value = "任务名称")
    private String rwmc;

    @ApiModelProperty(value = "任务内容")
    private String rwnr;

    @ApiModelProperty(value = "任务接收对象 01.人员 02.部门 03.巡组")
    private String rwjsdx;

    @ApiModelProperty(value = "任务类型 1.通知任务  2.处置任务")
    private String rwlx;

    @ApiModelProperty(value = "任务紧急程度 1.特急 2.紧急 3.常规")
    private String rwjjcd;

    @ApiModelProperty(value = "任务模式 1.单人模式 2.多人模式")
    private String rwms;

    @ApiModelProperty(value = "任务进行状态 1.进行中 2.超期进行中 3.已完成 4.超期完成 5.超期未完成")
    private String rwjxzt;

    @ApiModelProperty(value = "任务状态 0.正常 1.任务关闭 2.任务暂停")
    private String rwzt;

    @ApiModelProperty(value = "创建人姓名")
    private String cjrid;

    @ApiModelProperty(value = "创建人姓名")
    private String cjrxm;

    @ApiModelProperty(value = "创建人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "创建人所属市公安局")
    private String ssxgajdm;

    @ApiModelProperty(value = "创建人所属市公安局代码")
    private String sssgajdm;
}
