package com.mosty.base.model.query.rwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/9/19
 * 任务接收人查询dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskUserQuery 对象", description = "任务接收人查询dto")
public class TbRwTaskUserQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "任务ID")
    private String rwid;

    @ApiModelProperty(value = "任务接收对象 01.人员 02.部门 03.巡组")
    private String rwjsdx;

    @ApiModelProperty(value = "任务转发类型 1.常规任务 2.转发任务 3.驳回任务")
    private String rwzflx;

    @ApiModelProperty(value = "接收人名称")
    private String jsrmc;

    @ApiModelProperty(value = "个人状态  0.待查看 1.进行中 2.已完成 3.已转发 4.已驳回")
    private String rwzt;

    @ApiModelProperty(value = "接收部门code")
    private String jsbmdm;

    @ApiModelProperty(value = "接收巡组ID")
    private String jsxzid;

    @ApiModelProperty(value = "变更人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "变更人所属部门id")
    private String ssbmid;
}
