package com.mosty.base.model.query.sjzx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/20
 * 大屏搜索DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "SearchDto对象", description = "大屏搜索DTO")
public class SearchDto extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("查询类型 01.警情  02.预警 03.指令 04.事件  05.地理要素 06.公安机关")
    private String type;

    @ApiModelProperty(value = "关键字")
    private String keyword;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
