package com.mosty.base.model.query.sjzx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/20
 * 警情查询列表Dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJqListQuery对象", description = "警情查询列表Dto")
public class TbJqListQuery implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报警开始时间")
    private String startTime;

    @ApiModelProperty(value = "报警结束时间")
    private String endTime;

    @ApiModelProperty(value = "报警内容")
    private String bjnr;

    @ApiModelProperty(value = "警情级别")
    private String jqjb;

    @ApiModelProperty(value = "报警类别")
    private String bjlb;

    @ApiModelProperty(value = "报警类型")
    private String bjlx;

    @ApiModelProperty(value = "报警细类")
    private String bjxl;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "方圆（米）")
    private Integer radius;

    @ApiModelProperty(value = "--D_BZ_CZZT（处置状态）处置状态 0.未处置 1.处置中 2.已完成")
    private String czzt;

    @ApiModelProperty(value = "--D_BZ_ZDJQTJLX（重大警情添加类型）重大警情添加类型 01.系统推送 02.手动添加 03.一键报警")
    private String zdjqtjlx;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "报警类别 多选")
    private String bjlbs;

    @ApiModelProperty(value = "绵阳类别 1 打击斗殴 2 侵财(两抢一盗)")
    private String mylb;

}
