package com.mosty.base.model.query.sjzx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/7/20
 * 警情分页查询分页Dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJqPageListQuery对象", description = "警情分页查询分页Dto")
public class TbJqPageListQuery extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "查询开始时间")
    private String startTime;

    @ApiModelProperty(value = "查询结束时间")
    private String endTime;

    @ApiModelProperty(value = "报警内容")
    private String bjnr;

    @ApiModelProperty(value = "警情级别，多级别用逗号分割")
    private String jqjb;

    @ApiModelProperty(value = "报警类别 1.刑事，2.行政，3.交通，4.其他")
    private String bjlb;

    @ApiModelProperty(value = "报警类型")
    private String bjlx;

    @ApiModelProperty(value = "报警类型")
    private String bjrXm;

    @ApiModelProperty(value = "报警细类")
    private String bjxl;

    @ApiModelProperty(value = "经度")
    private String jd;

    @ApiModelProperty(value = "纬度")
    private String wd;

    @ApiModelProperty(value = "方圆（米）")
    private Integer radius;

    @ApiModelProperty(value = "--D_BZ_CZZT（处置状态）处置状态 0.未处置 1.处置中 2.已完成")
    private String czzt;

    @ApiModelProperty(value = "--D_BZ_ZDJQTJLX（重大警情添加类型）重大警情添加类型 01.系统推送 02.手动添加 03.一键报警")
    private String zdjqtjlx;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "警情类别 多选")
    private String bjlbs;

    @ApiModelProperty(value = "01 交警 02 本部门")
    private String type;

    @ApiModelProperty(value = "是否重大警情(0：否，1：是)", name = "sfswybj")
    private String sfzdjq;

    @ApiModelProperty(value = "--D_BZ_SF（是否）是否街面警情", name = "sfjmjq")
    private String sfjmjq;

    @ApiModelProperty(value = "颜色 1红 2橙 3黄 4蓝", name = "color")
    private String color;

    @ApiModelProperty(value = "关键字")
    private String keyword;

}
