package com.mosty.base.model.query.trs;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author dw
 * @since 2022/10/26
 * 拓尔思走访记录分页查询DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "VwPersonVisitRecordQuery 对象", description = "拓尔思走访记录分页查询DTO")
public class VwPersonVisitRecordQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "查询开始事件 yyyy-MM-dd")
    private String kssj;

    @ApiModelProperty(value = "查询结束事件 yyyy-MM-dd")
    private String jssj;

    @ApiModelProperty(value = "控制类型 0.失控 1.在控 2.待反馈")
    private String inControlCodes;

    @ApiModelProperty(value = "走访方式代码")
    private String methodCode;

    @ApiModelProperty(value = "关键字")
    private String keyword;
}
