package com.mosty.base.model.query.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 预警信息-车辆表
 * </p>
 *
 * @author zengbo
 * @since 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_cl")
@ApiModel(value="TbYjxxCl对象", description="预警信息-车辆表")
public class TbYjxxClQuery extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警表ID")
    private String yjId;

    @ApiModelProperty(value = "事件ID")
    private String sjId;

    @ApiModelProperty(value = "--D_BZ_CLBQ（车辆标签）车辆标签1临控2被抢盗3套牌")
    private String yjClbq;

    @ApiModelProperty(value = "预警开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjsksj;

    @ApiModelProperty(value = "预警结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjjssj;

    @ApiModelProperty(value = "--D_BZ_TYJB（通用级别）预警级别")
    private String yjJb;

    @ApiModelProperty(value = "车牌号")
    private String yjClcph;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
