package com.mosty.base.model.query.yjzl;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/21
 * 预警信息查询接口--分页
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYjxxQuery对象", description = "预警信息查询接口--分页")
public class TbYjxxNoPageQuery implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警类型;1-人员预警，2-车辆预警，3-人员和车辆预警，4-事件预警（拉横幅、打架等），" +
            "5-警情,逗号分隔多个类型的查询", name = "yjLx")
    private String yjLx;

    @ApiModelProperty(value = "感知源id")
    private String yjGzyid;

    @ApiModelProperty(value = "查询开始时间")
    private String startTime;

    @ApiModelProperty(value = "查询结束时间")
    private String endTime;

    @ApiModelProperty(value = "预警级别（10红、20橙、30黄、40蓝）")
    private String yjJb;

    @ApiModelProperty(value = "预警标题")
    private String yjBt;

    @ApiModelProperty(value = "预警人员姓名")
    private String yjRyxm;

    @ApiModelProperty(value = "预警内容")
    private String yjNr;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "是否发送指令")
    private String sfFszl;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "范围经度（米）")
    private BigDecimal radius;
}
