package com.mosty.base.model.query.yjzl;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/21
 * 预警信息查询接口--分页
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYjxxQuery对象", description = "预警信息查询接口--分页")
public class TbYjxxQuery extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警来源类型 01.感知预警  02.派发预警", name = "yjLylx")
    private String yjLylx;

    @ApiModelProperty(value = "预警类型;1-人员预警，2-车辆预警，3-车上人员预警，4-车和车上人员预警，" +
            "5-事件预警（拉横幅、打架等）--D_BZ_YJLX（预警类型）", name = "yjLx")
    private String yjLx;

    @ApiModelProperty(value = "感知源id")
    private String yjGzyid;

    @ApiModelProperty(value = "查询开始时间")
    private String startTime;

    @ApiModelProperty(value = "查询结束时间")
    private String endTime;

    @ApiModelProperty(value = "预警级别（10红、20橙、30黄、40蓝）")
    private String yjJb;

    @ApiModelProperty(value = "预警标题")
    private String yjBt;

    @ApiModelProperty(value = "预警人员身份证号")
    private String yjRysfzh;

    @ApiModelProperty(value = "预警人员姓名")
    private String yjRyxm;

    @ApiModelProperty(value = "预警车辆车牌号")
    private String yjClcph;

    @ApiModelProperty(value = "预警内容")
    private String yjNr;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "是否发送指令")
    private String sfFszl;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "范围经度（米）")
    private BigDecimal radius;

    @ApiModelProperty(value = "预警来源ids 01 视觉 02 融合")
    private String yjlyids;

    @ApiModelProperty(value = "标签分类 01 在逃 02 侵财")
    private String bqfl;
}
