package com.mosty.base.model.query.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 预警信息-事件表
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_sj")
@ApiModel(value="TbYjxxSj对象", description="预警信息-事件表")
public class TbYjxxSjQuery extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警表ID")
    private String yjId;

    @ApiModelProperty(value = "感知源id")
    private String yjGzyid;

    @ApiModelProperty(value = "--D_BZ_SJBQ（事件标签）事件分类:01-人员聚集，02-打架，03-拉横幅,04-犯罪分析")
    private String sjFl;

    @ApiModelProperty(value = "--D_BZ_TYJB（通用级别）预警级别")
    private String yjJb;

    @ApiModelProperty(value = "预警开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjsksj;

    @ApiModelProperty(value = "预警结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjjssj;

}
