package com.mosty.base.model.query.yjzl;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/21
 * 指令查询接口--分页
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYjxxQuery对象", description = "预警信息查询接口--分页")
public class TbZlQuery extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指令类型--D_BZ_ZLLX(01-巡防指令、02-人员预警核查指令、03-车辆预警核查指令、" +
            "04-事件预警处置指令、05-警情处置指令、06-人工指令、07-人员管控指令")
    private String zllx;

    @ApiModelProperty(value = "指令来源--D_BZ_ZLLY（01-巡逻方案，02-人员预警，03-车辆预警，04-事件预警，" +
            "05-警情，06-人工，07-人员管控）")
    private String zlly;

    @ApiModelProperty(value = "指令标题", name = "zlbt")
    private String zlbt;

    @ApiModelProperty(value = "指令内容", name = "zlnr")
    private String zlnr;

    @ApiModelProperty(value = "当前状态（01-待签收，02-已签收，03-到达现场，04-已处置，50-已转发，60-已指定处置人，90-沟通）", name = "zlczzt")
    private String zlczzt;

    @ApiModelProperty(value = "指令等级（1-红色,2-橙色,3-黄色,4-蓝色）", name = "zldj")
    private String zldj;

    @ApiModelProperty(value = "经度", name = "jd")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "是否处理（0 未处理 1已处理）", name = "sfcl")
    private String sfcl;

    @ApiModelProperty(value = "查询开始时间")
    private String startTime;

    @ApiModelProperty(value = "查询结束时间")
    private String endTime;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "范围经度（米）")
    private BigDecimal radius;
}
