package com.mosty.base.model.query.yjzl;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/21
 * 指令查询接口--分页
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbZlxxQuery 对象", description = "预警信息查询接口--分页")
public class TbZlxxQuery extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指令类型--D_BZ_ZLLX(01-巡防指令、02-人员预警核查指令、03-车辆预警核查指令、" +
            "04-事件预警处置指令、05-警情处置指令、06-人工指令、07-人员管控指令、08-事务指令")
    private String zllx;

    @ApiModelProperty(value = "指令来源--D_BZ_ZLLY（01-巡逻方案，02-人员预警，03-车辆预警，04-事件预警，" +
            "05-警情，06-人工，07-人员管控，08-事务）")
    private String zlly;

    @ApiModelProperty(value = "指令标题", name = "zlbt")
    private String zlbt;

    @ApiModelProperty(value = "指令内容", name = "zlnr")
    private String zlnr;

    @ApiModelProperty(value = "当前状态（01-待签收，02-已签收，03-到达现场，04-已处置，50-已转发，60-已指定处置人，90-沟通）", name = "zlczzt")
    private String zlczzt;

    @ApiModelProperty(value = "指令等级（10-红色,20-橙色,30-黄色,40-蓝色）--D_BZ_TYJB", name = "zldj")
    private String zldj;

    @ApiModelProperty(value = "经度", name = "jd")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "是否处理（0 未处理 1已处理）", name = "sfcl")
    private String sfcl;

    @ApiModelProperty(value = "查询开始时间")
    private String startTime;

    @ApiModelProperty(value = "查询结束时间")
    private String endTime;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "范围经度（米）")
    private BigDecimal radius;

    @ApiModelProperty(value = "身份证号码")
    private String sfzh;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "指令下发类型(1、指令下发 2 短信下发 3 警情指令下发)")
    private String zlxflx;

    @ApiModelProperty(value = "指令完结状态--D_BZ_ZXZTAI（91-未完成，92-已完成，93-超时完成，" +
            "94-已结束未完成）采用指令执行状态字典")
    private String zlwjzt;

}
