package com.mosty.base.model.query.yszx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/21
 * 要素案件-不分页查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsAjNoPageQuery对象", description = "要素案件-不分页查询对象")
public class TbYsAjNoPageQuery implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "--D_BB_AJLB（案件类别）案件分类：0-所有案件，1-刑事案件，2-行政案件",required = true)
    private String ajfl;

    @ApiModelProperty(value = "案件名称")
    private String ajmc;

    @ApiModelProperty(value = "查询开始时间,yyyy-MM-dd")
    private String startTime;

    @ApiModelProperty(value = "查询结束时间,yyyy-MM-dd")
    private String endTime;

    @ApiModelProperty(value = "案件内容")
    private String ajnr;

    @ApiModelProperty(value = "--D_BB_AJLB（案件类别）案件类别")
    private String ajlb;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "查询方圆范围（米）")
    private Integer radius;
}
