package com.mosty.base.model.query.yszx;

import com.baomidou.mybatisplus.annotation.TableField;
import com.mosty.common.base.domain.page.PageDomain;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/21
 * 地理要素-分页查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsDlQuery对象", description = "地理要素-分页查询对象")
public class TbYsDlQuery extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "要素大类", name = "ysdl")
    private String ysdl;

    @ApiModelProperty(value = "要素中类", name = "yszl")
    private String yszl;

    @ApiModelProperty(value = "要素小类", name = "ysxl")
    private String ysxl;

    @ApiModelProperty(value = "要素名称", name = "ysmc")
    private String ysmc;

    @ApiModelProperty(value = "地球经度", name = "jd")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "所属部门代码", name = "ssbmdm")
    private String ssbmdm;

    @ApiModelProperty(value = "查询方圆范围（米）")
    private Integer radius;
}
