package com.mosty.base.model.query.yszx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/21
 * 摄像头要素-不分页查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsSxtNoPageQuery对象", description = "摄像头要素-不分页查询对象")
public class TbYsSxtNoPageQuery implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备编号")
    private String sbbh;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "--D_BZ_GZSBLX（感知设备类型）感知设备类型代码（1 枪机 2 球机）")
    private String sblxdm;

    @ApiModelProperty(value = "--D_BZ_SBZT(设备状态)设备状态 （0:离线、 1:在线）")
    private String sbzt;

    @ApiModelProperty(value = "--D_BZ_SBLX（设备类型）设备类型（01-视频监控  02-交通卡 03-人卡 04-车卡 05-电子围栏 06-WIFI探针 07-IMSI、IMEI）")
    private String sblx;

    @ApiModelProperty(value = "检索内容")
    private String jsnr;

    @ApiModelProperty(value = "所属派出所代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属派出所ID")
    private String ssbmid;

    @ApiModelProperty(value = "查询方圆范围（米）")
    private Integer radius;

    @ApiModelProperty(value = "--D_BZ_GZSBLX（感知设备类型）感知设备类型代码（1 枪机 2 球机）")
    private String sblxdms;
}
