package com.mosty.base.model.vo.hczx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "BkclVo 对象", description = "临控车辆返回的数据信息")
public class BkclVo implements Serializable, Cloneable {


    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("号牌种类")
    private String hpzl;

    @ApiModelProperty("号牌号码")
    private String hphm;

    @ApiModelProperty("车辆品牌")
    private String clpp;

    @ApiModelProperty("车身颜色")
    private String csys;

    @ApiModelProperty("发动机型号")
    private String fdjxh;

    @ApiModelProperty("发动机号")
    private String fdjh;

    @ApiModelProperty("机动车所有人")
    private String jdcsyr;

    @ApiModelProperty("机动车所有人身份证号")
    private String sfzh;

    @ApiModelProperty("车辆识别代号（车架号）")
    private String clsbdh;

    @ApiModelProperty("布控原因")
    private String bkyy;

    @ApiModelProperty("布控时间")
    private String bksj;

    @ApiModelProperty("布控标志（0=撤控;1=在控）")
    private String bkbz;

    @ApiModelProperty("撤控时间")
    private String cksj;

    @ApiModelProperty("布控单位代码")
    private String bkdwdm;

    @ApiModelProperty("布控单位名称")
    private String bkdwmc;

    @ApiModelProperty("处置方式")
    private String czfs;

    @ApiModelProperty("审批人")
    private String processspr;

    @ApiModelProperty("审批人代码")
    private String processsprdm;

    @ApiModelProperty("审批时间")
    private String processspsj;

    @ApiModelProperty("审批意见")
    private String processspyj;

    @ApiModelProperty("审批状态")
    private String processstatus;

    @ApiModelProperty("流程实例ID")
    private Long processid;

    @ApiModelProperty("布控人姓名")
    private String bkrxm;

    @ApiModelProperty("布控人手机")
    private String bkrsj;

    @ApiModelProperty("布控人短信推送")
    private String bkrdxts;

    @ApiModelProperty("联系人姓名")
    private String lxrxm;

    @ApiModelProperty("联系人手机")
    private String lxrsj;

    @ApiModelProperty("联系人短信推送")
    private String lxrdxts;

    // 号牌种类字典名称
    private String hpzl_ct;

    private String bksj1;

    private String bksj2;

    @ApiModelProperty("标签名称")
    private String bqmc;

    @ApiModelProperty("综合信息")
    private String result_zhxx;
}
