package com.mosty.base.model.vo.hczx;


import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.entity.hczx.TbHcBpcry;
import com.mosty.base.model.entity.hczx.TbHcBpcryTzbq;
import com.mosty.base.model.entity.hczx.TbHcTp;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/9/13
 * 被盘查人员返回对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbHcBpcryVo 对象", description = "被盘查人员返回对象")
public class TbHcBpcryVo implements Serializable, Cloneable {

    @ApiModelProperty(value = "主键ID", name = "id")
    private String id;

    @ApiModelProperty(value = "身份证号", name = "sfzh")
    private String sfzh;

    @ApiModelProperty(value = "姓名", name = "xm")
    private String xm;

    @ApiModelProperty(value = "性别", name = "xbdm")
    private String xbdm;

    @ApiModelProperty(value = "出生日期", name = "csrq")
    private String csrq;

    @ApiModelProperty(value = "民族", name = "mzdm")
    private String mzdm;

    @ApiModelProperty(value = "文化程度", name = "whcddm")
    private String whcddm;

    @ApiModelProperty(value = "籍贯", name = "jgdm")
    private String jgdm;

    @ApiModelProperty(value = "住址详址", name = "zzxz")
    private String zzxz;

    @ApiModelProperty(value = "现居住地址", name = "xjzdz")
    private String xjzdz;

    @ApiModelProperty(value = "联系电话", name = "lxdh")
    private String lxdh;

    @ApiModelProperty(value = "盘查日期", name = "pcrq")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date pcrq;

    @ApiModelProperty(value = "盘查时间", name = "pcsj")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date pcsj;

    @ApiModelProperty(value = "盘查输入类型（1=刷身份证;2=手工输入身份证;3=电话号码查询;4=综合查询）", name = "pcsrlx")
    private String pcsrlx;

    @ApiModelProperty(value = "盘查地经度", name = "jd")
    private BigDecimal jd;

    @ApiModelProperty(value = "盘查地纬度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标hash值", name = "zbhash")
    private String zbhash;

    @ApiModelProperty(value = "盘查车辆ID", name = "pcclId")
    private String pcclId;

    @ApiModelProperty(value = "人员标签名称", name = "bqmc")
    private String bqmc;

    @ApiModelProperty(value = "标签详细数据", name = "bqxxsj")
    private String bqxxsj;

    @ApiModelProperty(value = "盘查处理结果（1 放行 2 移交 9盘查）", name = "pcclJg")
    private String pcclJg;

    @ApiModelProperty(value = "盘查处理结果名称", name = "pcclJgmc")
    private String pcclJgmc;

    @ApiModelProperty(value = "盘查处理移交单位代码", name = "pcclYjdwdm")
    private String pcclYjdwdm;

    @ApiModelProperty(value = "盘查处理移交单位", name = "pcclYjdw")
    private String pcclYjdw;

    @ApiModelProperty(value = "盘查处理移交原因", name = "pcclYjyy")
    private String pcclYjyy;

    @ApiModelProperty(value = "盘查民警ID", name = "pcmjId")
    private String pcmjId;

    @ApiModelProperty(value = "盘查民警帐号", name = "pcmjSfzh")
    private String pcmjSfzh;

    @ApiModelProperty(value = "盘查民警姓名", name = "pcmjXm")
    private String pcmjXm;

    @ApiModelProperty(value = "盘查民警警号", name = "pcmjJh")
    private String pcmjJh;

    @ApiModelProperty(value = "卡口id", name = "kkId")
    private String kkId;

    @ApiModelProperty(value = "卡口所属单位代码", name = "kkSsdwdm")
    private String kkSsdwdm;

    @ApiModelProperty(value = "卡口所属单位名称", name = "kkSsdwmc")
    private String kkSsdwmc;

    @ApiModelProperty(value = "卡口所属分市县代码", name = "kkSsfsxdm")
    private String kkSsfsxdm;

    @ApiModelProperty(value = "卡口所属分市县名称", name = "kkSsfsxmc")
    private String kkSsfsxmc;

    @ApiModelProperty(value = "卡口所属地市州代码", name = "kkSsdszdm")
    private String kkSsdszdm;

    @ApiModelProperty(value = "卡口所属地市州名称", name = "kkSsdszmc")
    private String kkSsdszmc;

    @ApiModelProperty(value = "卡口类型（1=公安检查站;2=自设卡点）", name = "kkLx")
    private String kkLx;

    @ApiModelProperty(value = "卡口名称", name = "kkMc")
    private String kkMc;

    @ApiModelProperty(value = "卡口行政区划", name = "kkXzqh")
    private String kkXzqh;

    @ApiModelProperty(value = "卡口市州名称", name = "kkSzmc")
    private String kkSzmc;

    @ApiModelProperty(value = "卡口环川，环蓉", name = "kkHchrlx")
    private String kkHchrlx;

    @ApiModelProperty(value = "卡口是否涉藏", name = "kkSfsz")
    private String kkSfsz;

    @ApiModelProperty(value = "数据来源（对应字典D_YDJW_SJLY）", name = "sjly")
    private String sjly;

    @ApiModelProperty(value = "终端型号", name = "zdxh")
    private String zdxh;

    @ApiModelProperty(value = "终端串号", name = "zdch")
    private String zdch;

    @ApiModelProperty(value = "终端SIM号", name = "zdsim")
    private String zdsim;

    @ApiModelProperty(value = "所属单位当月盘查次数", name = "ssdwdycs")
    private Integer ssdwdycs;

    @ApiModelProperty(value = "关联系统代码", name = "glxtdm")
    private String glxtdm;

    @ApiModelProperty(value = "关联系统ID", name = "glxtid")
    private String glxtid;

    @ApiModelProperty(value = "相似度感知源，眼镜扫描，输入类型为7,8照片", name = "xsd")
    private String xsd;

    @ApiModelProperty(value = "是否相符（0-否，1-是）", name = "sfxf")
    private String sfxf;

    @ApiModelProperty(value = "预警指令ID", name = "yjzlid")
    private String yjzlid;

    @ApiModelProperty(value = "警组ID", name = "jzid")
    private String jzid;

    @ApiModelProperty(value = "报备ID", name = "bbid")
    private String bbid;

    @ApiModelProperty(value = "盘查方式：01-人脸设备自动，02-民警手动", name = "pcfs")
    private String pcfs;

    @ApiModelProperty(value = "所属部门", name = "ssbm")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码", name = "ssbmdm")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局", name = "ssxgaj")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码", name = "ssxgajdm")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局", name = "sssgaj")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码", name = "sssgajdm")
    private String sssgajdm;

    @ApiModelProperty(value = "人员特征集合")
    private List<TbHcBpcryTzbq> tzList;

    @ApiModelProperty(value = "人员图片集合")
    private List<TbHcTpVo> tpList;

    @ApiModelProperty(value = "物品返回类vo集合")
    private List<TbHcBpcryWpVo> wpVoList;
}
