package com.mosty.base.model.vo.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防力量标签返回实体对象")
public class TbJcglBqVo implements Serializable, Cloneable {

    private static final long serialVersionUID = -4728653996454701336L;

    /**
     * 巡防力量标签标识ID
     */
    @ApiModelProperty(value = "巡防力量标签标识ID", name = "id")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 标签类型;EXP：经验标签，SKL：技能标签
     */
    @ApiModelProperty(value = "标签类型:EXP：经验标签，SKL：技能标签",name = "bqlx")
    private String bqlx;
    /**
     * 标签中文名称
     */
    @ApiModelProperty(value = "标签中文名称",name = "bqmc")
    private String bqmc;

    /**
     * 标签编号
     */
    @ApiModelProperty(value = "标签中文名称",name = "bqbh")
    private String bqbh;


    /**
     * 标签拼音码;后端自动生成
     */
    @ApiModelProperty(value = "标签拼音码",name = "bqpym")
    private String bqpym;
    /**
     * 标签图标url
     */
    @ApiModelProperty(value = "标签图标url",name = "bqtb")
    private String bqtb;
    /**
     * 计算模型ID
     */
    @ApiModelProperty(value = "计算模型ID",name = "mxId")
    private String mxId;
    /**
     * 巡防标签人员数量
     */
    @ApiModelProperty(value = "巡防标签人员数量",name = "xfllSl")
    private String xfllSl;

    /**
     * 系统数据状态
     */
    @ApiModelProperty(value = "系统数据状态",name = "xtSjzt")
    private String xtSjzt;


    /**
     * 备注
     */
    @ApiModelProperty(value = "巡防标签人员数量",name = "bz")
    private String bz;

}
