package com.mosty.base.model.vo.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-09-02
 * 专业警中返回Vo
 */
@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "TbJcglXfllBqVo 对象", description = "巡防警力标签关联表返回Vo")
public class TbJcglXfllBqVo implements Serializable, Cloneable {

    private static final long serialVersionUID = -9134462848980897397L;

    @ApiModelProperty(value = "巡防警力标签关联表标识ID", name = "id")
    private Integer id;

    @ApiModelProperty(value = "警力表ID")
    private String xfllId;

    @ApiModelProperty(value = "标签表ID")
    private String bqId;

    @ApiModelProperty(value = "有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yxsj;

    @ApiModelProperty(value = "标签表类型")
    private String bqlx;

    @ApiModelProperty(value = "标签名称")
    private String bqmc;
}