package com.mosty.base.model.vo.jcgl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 巡防力量表返回实体对象
 *
 * @author : Lhh
 * @date : 2022-6-4
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防力量表返回实体对象")
public class TbJcglXfllVo implements Serializable, Cloneable {

    private static final long serialVersionUID = -7605499785736652981L;

    @ApiModelProperty(value = "警员管理表标识ID")
    private String id;

    @ApiModelProperty(value = "人员ID（民警对应sys_user表中的ID，辅警为null）")
    private String ryid;

    @ApiModelProperty(value = "警员分类", notes = "01、民警，02、辅警")
    private String fl;

    @ApiModelProperty(value = "警员类型", notes = "01、社区民警，02、治安民警，03、刑侦民警，04、内勤民警，05、巡逻民警")
    private String lx;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "性别代码")
    private String xbdm;

    @ApiModelProperty(value = "身份证号")
    private String sfzh;

    @ApiModelProperty(value = "警号")
    private String jh;

    @ApiModelProperty(value = "警衔")
    private String jx;

    @ApiModelProperty(value = "政治面貌")
    private String zzmm;

    @ApiModelProperty(value = "婚姻状况", notes = "0、未婚，1、已婚，2、离异")
    private String hyzk;

    @ApiModelProperty(value = "入职时间")
    private Date rzsj;

    @ApiModelProperty(value = "出生日期")
    private Date csrq;

    @ApiModelProperty(value = "民族编码")
    private String mzdm;

    @ApiModelProperty(value = "文化程度")
    private String whcddm;

    @ApiModelProperty(value = "籍贯")
    private String jgdm;

    @ApiModelProperty(value = "家庭住址")
    private String jtzz;

    @ApiModelProperty(value = "联系电话")
    private String lxdh;

    @ApiModelProperty(value = "电子邮箱")
    private String dzyx;

    @ApiModelProperty(value = "巡防力量图片", notes = "逗号分隔")
    private String tp;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "备注")
    private String bz;
    @ApiModelProperty(value = "图片id")
    private String tpid;

    @ApiModelProperty(value = "数据状态：0、注销，1、正常，-1、封存", name = "xtSjzt")
    private String xtSjzt;

    @ApiModelProperty(value = "技能标签ID列表")
    private List<TbJcglXfllVo> sklList;

    @ApiModelProperty(value = "经验标签ID列表")
    private List<TbJcglXfllVo> expList;

    @ApiModelProperty(value = "训练记录列表")
    private List<TbJcglXljlVo> xljlList;
}