package com.mosty.base.model.vo.jcgl;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022-09-02
 * 专业警中返回Vo
 */
@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "TbJcglZnzbVo 对象", description = "只能装备返回Vo")
public class TbJcglZnzbVo extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 6556387960466677177L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "设备编码")
    private String sbbh;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    @ApiModelProperty(value = "设备分类")
    private String scode;

    @ApiModelProperty(value = "设备类型名称")
    private String sname;

    @ApiModelProperty(value = "设备IPv4")
    private String sbIpv4;

    @ApiModelProperty(value = "设备IPv6")
    private String sbIpv6;

    @ApiModelProperty(value = "设备Mac地址")
    private String sbMac;

    @ApiModelProperty(value = "设备IMEI码")
    private String sbImei;

    @ApiModelProperty(value = "生产厂商")
    private String sccs;

    @ApiModelProperty(value = "采购日期")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date cgrq;

    @ApiModelProperty(value = "到期时间")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date dqsj;

    @ApiModelProperty(value = "装备图片地址")
    private String zbTp;

    @ApiModelProperty(value = "型号")
    private String xh;

    @ApiModelProperty(value = "字典D_ZDY_SBZT（1 正常  2 临期 3 到期 4故障）")
    private String zbzt;

    @ApiModelProperty(value = "字典D_BZ_SF（0 否 1是）是否提醒，当用户处理提醒之后，需要将该字段置为null")
    private String sftx;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(name = "备注")
    private String bz;

    @ApiModelProperty(name = "经度")
    private BigDecimal jd;

    @ApiModelProperty(name = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(name = "距离（米）")
    private BigDecimal distance;

    @ApiModelProperty(value = "当前页")
    @TableField(exist = false)
    private Integer pageNo;

    @ApiModelProperty(value = "每页条数")
    @TableField(exist = false)
    private Integer pageSize;

    @ApiModelProperty(value = "是否支持通讯 0否 1支持")
    private String sfxt;

    @ApiModelProperty(value = "是否专业装备")
    private String sfzy;

    @ApiModelProperty(value = "是否融合")
    private String sfrh;

    @ApiModelProperty(value = "图片id")
    private String tpid;


}