package com.mosty.base.model.vo.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.dto.qwzx.TbQwBmjlbbJlmxDto;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 部门每日警力报备表
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_bmjlbb")
@ApiModel(value="TbQwBmjlbb对象", description="部门每日警力报备表")
public class TbQwBmjlbbVo extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "唯一标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "是否节假日")
    private String sfjjr;

    @ApiModelProperty(value = "节假日名称")
    private String jjrmc;

    @ApiModelProperty(value = "勤务等级ID")
    private String qwdjId;

    @ApiModelProperty(value = "勤务等级代码")
    private String qwdjdm;

    @ApiModelProperty(value = "勤务等级")
    private String qwdj;

    @ApiModelProperty(value = "报备日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date bbrq;

    @ApiModelProperty(value = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date kssj;

    @ApiModelProperty(value = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date jssj;

    @ApiModelProperty(value = "在岗民警数量（冗余存储方便统计）")
    private Integer zgmjsl;

    @ApiModelProperty(value = "在岗民警（此处存民警id、姓名json数据，详细数据从关联表获取tb_qw_jlbb_bbxq）")
    private String zgmj;

    @ApiModelProperty(value = "在岗辅警数量（冗余存储方便统计）")
    private Integer zgfjsl;

    @ApiModelProperty(value = "在岗辅警（此处存辅警id、姓名json数据，详细数据从关联表获取tb_qw_jlbb_bbxq）")
    private String zgfj;

    @ApiModelProperty(value = "值班警力数量（冗余存储方便统计）")
    private Integer zbjlsl;

    @ApiModelProperty(value = "值班警力（此处存民警id、姓名json数据，详细数据从关联表获取tb_qw_jlbb_bbxq）")
    private String zbjl;

    @ApiModelProperty(value = "不在岗民警数量（冗余存储方便统计）")
    private Integer bzmjlsl;

    @ApiModelProperty(value = "不在岗民警（此处存民警id、姓名json数据，详细数据从关联表获取tb_qw_jlbb_bbxq）")
    private String bzgmj;

    @ApiModelProperty(value = "不在岗辅警数量（冗余存储方便统计）")
    private Integer bzgfjsl;

    @ApiModelProperty(value = "不在岗辅警（此处存辅警id、姓名json数据，详细数据从关联表获取tb_qw_jlbb_bbxq）")
    private String bzgfj;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "值班警力集合")
    List<TbQwBmjlbbJlmxDto> zbjlList;

    @ApiModelProperty(value = "在岗警力集合")
    List<TbQwBmjlbbJlmxDto> zgjlList;

    @ApiModelProperty(value = "不在岗警力集合")
    List<TbQwBmjlbbJlmxDto> bzgjlList;

}
