package com.mosty.base.model.vo.rwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/9/20
 * 任务接收人员返回类vo
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskUserVo 对象", description = "任务接收人员返回类vo")
public class TbRwTaskUserVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "任务接收对象 01.人员 02.部门 03.巡组")
    private String rwjsdx;

    @ApiModelProperty(value = "任务ID")
    private String rwid;

    @ApiModelProperty(value = "任务转发类型 1.常规任务 2.转发任务 3.驳回任务")
    private String rwzflx;

    @ApiModelProperty(value = "接收人id")
    private String jsrid;

    @ApiModelProperty(value = "接收人名称")
    private String jsrmc;

    @ApiModelProperty(value = "接收人身份证号")
    private String jsrsfzh;

    @ApiModelProperty(value = "接收部门名称")
    private String jsbmmc;

    @ApiModelProperty(value = "接收巡组名称")
    private String jsxzmc;

    @ApiModelProperty(value = "接收人电话")
    private String jsrlxdh;

    @ApiModelProperty(value = "接收部门code")
    private String jsbmdm;

    @ApiModelProperty(value = "接收巡组ID")
    private String jsxzid;

    @ApiModelProperty(value = "个人状态  0.待查看 1.进行中 2.已完成 3.已转发 4.已驳回")
    private String rwzt;

    @ApiModelProperty(value = "移交时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private String yjsj;

    @ApiModelProperty(value = "应用ID")
    private String yyid;

    @ApiModelProperty(value = "应用名称")
    private String yyxt;

    @ApiModelProperty(value = "变更人所属部门")
    private String ssbm;

    @ApiModelProperty(value = "变更人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "变更人所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "变更人所属市公安局")
    private String ssxgajdm;

    @ApiModelProperty(value = "变更人所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "变更人所属市公安局代码")
    private String sssgajdm;
}
