package com.mosty.base.model.vo.sjzx;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jq")
@ApiModel(value = "GeohashQuery对象", description = "警情表")
public class GeohashQuery implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    /**
     * type(1 总警情  2 街面警情 3 违法犯罪警情)
     */
    @ApiModelProperty(value = "类型(1 总警情  2 街面警情 3 违法犯罪警情)", name = "type")
    private String type;

    /**
     * dateType(1 日  2 周 3 月)
     */
    @ApiModelProperty(value = "日期类型(1 日  2 周 3 月)", name = "dateType")
    private String dateType;

    /**
     * 开始日期
     */
    @ApiModelProperty(value = "开始日期", name = "ksrq")
    private String ksrq;

    /**
     * 结束日期
     */
    @ApiModelProperty(value = "结束日期", name = "jsrq")
    private String jsrq;

    /**
     * 开始年月
     */
    @ApiModelProperty(value = "开始年月", name = "ksny")
    private String ksny;

    /**
     * 结束年月
     */
    @ApiModelProperty(value = "结束年月", name = "jsny")
    private String jsny;

    /**
     * 所属分县局代码
     */
    @ApiModelProperty(value = "所属分县局代码", name = "ssxgajdm")
    private String ssxgajdm;

}
