package com.mosty.base.model.vo.trs;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.entity.trs.VwPsPersonZy;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/10/26
 * 拓尔思走访记录返回对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "VwPersonVisitRecordVo 对象", description = "拓尔思走访记录返回对象")
public class VwPersonVisitRecordVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "走访时间")
    private Date time;

    @ApiModelProperty(value = "走访方式代码")
    private String methodCode;

    @ApiModelProperty(value = "走访方式名称")
    private String methodName;

    @ApiModelProperty(value = "控制类型")
    private String inControl;

    @ApiModelProperty(value = "控制类型 0.失控 1.在控 2.待反馈")
    private String inControlCode;

    @ApiModelProperty(value = "脱离控制事件")
    private Date outOfControlTime;

    @ApiModelProperty(value = "目的的")
    private String destination;

    @ApiModelProperty(value = "说明")
    private String info;

    @ApiModelProperty(value = "走访人员")
    private String visitBy;

    @ApiModelProperty(value = "经度")
    private String lng;

    @ApiModelProperty(value = "维度")
    private String lat;

    @ApiModelProperty(value = "图片")
    private String imageUrl;

    @ApiModelProperty(value = "人员信息")
    private VwPsPersonZy vwPsPersonZy;

}
