package com.mosty.base.model.vo.wzzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 位置-历史位置表
 * </p>
 *
 * @author zengbo
 * @since 2022-08-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbWzSblswzVo对象", description = "位置-历史位置表")
public class TbWzSblswzVo extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一标识ID")
    private String id;

    @ApiModelProperty(value = "数据来源名称")
    private String sjly;

    @ApiModelProperty(value = "--D_BZ_WZSJLY(位置数据来源)数据来源（01 udp推送 02 移动设备）")
    private String sjlydm;

    @ApiModelProperty(value = "关联业务ID（预留）")
    private String ywid;

    @ApiModelProperty(value = "设备ID")
    private String sbid;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    @ApiModelProperty(value = "用户ID")
    private String yhId;

    @ApiModelProperty(value = "用户姓名")
    private String yhXm;

    @ApiModelProperty(value = "用户身份证")
    private String yhSfzh;

    @ApiModelProperty(value = "警组ID")
    private String jzId;

    @ApiModelProperty(value = "警组名称")
    private String jzMc;

    @ApiModelProperty(value = "定位日期")
    private Date dwrq;

    @ApiModelProperty(value = "定位时间")
    private Date dwsj;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度")
    private BigDecimal wd;

//    @ApiModelProperty(value = "坐标")
//    @TableField(exist = false)
//    private Point zb;

    @ApiModelProperty(value = "坐标hash值")
    private String zbhash;

    @ApiModelProperty(value = "--D_BZ_WZTGZ(位置提供者)位置提供者（pgs PGIS定位 lbs 综合定位）")
    private String wztgz;

    @ApiModelProperty(value = "国家")
    private String guo;

    @ApiModelProperty(value = "省")
    private String sheng;

    @ApiModelProperty(value = "市")
    private String shi;

    @ApiModelProperty(value = "城市编码")
    private String csbm;

    @ApiModelProperty(value = "所属区县")
    private String ssqx;

    @ApiModelProperty(value = "区县编码")
    private String qxbm;

    @ApiModelProperty(value = "地址详址")
    private String dzxz;

    @ApiModelProperty(value = "地址简称")
    private String dzjc;

    @ApiModelProperty(value = "定位标志")
    private String dwbz;

    @ApiModelProperty(value = "巡防时长（与上一个点的时长）")
    private Integer xfsc;

    @ApiModelProperty(value = "巡防里程（米）（与上一个点的距离）")
    private Integer xflc;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
