package com.mosty.base.model.vo.xinzhi;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022/10/28
 * 新稚警情表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "GxAlarmAllVo 对象", description = "新稚警情表")
public class GxAlarmAllVo implements Serializable, Cloneable {


    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "事件编号")
    private String incidentCode;

    @ApiModelProperty(value = "行政区划代码")
    private String adminCode;

    @ApiModelProperty(value = "第一次呼入时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date firstCallinTime;

    @ApiModelProperty(value = "第一次接入时间")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date firstFinishReceiveTime;

    @ApiModelProperty(value = "")
    private String firstReceiptCode;

    @ApiModelProperty(value = "市局代码")
    private String firstReceiveOrgId;

    @ApiModelProperty(value = "市局名称")
    private String firstReceiveOrgName;

    @ApiModelProperty(value = "")
    private String firstReceivePersonId;

    @ApiModelProperty(value = "接入人姓名")
    private String firstReceivePersonName;

    @ApiModelProperty(value = "呼入类型")
    private String callinType;

    @ApiModelProperty(value = "报警方式编号")
    private String alarmMode;

    @ApiModelProperty(value = "报警人姓名")
    private String alarmPersonName;

    @ApiModelProperty(value = "性别")
    private String alarmPersonSex;

    @ApiModelProperty(value = "报警电话")
    private String contactTelNo;

    @ApiModelProperty(value = "报警地址")
    private String contactAddress;

    @ApiModelProperty(value = "报警内容")
    private String alarmContent;

    @ApiModelProperty(value = "分局代码")
    private String subBureauId;

    @ApiModelProperty(value = "分局名称")
    private String subBureauName;

    @ApiModelProperty(value = "单位代码")
    private String mainOrgId;

    @ApiModelProperty(value = "单位名称")
    private String mainOrgName;

    @ApiModelProperty(value = "报警类型")
    private String alarmCategory;

    @ApiModelProperty(value = "报警级别")
    private String alarmLevel;

    @ApiModelProperty(value = "报警等级")
    private String important;

    @ApiModelProperty(value = "报警类型")
    private String caseType;

    @ApiModelProperty(value = "警情类别")
    private String alarmMajorType;

    @ApiModelProperty(value = "警情类型")
    private String alarmSubType;

    @ApiModelProperty(value = "警情细类")
    private String alarmMinorType;

    @ApiModelProperty(value = "报警地址")
    private String alarmAddress;

    @ApiModelProperty(value = "")
    private String alarmLocation;

    @ApiModelProperty(value = "")
    private String locationTarget;

    @ApiModelProperty(value = "")
    private String alarmAddressType;

    @ApiModelProperty(value = "")
    private String incidentStatus;

    @ApiModelProperty(value = "")
    private String resultsType;

    @ApiModelProperty(value = "")
    private String handleSituation;

    @ApiModelProperty(value = "")
    private String relatedIncidentCode;

    @ApiModelProperty(value = "")
    private String anonymous;

    @ApiModelProperty(value = "")
    private String maybeHarass;

    @ApiModelProperty(value = "")
    private String dispatchedUnits;

    @ApiModelProperty(value = "")
    private String lockedBy;

    @ApiModelProperty(value = "")
    private String feedbackConfirmed;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "")
    private String updateTime;

    @ApiModelProperty(value = "")
    private String firstStartReceiveTime;

    @ApiModelProperty(value = "")
    private String alarmStartTime;

    @ApiModelProperty(value = "")
    private String alarmEndTime;

    @ApiModelProperty(value = "")
    private String alarmCommunity;

    @ApiModelProperty(value = "")
    private String focused;

    @ApiModelProperty(value = "")
    private String firstReceiveSeatNo;

    @ApiModelProperty(value = "")
    private String firstReceiveSeatIp;

    @ApiModelProperty(value = "")
    private String firstReceivePersonPoliceNo;

    @ApiModelProperty(value = "")
    private String labelPredict;

    @ApiModelProperty(value = "")
    private String receiveSatisfaction;

    @ApiModelProperty(value = "")
    private String policeSatisfaction;

    @ApiModelProperty(value = "")
    private String returnVisitRecordCode;

    @ApiModelProperty(value = "")
    private String firstCallinCode;

    @ApiModelProperty(value = "")
    private String firstRecordingNo;

    @ApiModelProperty(value = "")
    private String idNumber;

    @ApiModelProperty(value = "")
    private String alarmSource;

    @ApiModelProperty(value = "")
    private String holdWeapons;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "维度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "")
    private String isFlag;

    @ApiModelProperty(value = "")
    private String policeName;

    @ApiModelProperty(value = "")
    private String policeNo;

    @ApiModelProperty(value = "")
    private String isOtherUnit;

    @ApiModelProperty(value = "警情类别名称")
    private String lbmc;

    @ApiModelProperty(value = "警情类型名称")
    private String lxmc;

    @ApiModelProperty(value = "警情细类名称")
    private String xlmc;
}
