package com.mosty.base.model.vo.yjzl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;


@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "预测方格接口结果传输对象", description = "预测方格接口结果传输对象")
public class ForecastResultsVO implements Serializable, Cloneable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "日期")
    private String realDate;

	@ApiModelProperty(value = "预测定义")
    private BigDecimal defId;

	@ApiModelProperty(value = "预测类型")
    private String category;

	@ApiModelProperty(value = "单位类型")
    private String policeType;

	@ApiModelProperty(value = "单位ID")
    private String policeId;

	@ApiModelProperty(value = "单位ORGCODE")
    private String orgcode;

	@ApiModelProperty(value = "预测时段")
    private String timeRange;

	@ApiModelProperty(value = "网格大小")
    private String gridType;

	@ApiModelProperty(value = "网格ID")
    private String gridNum;

	@ApiModelProperty(value = "网格坐标X1")
    private BigDecimal x1;

	@ApiModelProperty(value = "网格坐标Y1")
    private BigDecimal y1;

	@ApiModelProperty(value = "网格坐标X2")
    private BigDecimal x2;

	@ApiModelProperty(value = "网格坐标Y2")
    private BigDecimal y2;

	@ApiModelProperty(value = "案发概率")
    private BigDecimal prob;

	@ApiModelProperty(value = "巡区 ID")
    private BigDecimal subId;

	/**
	 * 没啥用 那边没返回数据 就写在这里
	 */
	@ApiModelProperty(value = "案发背景信息")
    private List<ForecastResultsRefInfosVO> refInfos;

	@Data
	private class ForecastResultsRefInfosVO implements Serializable, Cloneable {
		@ApiModelProperty(value = "类型ID")
		private String typeId;

		@ApiModelProperty(value = "类型名称")
		private String typeName;

		@ApiModelProperty(value = "类型数量")
		private BigDecimal total;
	}
}
