package com.mosty.base.model.vo.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbFzycVo对象", description = "犯罪预测表")
public class TbFzycVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警表标识ID", name = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "日期")
    private String realDate;

    @ApiModelProperty(value = "预测定义")
    private BigDecimal defId;

    @ApiModelProperty(value = "预测类型")
    private String category;

    @ApiModelProperty(value = "预测时段")
    private String timeRange;

    @ApiModelProperty(value = "网格大小")
    private String gridType;

    @ApiModelProperty(value = "网格ID")
    private String gridNum;

    @ApiModelProperty(value = "网格坐标X1")
    private BigDecimal x1;

    @ApiModelProperty(value = "网格坐标Y1")
    private BigDecimal y1;

    @ApiModelProperty(value = "网格坐标X2")
    private BigDecimal x2;

    @ApiModelProperty(value = "网格坐标Y2")
    private BigDecimal y2;

    @ApiModelProperty(value = "案发概率")
    private BigDecimal prob;

    @ApiModelProperty(value = "巡区 ID")
    private BigDecimal subId;

    @ApiModelProperty(value = "案发背景信息")
    private String refInfos;

    @ApiModelProperty(value = "智慧街面巡防指令ID")
    private String zhjmxfZlid;

    @ApiModelProperty(value = "是否已巡逻")
    private String sfxl;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
