package com.mosty.base.model.vo.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYjmxAllVo 对象", description = "预警模型、参数返回对象")
public class TbYjmxAllVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "预警表标识ID")
    private String id;

    @ApiModelProperty(value = "模型名称")
    private String mxmc;

    @ApiModelProperty(value = "模型ID；01.街面违法犯罪预警 02.重点巡防区域预警")
    private String mxlx;

    @ApiModelProperty(value = "模型说明")
    private String mxsm;

    @ApiModelProperty(value = "运行周期")
    private Integer yxzq;

    @ApiModelProperty(value = "运行次数")
    private Integer yxcs;

    @ApiModelProperty(value = "预警次数")
    private Integer yjcs;

    @ApiModelProperty(value = "所属辖区名称")
    private String ssbm;

    @ApiModelProperty(value = "所属辖区代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属辖区ID")
    private String ssbmid;

    @ApiModelProperty(value = "模型状态 01-使用中 02-已停止")
    private String mxzt;

    @ApiModelProperty(value = "参数列表")
    private List<TbYjmxCsbVo> csList;

}
