package com.mosty.base.model.vo.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.entity.yjzl.TbYjxxClBq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 预警信息-车辆表
 * </p>
 *
 * @author zengbo
 * @since 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_cl")
@ApiModel(value="TbYjxxCl对象", description="预警信息-车辆表")
public class TbYjxxClVo extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警车辆表标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "预警表ID")
    private String yjId;

    @ApiModelProperty(value = "事件ID")
    private String sjId;

    @ApiModelProperty(value = "--D_BZ_CLBQ（车辆标签）车辆标签1临控2被抢盗3套牌")
    private String yjClbq;

    @ApiModelProperty(value = "发生时间")
    private Date yjFssj;

    @ApiModelProperty(value = "预警时间")
    private Date yjSj;

    @ApiModelProperty(value = "--D_BZ_TYJB（通用级别）预警级别")
    private String yjJb;

    @ApiModelProperty(value = "预警标题")
    private String yjBt;

    @ApiModelProperty(value = "预警内容")
    private String yjNr;

    @ApiModelProperty(value = "--D_BZ_HPZL（号牌类型）车牌类型")
    private String yjCphlx;

    @ApiModelProperty(value = "车牌号")
    private String yjClcph;

    @ApiModelProperty(value = "机动车所有人号码（身份证号或组织机构代码）")
    private String yjCljdcsyrhm;

    @ApiModelProperty(value = "机动车所有人")
    private String yjCljdcsyr;

    @ApiModelProperty(value = "--D_BZ_CPHYS（车牌号颜色）车牌号颜色")
    private String yjCphys;

    @ApiModelProperty(value = "--D_BZ_CLYS（车辆颜色）车身颜色")
    private String yjClys;

    @ApiModelProperty(value = "--D_BZ_CLPP（车辆品牌）车辆品牌")
    private String yjClpp;

    @ApiModelProperty(value = "--D_BZ_CLLX（车辆类型）车辆类型，如：轿车、客车、牵引车、摩托车")
    private String yjCllx;

    @ApiModelProperty(value = "车辆年款")
    private String yjClnk;

    @ApiModelProperty(value = "行驶方向")
    private String yjXsfx;

    @ApiModelProperty(value = "行驶速度")
    private BigDecimal yjXssd;

    @ApiModelProperty(value = "车内人数")
    private Integer yjClrs;

    @ApiModelProperty(value = "出现时间")
    private Date clCxsj;

    @ApiModelProperty(value = "消失时间")
    private Date clXssj;

    @ApiModelProperty(value = "感知源id")
    private String yjGzyid;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标")
    private Integer zb;

    @ApiModelProperty(value = "坐标hash")
    private String zbhash;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）预警地点-行政区划代码")
    private String yjDzXzqh;

    @ApiModelProperty(value = "预警地点")
    private String yjDz;

    @ApiModelProperty(value = "图片ID")
    private String tpId;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "车辆标签集合")
    private List<TbYjxxClBq> clbqList;

}
