package com.mosty.base.model.vo.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.entity.yjzl.TbYjxxRyBq;
import com.mosty.base.model.entity.yjzl.TbYjxxRySjaj;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 预警信息-人员表
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_ry")
@ApiModel(value="TbYjxxRy对象", description="预警信息-人员表")
public class TbYjxxRyVo extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警人员标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "预警表ID")
    private String yjId;

    @ApiModelProperty(value = "乘坐车辆ID")
    private String yjClid;

    @ApiModelProperty(value = "事件ID")
    private String sjId;

    @ApiModelProperty(value = "--D_BZ_SJLYUAN（事件来源）预警数据来源")
    private String yjSjly;

    @ApiModelProperty(value = "感知源id")
    private String yjGzyid;

    @ApiModelProperty(value = "发生时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjFssj;

    @ApiModelProperty(value = "预警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjSj;

    @ApiModelProperty(value = "--D_BZ_TYJB（通用级别）预警级别")
    private String yjJb;

    @ApiModelProperty(value = "预警标题")
    private String yjBt;

    @ApiModelProperty(value = "预警内容")
    private String yjNr;

    @ApiModelProperty(value = "--D_BZ_RYBQ（人员标签）预警人员标签")
    private String yjRybq;

    @ApiModelProperty(value = "--D_BZ_ZJLX（证件类型）预警证件类型")
    private String yjZjlx;

    @ApiModelProperty(value = "预警证件号码")
    private String yjZjhm;

    @ApiModelProperty(value = "预警人员姓名")
    private String yjRyxm;

    @ApiModelProperty(value = "预警人员性别")
    private String yjRyxb;

    @ApiModelProperty(value = "预警人员年龄")
    private Integer yjRynl;

    @ApiModelProperty(value = "预警人员民族")
    private String yjRymz;

    @ApiModelProperty(value = "预警人员籍贯")
    private String yjRyjg;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）预警人员户籍地行政区划")
    private String yjRyhjdXzqh;

    @ApiModelProperty(value = "预警人员户籍地")
    private String yjRyhjd;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）预警人员居住址行政区划代码")
    private String yjRyjzdXzqh;

    @ApiModelProperty(value = "预警人员居住址")
    private String yjRyjzd;

    @ApiModelProperty(value = "预警人员工作单位id(关联实有单位)")
    private String yjRygzdwid;

    @ApiModelProperty(value = "预警人员工作单位")
    private String yjRygzdw;

    @ApiModelProperty(value = "预警人员联系电话")
    private String yjRylxdh;

    @ApiModelProperty(value = "预警人员相似度")
    private BigDecimal yjXsd;

    @ApiModelProperty(value = "人员行为描述")
    private String yjXwms;

    @ApiModelProperty(value = "左上角 X 坐标")
    private BigDecimal ltx;

    @ApiModelProperty(value = "左上角 Y 坐标")
    private BigDecimal lty;

    @ApiModelProperty(value = "右下角 X 坐标")
    private BigDecimal rbx;

    @ApiModelProperty(value = "右下角Y坐标")
    private BigDecimal rby;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标hash")
    private String zbhash;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）预警地点行政区划代码")
    private String yjDzxzqh;

    @ApiModelProperty(value = "预警地点")
    private String yjDz;

    @ApiModelProperty(value = "预警图片ID")
    private String tpId;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "车辆标签集合")
    private List<TbYjxxRyBq> rybqList;

    @ApiModelProperty(value = "涉及案件集合")
    private List<TbYjxxRySjaj> sjajList;

}
