package com.mosty.base.model.vo.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbZlYjRy", description = "指令-人员预警指令表")
public class TbZlYjRyVo extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指令-预警人员标识ID")
    private String id;

    @ApiModelProperty(value = "指令id")
    private String zlId;

    @ApiModelProperty(value = "预警表ID")
    private String yjId;

    @ApiModelProperty(value = "人员预警表id")
    private String ryyjId;

    @ApiModelProperty(value = "发生时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjFssj;

    @ApiModelProperty(value = "预警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjSj;

    @ApiModelProperty(value = " 预警级别--D_BZ_TYJB（通用级别）")
    private String yjJb;

    @ApiModelProperty(value = "指令等级（10-红色,20-橙色,30-黄色,40-蓝色）--D_BZ_TYJB")
    private String zldj;

    @ApiModelProperty(value = "指令发送日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date zlfsrq;

    @ApiModelProperty(value = "指令发送时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlfssj;

    @ApiModelProperty(value = "指令标题")
    private String zlBt;

    @ApiModelProperty(value = "指令内容")
    private String zlNr;

    @ApiModelProperty(value = "指令人员标签--D_BZ_RYBQ（人员标签）")
    private String zlRybq;

    @ApiModelProperty(value = "指令人员标签详情")
    private String zlRybqmc;

    @ApiModelProperty(value = "指令人员证件类型--D_BZ_ZJLX（证件类型）")
    private String zlZjlx;

    @ApiModelProperty(value = "指令人员证件号码")
    private String zlZjhm;

    @ApiModelProperty(value = "指令人员姓名")
    private String zlRyxm;

    @ApiModelProperty(value = "指令人员性别")
    private String zlRyxb;

    @ApiModelProperty(value = "指令人员年龄")
    private Integer zlRynl;

    @ApiModelProperty(value = "指令人员民族")
    private String zlRymz;

    @ApiModelProperty(value = "指令人员籍贯")
    private String zlRyjg;

    @ApiModelProperty(value = "指令人员户籍地行政区划--D_BZ_XZQHDM（行政区划代码）")
    private String zlRyhjdXzqh;

    @ApiModelProperty(value = "指令人员户籍地")
    private String zlRyhjd;

    @ApiModelProperty(value = "指令人员居住址行政区划代码")
    private String zlRyjzdXzqh;

    @ApiModelProperty(value = "指令人员居住址")
    private String zlRyjzd;

    @ApiModelProperty(value = "指令人员工作单位id(关联实有单位)")
    private String zlRygzdwid;

    @ApiModelProperty(value = "指令人员工作单位")
    private String zlRygzdw;

    @ApiModelProperty(value = "指令人员联系电话")
    private String zlRylxdh;

    @ApiModelProperty(value = "指令人员相似度")
    private BigDecimal zlXsd;

    @ApiModelProperty(value = "人员行为描述")
    private String zlXwms;

    @ApiModelProperty(value = "左上角 X 坐标")
    private BigDecimal ltx;

    @ApiModelProperty(value = "左上角 Y 坐标")
    private BigDecimal lty;

    @ApiModelProperty(value = "右下角 X 坐标")
    private BigDecimal rbx;

    @ApiModelProperty(value = "右下角Y坐标")
    private BigDecimal rby;

    @ApiModelProperty(value = "感知源id")
    private String yjGzyid;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标hash")
    private String zbhash;

    @ApiModelProperty(value = "指令地点行政区划代码--D_BZ_XZQHDM（行政区划代码）")
    private String yjDzxzqh;

    @ApiModelProperty(value = "指令地点")
    private String yjDz;

    @ApiModelProperty(value = "指令图片ID")
    private String tpId;

    @ApiModelProperty(value = "指令封面图片")
    private String coverImage;

    @ApiModelProperty(value = "指令来源标签名称")
    private String yjlyBqmc;

    @ApiModelProperty(value = "签收状态（01-待签收，02-正常签收，03-超时签收）")
    private String qszt;

    @ApiModelProperty(value = "签收时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qssj;

    @ApiModelProperty(value = "到达现场状态（21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场）采用指令执行状态字典")
    private String ddxczt;

    @ApiModelProperty(value = "到达现场时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcsj;

    @ApiModelProperty(value = "签收有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date qsyxsj;

    @ApiModelProperty(value = "到达现场有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ddxcyxsj;

    @ApiModelProperty(value = "完结有效时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlwjyxsj;

    @ApiModelProperty(value = "指令完结状态（91-未完成，92-已完成，93-超时完成，94-已结束未完成）采用指令执行状态字典")
    private String zlwjzt;

    @ApiModelProperty(value = "指令完结时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date zlwjsj;

    @ApiModelProperty(value = "指令完结说明")
    private String zlwjsm;

    @ApiModelProperty(value = "指令执行状态--D_BZ_ZXZTAI（01-待签收，02-正常签收，03-超时签收；04-已转发；11-巡逻中，" +
            "21-待到达现场，22-自动确认到达现场，23-手动确认到达现场，24-手动确认到达现场(实际未到达)；" +
            "25-超时到达现场 ，26-已研判，27-已反馈，31-待处置，32-处置完成；91-未完成，92-已完成，93-超时完成，94-已结束未完成）")
    private String zlzxzt;

    @ApiModelProperty(value = "指令发起人ID")
    private String zlfqrId;

    @ApiModelProperty(value = "指令发起人姓名")
    private String zlfqr;

    @ApiModelProperty(value = "指令发起人身份证")
    private String zlfqrSfzh;

    @ApiModelProperty(value = "指令发起人电话")
    private String zlfqrDh;

    @ApiModelProperty(value = "核查状态（1-核查到指定对象，2-未核查到指定对象）")
    private String hczt;

    @ApiModelProperty(value = "盘查人员ID")
    private String hcid;

    @ApiModelProperty(value = " 所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属县公安局ID")
    private String ssxgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

}
