package com.mosty.base.model.vo.yszx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022/7/21
 * 要素案件-刑事案件和行政案件返回vo
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsAjVo对象", description = "要素案件-刑事案件和行政案件返回vo")
public class TbYsAjVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "--D_BB_AJLB（案件类别）案件分类：1-刑事案件，2-行政案件")
    private String ajfl;

    @ApiModelProperty(value = "数据来源ID")
    private String sjlyid;

    @ApiModelProperty(value = "案件编号")
    private String ajbh;

    @ApiModelProperty(value = "案件名称")
    private String ajmc;

    @ApiModelProperty(value = "案件内容")
    private String ajnr;

    @ApiModelProperty(value = "发案日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date farq;

    @ApiModelProperty(value = "发案时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date fasj;

    @ApiModelProperty(value = "--D_BB_AJLB（案件类别）案件类别")
    private String ajlb;

    @ApiModelProperty(value = "案件类别名称")
    private String aymc;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）发案地行政区划代码")
    private String xzqhdm;

    @ApiModelProperty(value = "发案地")
    private String dzmc;

    @ApiModelProperty(value = "检索内容（案件编号+案件名称+案件内容+地址）")
    private String jsnr;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

    @ApiModelProperty(value = "距离")
    private BigDecimal distance;
}
