package com.mosty.base.model.vo.yszx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.common.base.domain.page.PageDomain;
import com.vividsolutions.jts.geom.Point;
import com.vividsolutions.jts.geom.Polygon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/7/23
 * 地理要素DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsDlDto对象", description = "地理要素DTO")
public class TbYsDlDto extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一标识ID")
    private String id;

    @ApiModelProperty(value = "要素大类")
    private String ysdl;

    @ApiModelProperty(value = "要素中类")
    private String yszl;

    @ApiModelProperty(value = "要素小类")
    private String ysxl;

    @ApiModelProperty(value = "要素名称")
    private String ysmc;

    @ApiModelProperty(value = "要素简称")
    private String ysjc;

    @ApiModelProperty(value = "要素位置行政区划代码")
    private String yswzXzqh;

    @ApiModelProperty(value = "要素位置（行政区划名称+地址详址）")
    private String yswzXz;

    @ApiModelProperty(value = "要素位置别称")
    private String yswzBc;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度")
    private BigDecimal wd;

    @ApiModelProperty(value = "地图面，如：公安局、派出所、巡防区、快反点的面")
    private List<BigDecimal> qy;

    @ApiModelProperty(value = "智能设备标识")
    private String znsbbs;

    @ApiModelProperty(value = "来源表名")
    private String lybm;

    @ApiModelProperty(value = "来源id")
    private String lyid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;
}
