package com.mosty.base.model.vo.yszx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author dw
 * @since 2022/7/23
 * 要素-地理要素返回vo
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsDlVo对象", description = "要素-地理要素返回vo")
public class TbYsDlVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一标识ID", name = "id")
    private String id;

    @ApiModelProperty(value = "要素大类", name = "ysdl")
    private String ysdl;

    @ApiModelProperty(value = "要素中类", name = "yszl")
    private String yszl;

    @ApiModelProperty(value = "要素小类", name = "ysxl")
    private String ysxl;

    @ApiModelProperty(value = "要素名称", name = "ysmc")
    private String ysmc;

    @ApiModelProperty(value = "要素简称", name = "ysjc")
    private String ysjc;

    @ApiModelProperty(value = "要素位置行政区划代码", name = "yswzXzqh")
    private String yswzXzqh;

    @ApiModelProperty(value = "要素位置（行政区划名称+地址详址）", name = "yswzXz")
    private String yswzXz;

    @ApiModelProperty(value = "要素位置别称", name = "yswzBc")
    private String yswzBc;

    @ApiModelProperty(value = "地球经度", name = "jd")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度", name = "wd")
    private BigDecimal wd;

    @ApiModelProperty(value = "坐标", name = "zb")
    private BigDecimal[] zb;

    @ApiModelProperty(value = "坐标hash值", name = "zbhash")
    private String zbhash;

    @ApiModelProperty(value = "地图面，如：公安局、派出所、巡防区、快反点的面", name = "dtm", dataType = "java.util.List")
    private List<BigDecimal[]> dtm;

    @ApiModelProperty(value = "智能设备标识", name = "znsbbs")
    private String znsbbs;

    @ApiModelProperty(value = "来源表名", name = "lybm")
    private String lybm;

    @ApiModelProperty(value = "来源id", name = "lyid")
    private String lyid;

    @ApiModelProperty(value = "检索内容（存要素名称、简称、位置、别称）", name = "jsnr")
    private String jsnr;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;


    @ApiModelProperty(value = "距离")
    private BigDecimal distance;
}
