package com.mosty.base.model.vo.yszx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/7/22
 * 公安机关要素-分页查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsGajgQuery对象", description = "公安机关要素-分页查询对象")
public class TbYsGajgQuery extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "要素大类")
    private String ysdl;

    @ApiModelProperty(value = "要素中类")
    private String yszl;

    @ApiModelProperty(value = "要素小类")
    private String ysxl;

    @ApiModelProperty(value = "要素名称")
    private String gajgmc;

    @ApiModelProperty(value = "检索内容")
    private String jsnr;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "地球维度")
    private BigDecimal wd;

    @ApiModelProperty(value = "所属派出所代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属派出所id")
    private String ssbmid;

    @ApiModelProperty(value = "查询方圆范围（米）")
    private BigDecimal radius;


    @ApiModelProperty(value = "备注")
    private String bz;
}
