package com.mosty.base.utils;

import com.alibaba.fastjson.JSONObject;
import com.mosty.base.model.entity.xinzhi.Jjdb;
import com.vividsolutions.jts.geom.Coordinate;
import org.apache.commons.lang3.ObjectUtils;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * @author zengbo
 * @title: DistanceUtils
 * @projectName gxag-location
 * @description:
 * @date 2022/9/28 17:33
 */
public class DistanceUtils {

    // 获取里程
    public static Integer getLc(Integer lc, BigDecimal jd, BigDecimal wd, BigDecimal oldjd, BigDecimal oldwd) {
        if (jd == null || wd == null || oldjd == null || oldwd == null) {
            return 0;
        }
        Double distance = Kit.getDistance(jd.doubleValue(), wd.doubleValue(), oldjd.doubleValue(), oldwd.doubleValue());
        return lc != null ? lc + distance.intValue() : distance.intValue();
    }

    // 获取时长
    public static Integer getSc(Date kssj) {
        if (ObjectUtils.isEmpty(kssj)) {
            return 0;
        }
        long kssjTime = kssj.getTime();
        //开始时间一定比当时时间小 如果是大于存在服务器时间或程序问题
        long time = new Date().getTime();
        long diff = time - kssjTime;
        long min = diff / 1000;
        int jssc = (int) min;
        return jssc < 0 ? 0 : jssc;
    }

//    public static void main(String[] args) {
//        Integer lc = getLc(null, new BigDecimal(104.629516), new BigDecimal(31.4615), new BigDecimal(104.629633), new BigDecimal(31.461166));
//        System.out.println(lc);
//    }

    // 解析面类型为经纬度数组
    public static List<BigDecimal[]> decodePolygon(String pl) {
        if (ObjectUtils.isNotEmpty(pl)) {
            List<BigDecimal[]> list = new ArrayList<>();
            List<String> coors = Arrays.asList(pl.split(","));
            for (int i = 0; i < coors.size(); i = i + 2) {
                BigDecimal[] temp = new BigDecimal[2];
                temp[0] = new BigDecimal(coors.get(i));
                temp[1] = new BigDecimal(coors.get(i + 1));
                list.add(temp);
            }
            return list;
        }
        return null;
    }

    public static void main(String[] args) {
        String qy = "105.08283381,31.09182000," +
                "105.08308400,31.09183069," +
                "105.08308400,31.09183069," +
                "105.08352520,31.09181746," +
                "105.08403028,31.09178977," +
                "105.08445001,31.09177617," +
                "105.08478592,31.09173813," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.08122472,31.09391269," +
                "105.09222463,31.08812880," +
                "105.09211951,31.08791985," +
                "105.09188968,31.08782107," +
                "105.08838999,31.08990676," +
                "105.09193248,31.08739517," +
                "105.09193248,31.08739517," +
                "105.09191169,31.08760434," +
                "105.08866940,31.08967261," +
                "105.08866940,31.08967261," +
                "105.08866940,31.08967261," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.08831087,31.08979221," +
                "105.09189786,31.08792470," +
                "105.09175706,31.08767202," +
                "105.09207374,31.08755983," +
                "105.09186500,31.08738026," +
                "105.09174475,31.08754481," +
                "105.08842643,31.08965210," +
                "105.08842643,31.08965210," +
                "105.08842643,31.08965210," +
                "105.09215019,31.08786811," +
                "105.09206409,31.08767975," +
                "105.08867765,31.08982211," +
                "105.08867765,31.08982211," +
                "105.08867765,31.08982211," +
                "105.08867765,31.08982211," +
                "105.08867765,31.08982211," +
                "105.08867765,31.08982211," +
                "105.08867765,31.08982211," +
                "105.08867765,31.08982211," +
                "105.08867765,31.08982211," +
                "105.09096204,31.09112914," +
                "105.08757731,31.09327023," +
                "105.09073557,31.09094196," +
                "105.09089116,31.09108252," +
                "105.09090319,31.09149281," +
                "105.09059818,31.09154073," +
                "105.09002922,31.09155509," +
                "105.08939941,31.09156200," +
                "105.08908552,31.09156787," +
                "105.08601745,31.09370367," +
                "105.08601745,31.09370367";
        List<BigDecimal[]> bigDecimals = decodePolygon(qy);
        int lc = 0;
        for (int i = 0; i < bigDecimals.size() -1; i++) {
            BigDecimal[] bigDecimals1 = bigDecimals.get(i);
            BigDecimal[] bigDecimals2 = bigDecimals.get(i + 1);
            System.out.println(i);
            lc =  getLc(lc, bigDecimals1[0], bigDecimals1[1], bigDecimals2[0], bigDecimals2[1]);
        }
        System.out.println(lc);
    }

}
