package com.mosty.base;

import com.mosty.common.base.timeconsume.EnableTimeConsume;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 *	基础微服务
 * 包括：登陆服务、认证授权（IDP服务）、操作日志
 *
 * @author kevin
 * @date 2022/1/22 4:23 PM
 * @since 1.0.0
 */
@EnableTimeConsume
//@ComponentScan("com.mosty")
//@MapperScan("com.mosty")
@EnableDiscoveryClient
@EnableFeignClients(basePackages = "com.mosty.base.feign.service")
@SpringBootApplication
@EnableScheduling
public class MostyBaseApplication {

	public static void main(String[] args) {

		SpringApplication.run(MostyBaseApplication.class, args);
	}

}
