package com.mosty.base.controller;

import com.mosty.base.model.vo.base.DeptInfoVo;
import com.mosty.base.service.DeptService;
import com.mosty.base.service.SysConfigNewService;
import com.mosty.common.base.domain.ResponseResult;
import com.mosty.common.token.JwtSysUser;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author dw
 * @since 2022/10/15
 * 系统配置信息相关接口
 **/
@Api(tags = "系统配置信息相关接口")
@RestController
@AllArgsConstructor
@RequestMapping("/sysConfigNew")
public class SysConfigNewController {

    private final SysConfigNewService sysConfigNewService;

    @ApiOperation("通过key获取配置信息")
    @GetMapping("getValue/{pzj}")
    public ResponseResult<String> getValue(@PathVariable("pzj") String pzj) {
        return ResponseResult.success(this.sysConfigNewService.getValue(pzj));
    }
}
