package com.mosty.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yszx.TbYsGajg;
import com.mosty.base.model.entity.yszx.TbYsGajgGlbm;
import com.mosty.common.core.business.entity.SysDept;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 公安机关
 */
@Mapper
public interface GajgSearchMapper {
    // 公安机关全部信息
    @ApiOperation("公安机关全部信息")
    TbYsGajg getGajg(@Param("ssbmid") String ssbmid); // param 'sql中用了ssbmid参数'

    // 从子表中关联查询到公安机关全部信息
    @ApiOperation("从子表中关联查询到公安机关全部信息") // param 'sql中用了ssbmid参数'
    String getGajgFromGlbl(@Param("ssbmid") String ssbmid);

    // 获取到id，根据id查询公安机关详情
    @ApiOperation("查询公安机关详情")
    TbYsGajg getGajgById(String id);
}
