package com.mosty.bkzx.sjjs.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * 向布控库中添加布控人员信
 */
@Data
public class FaceObjectDTO  implements Serializable {
    /**
     * 类型 String ，总共48位，【必填】SourceID+06（人脸）+5位随机数
     */
    @JSONField(name = "FaceID")
    private  String     FaceID;
    /**
     * 证件类型，【选填】，111-居民身份证;112114-军官证;123-警
     * 官证;414-普通护照。
     */
    @JSONField(name ="IDType")
    private  String     IDType;

    /**
     * ：类型 String 。有效证件号码；【必填】；
     */
    @JSONField(name = "IDNumber")
    private  String     IDNumber;
    /**
     * 姓名
     */
    @JSONField(name = "Name")
    private  String     Name;
    /**
     * 类型 String ，性别代码，【选填】 0-未知的性别;1-男性;2-女性;9-未说
     * 明的性别。
     */
    @JSONField(name = "GenderCode")
    private  String     GenderCode;
    /**
     * 归属分类标签，必填 1-20设备编码 21-22子类型编码【02-图像；03-文件；04 特
     * 征值；05 人脸库；06 人员库；07 机动车库；08 非机动车库；09 物品库；10 场景库；99-其他】
     * 23-36时间编码37-41序号。
     */
    @JSONField(name = "TabID")
    private  String     TabID;

    /**
     * 所属市公安局代码
     */
    private  String     sssgajdm;

    /**
     * 图片信息
      */
    @JSONField(name = "SubImageList")
    private Map<String,Object> SubImageList = new HashMap<>();



    /**
     * 图片信息
     */
    @Data
    public  static class   SubImageInfoObject implements  Serializable{
        /**
         * 照片存储地址
         */
        /*
        @JSONField(name = "StoragePath")
        private     String      StoragePath;
        */

        @JSONField(name = "Data")
        private     String      Data;
        /**
         * 人脸区域,LeftTopX；
         */
       // @JSONField(name = "LeftTopX")
        //private     BigDecimal  LeftTopX;
        /**
         * 人脸区域,LeftTopY；
         */
       // @JSONField(name = "LeftTopY")
       // private     BigDecimal  LeftTopY;
        /**
         * 人脸区域,RightBtmX；
         */
       // @JSONField(name = "RightBtmX")
       // private     BigDecimal  RightBtmX;
        /**
         * 人脸区域,RightBtmY；
         */
      //  @JSONField(name = "RightBtmY")
       // private     BigDecimal  RightBtmY;
    }
}
