package com.mosty.bkzx.sjjs.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * 车辆布控库添加数据模型
 */
@Data
public class MotorVehicleObject  implements Serializable {
    /**
     * 类型 String ，总共48位，【必填】SourceID+07（机动车）+5位
     * 随机数。其中SourceID为来源图像信息标识，如大图ImageID，有关联大图时必填。
     * 41位， DeviceID+02+当前时间（14位）+5位随机数
     */
    @JSONField(name = "MotorVehicleID")
    private     String      MotorVehicleID;
    /**
     * 号牌种类【必填】 参考附录A15
     */
    @JSONField(name = "PlateClass")
    private     String      PlateClass;
    /**
     * 车辆号牌【必填】
     */
    @JSONField(name = "PlateNo")
    private     String      PlateNo;
    /**
     * 归属分类标签，必填 1-20设备编码 21-22子类型编码【02-图像；03-文件；04
     * 特征值；05 人脸库；06 人员库；07 机动车库；08 非机动车库；09 物品库；10 场景
     * 库；99-其他】23-36时间编码37-41序号。【必填】
     */
    @JSONField(name = "TabID")
    private     String      TabID;
    /**
     * 所属市公安局代码
     */
    private  String     sssgajdm;

}
