package com.mosty.bkzx.sjjs.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SubImageListDTO implements Serializable, Cloneable {
    @JSONField(name = "SubImageInfoObject")
    private List<SubImageInfoObjectDTO> subImageInfoObject;

    @NoArgsConstructor
    @Data
    public static class SubImageInfoObjectDTO {

        @ApiModelProperty(value = "存储路径 ,图像文件的存储路径，采用URI命名规则")
//        @JSONField(name = "StoragePath") T区无法使用url 使用base64 用Data传
        @JSONField(name = "Data")
        private String storagePath;

        @ApiModelProperty(value = "人脸区域,LeftTopX；")
        @JSONField(name = "LeftTopX")
        private Integer leftTopX;

        @ApiModelProperty(value = "人脸区域,LeftTopY；")
        @JSONField(name = "LeftTopY")
        private Integer leftTopY;

        @ApiModelProperty(value = "人脸区域,RightBtmX；")
        @JSONField(name = "RightBtmX")
        private Integer rightBtmX;

        @ApiModelProperty(value = "人脸区域,RightBtmY；")
        @JSONField(name = "RightBtmY")
        private Integer rightBtmY;
    }
}
