package com.mosty.bkzx.sjjs.entity;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "创建人脸布控库对象", description = "创建人脸布控库对象")
public class DataClassTabObject implements Serializable, Cloneable {

    private static final long serialVersionUID = 1l;


    /**
     * 通道国标id（20位），组成为：省级编号（2位）+市级编号（2位）
     * +区级编号（2位）+基层接入单位编号（2位）+行业编码（2位）+设备类型编码
     * （3位）+网络标识（1位）+设备、用户序号（6位）,
     */
    @ApiModelProperty(value = "标签标识，库ID，总共41位。字段规则由20位设备 国标编码+人脸库（05）+14位当前时间+5位随机数")
    @JSONField(name = "TabID")
    private String TabID;

    @ApiModelProperty(value = "标签名称")
    @JSONField(name = "TabName")
    private String TabName;

    @ApiModelProperty(value = "标签描述")
    @JSONField(name = "Description")
    private String Description;

    @ApiModelProperty(value = "null则默认为人像库新增 1、四位表示，第1位同TabID的第22位，表示一级分类。第2位表示二级分类。第3-4位表示三级分类。 5100：静态人脸 5200：抓拍人脸 ，5300：布控人脸 ，7300：布控车牌 ；2、静态库人脸不支持用于布控")
    @JSONField(name = "TabType")
    private String TabType;

}
