package com.mosty.bkzx.sjjs.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.mosty.bkzx.sjjs.dto.SubImageListDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "人脸布控库对象", description = "人脸布控库对象")
public class Face {

    @ApiModelProperty(value = "总共48位，【必填】SourceID+06（人脸）+5位随机数。其中SourceID为来源图像信息标识，如大图ImageID，有关联大图时必填。41位， DeviceID+02+当前时间（14位）+5位随机数，")
    @JSONField(name = "FaceID")
    private String faceID;

    @ApiModelProperty(value = "证件类型，111-居民身份证;112114-军官证;123-警官证;414-普通护照。")
    @JSONField(name = "IDType")
    private String iDType;

    @ApiModelProperty(value = "有效证件号码；")
    @JSONField(name = "IDNumber")
    private String iDNumber;

    @ApiModelProperty(value = "人员的中文姓名全称")
    @JSONField(name = "Name")
    private String name;

    @ApiModelProperty(value = "性别代码，【选填】 0-未知的性别;1-男性;2-女性;9-未说明的性别")
    @JSONField(name = "GenderCode")
    private String genderCode;

    @ApiModelProperty(value = "存储路径 ,图像文件的存储路径，采用URI命名规则")
    @JSONField(name = "SubImageList")
    private SubImageListDTO subImageList;

    @ApiModelProperty(value = "归属分类标签，必填 1-20设备编码 21-22子类型编码【02-图像；03-文件；04 特 征值；05 人脸库；06 人员库；07 机动车库；08 非机动车库；09 物品库；10 场景库；99-其他】23-36时间编码37-41序号")
    @JSONField(name = "TabID")
    private String tabID;

}
