package com.mosty.bkzx.sjjs.entity;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "车辆布控库对象", description = "车辆布控库对象")
public class MotorVehic implements Serializable, Cloneable {

    private static final long serialVersionUID = 1l;

    @ApiModelProperty(value = "总共48位，【必填】SourceID+07（机动车）+5位随机数。其中SourceID为来源图像信息标识，如大图ImageID，有关联大图时必填。41位， DeviceID+02+当前时间（14位）+5位随机数")
    @JSONField(name = "MotorVehicleID")
    private String motorVehicleID;

    @ApiModelProperty(value = "号牌种类【必填】")
    @JSONField(name = "PlateClass")
    private String plateClass;

    @ApiModelProperty(value = "车辆号牌【必填】")
    @JSONField(name = "PlateNo")
    private String plateNo;

    @ApiModelProperty(value = "归属分类标签，必填 1-20设备编码 21-22子类型编码【02-图像；03-文件；04 特 征值；05 人脸库；06 人员库；07 机动车库；08 非机动车库；09 物品库；10 场景库；99-其他】23-36时间编码37-41序号")
    @JSONField(name = "TabID")
    private String tabID;

}
