package com.mosty.bkzx.sjjs.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 登陆第一次交互返回内容 视觉计算
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "登陆第一次交互返回内容对象", description = "登陆第一次交互返回内容对象")
public class AuthorizeOneVo implements Serializable,Cloneable {

    private static final long serialVersionUID = 1l;


    @ApiModelProperty(value = "域信息，加密过程使用")
    private String realm;

    @ApiModelProperty(value = "随机密钥种子")
    private String randomKey;

    @ApiModelProperty(value = "加密算法")
    private String encryptType;

    @ApiModelProperty(value = "使用哪种加密流程。没有该字段，按通用加密流程计算，\"simple\"表示按简易加密流程计算")
    private String method;

}
