package com.mosty.bkzx.sjjs.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 *  视觉计算 登陆第一次交互返回内容对象
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "登陆第二次交互返回内容对象", description = "登陆第二次交互返回内容对象")
public class AuthorizeTwoVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1l;

    @ApiModelProperty(value = "有效时间，由服务端指定，单位秒，建议3/4 duration时就进行会话更新")
    private int duration;

    @ApiModelProperty(value = "返回登陆令牌，令牌字符串由服务端发布。之后的其它请求，在HTTP头的 X-Subject-Token: 带上这个令牌进行鉴权")
    private String token;

    @ApiModelProperty(value = "创建该会话的用户名")
    private String userName;

    @ApiModelProperty(value = "用户名对应的用户Id，如果需要对该用户信息进行修改，使用用户Id")
    private String userId;

    @ApiModelProperty(value = "上次登陆的IP")
    private String lastLoginIp;

    @ApiModelProperty(value = "视频云版本")
    private String version;

}
