package com.mosty.bkzx.sjjs.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 图像采集列表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "图像采集列表", description = "图像采集列表")
public class FaceRepositoryInfo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    /**
     * 库ID
     */
    @ApiModelProperty(value = "库ID")
    private String id;

    /**
     * 人像库名称
     */
    @ApiModelProperty(value = "人像库名称")
    private String name;

    /**
     * 人像库类型(默认黑名单0)
     */
    @ApiModelProperty(value = "人像库类型(默认黑名单0)")
    private int type;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String memo;

    /**
     * 用户自定义库等级（如：1-A，2-B）
     */
    @ApiModelProperty(value = "用户自定义库等级（如：1-A，2-B）")
    private String rank;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private String createTime;

    /**
     * 修改
     */
    @ApiModelProperty(value = "修改")
    private String updateTime;

    /**
     * 库中图片数目
     */
    @ApiModelProperty(value = "库中图片数目")
    private String totalPictureCount;

    /**
     * 库中人脸数目
     */
    @ApiModelProperty(value = "库中人脸数目")
    private String faceImageCount;

    /**
     * 入库失败数目
     */
    @ApiModelProperty(value = "入库失败数目")
    private String failedPictureCount;
}
