package com.mosty.bkzx.sjjs.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FaceRepositoryUser implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    /**
     * 库ID
     */
    @ApiModelProperty(value = "库ID")
    private String repositoryId;

    /**
     * 证件类型（111、身份证，114、军官证，123、警察证，414、普通护照，0、其他）
     */
    @ApiModelProperty(value = "证件类型（111、身份证，114、军官证，123、警察证，414、普通护照，0、其他）")
    private int type;

    /**
     * 证件号码
     */
    @ApiModelProperty(value = "证件号码")
    private String identificationId;

    /**
     * 成员姓名
     */
    @ApiModelProperty(value = "成员姓名")
    private String name;

    /**
     * 区域编号
     */
    @ApiModelProperty(value = "区域编号")
    private String region;

    /**
     * 民族
     */
    @ApiModelProperty(value = "民族")
    private String nation;

    /**
     * 成员性别（0-未知，1-男，2-女）
     */
    @ApiModelProperty(value = "成员性别（0-未知，1-男，2-女）")
    private String gender;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话")
    private String phone;
    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String memo;
    /**
     * 人脸图片
     */
    @ApiModelProperty(value = "人脸图片")
    private FacePicture facePicture;
}
