package com.mosty.bkzx.sjjs.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 图像采集列表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ImageList implements Serializable,Cloneable{

    private static final long serialVersionUID = 1L;

    /**
     * 图像采集对象（数组）
     */
    @ApiModelProperty(value = "图像采集对象（数组）")
    private List<SubImageInfoObject> SubImageInfoObject;

    public ImageList(List<SubImageInfoObject> subImageInfoObject) {
        SubImageInfoObject = subImageInfoObject;
    }

    public ImageList() {
    }

    @JSONField(name = "SubImageInfoObject")
    public List<SubImageInfoObject> getSubImageInfoListObject() {
        return SubImageInfoObject;
    }

    public void setSubImageInfoListObject(List<SubImageInfoObject> SubImageInfoObject) {
        SubImageInfoObject = SubImageInfoObject;
    }
}
