package com.mosty.bkzx.sjjs.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 登陆第一次交互返回内容
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RepositoryUser implements Serializable,Cloneable {

    private static final long serialVersionUID = 1l;

    /**
     * 库成员ID
     */
    private String faceImgId;
    /**
     * 人脸图片URL
     */
    private String faceImgUrl;
    /**
     * 库ID
     */
    private String repositoryId;
    /**
     * 库名字
     */
    private String repositoryName;
    /**
     * 证件类型
     */
    private int type;
    /**
     * 证件号码
     */
    private String identificationId;
    /**
     * 成员姓名
     */
    private String name;
    /**
     * 区域编号
     */
    private int region;
    /**
     * 民族
     */
    private int nation;
    /**
     * 出生日期，格式为YYYY-mm-dd
     */
    private String birthday;
    /**
     * 成员性别，0-未知，1-男，2-女
     */
    private int gender;
    /**
     * 电话
     */
    private String phone;
    /**
     * 地址
     */
    private String address;
    /**
     * 备注
     */
    private String memo;
    /**
     * 人脸大图URL
     */
    private String imgUrl;
    /**
     * 相似度，取值范围[0-1]
     */
    private double similarity;
    /**
     * 该人员的创建时间，毫秒时间戳。
     */
    private long createTime;
    /**
     * 该人员的更新时间，毫秒时间戳。
     */
    private long updateTime;
    /**
     * 1-当天新增，2-当天更新，0-其他
     */
    private int isNew;
}
