package com.mosty.bkzx.sjjs.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * 图像列表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class VehicleCar implements Serializable,Cloneable {

    private static final long serialVersionUID = 1l;

    /**
     * 布控类型，如果不填，审核布控操作会失败(必填)
     * 100801 假/套牌车  100802 涉案车辆  100803 其他车辆
     */
    private short surveyType;
    /**
     * 车牌号码，暂不支持模糊匹配（勾选无牌车时，plateNum传值八个0 "00000000"）
     */
    private String plateNum;
    /**
     * 号牌种类
     */
    private String plateType;
    /**
     * 布控开始时间
     */
    private String startTimeStr;
    /**
     * 布控结束时间
     */
    private String endTimeStr;
    /**
     * 过车开始时间(UTC时间),若startTimeStrUtc有值，则startTimeStr无效
     */
    private String startTimeStrUtc;
    /**
     * 过车结束时间(UTC时间),若有endTimeStrUtc有值，则endTimeStr无效。
     */
    private String endTimeStrUtc;
    /**
     * 布控原因,最大128字节
     */
    private String reason;
    /**
     * 类型array[string]，选填。报警号码，数组。
     */
    private ArrayList<String> tels;
    /**
     * 布控类型,选填
     */
    private String surveyCategory;
    /**
     * 布控名称
     */
    private String surveyTaskName;
    /**
     * 库管理的唯一编码。
     */
    private ArrayList<String>  libRecordIds;
    /**
     * 通道数组
     */
    private ArrayList<String>  channelCodes;
    /**
     * greater表示大于，less表示小于，equal表示等于
     */
    private String paperSign;
    /**
     * 摆件个数，与paperSign同有同无
     */
    private int paperCnt;
    /**
     * 挂件符号：greater表示大于，less表示小于，equal表示等于
     */
    private String dropSign;
    /**
     * 挂件个数，与dropSign同有同无
     */
    private int dropCnt;
    /**
     * 年检标符号：greater表示大于，less表示小于，equal表示等于。
     */
    private String tagSign;
    /**
     * 年检标个数，与tagSign同有同无
     */
    private int tagCnt;
    /**
     * 遮阳板符号：greater表示大于，less表示小于，equal表示等于
     */
    private String sunSign;
    /**
     * 遮阳板个数，与sunSign同有同无。
     */
    private int sunCnt;

}
