package com.mosty.base.gateway;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Configuration;

/**
 * 网关启动服务
 *
 * @author kevin
 * @date 2022/1/21 9:40 AM
 * @since 1.0.0
 */
@Configuration
@EnableDiscoveryClient
@SpringBootApplication(exclude = {SecurityAutoConfiguration.class, DataSourceAutoConfiguration.class})
public class MostyGatewayApplication {

    public static void main(String[] args) {
        SpringApplication.run(MostyGatewayApplication.class, args);
    }

}
