package com.mosty.hczx.controller;

import com.mosty.base.model.dto.hczx.TbHcDtgzDto;
import com.mosty.base.model.entity.hczx.TbHcDtgz;
import com.mosty.common.base.domain.ResponseResult;
import com.mosty.common.base.entity.log.BusinessType;
import com.mosty.common.base.entity.log.Log;
import com.mosty.common.token.JwtSysUser;
import com.mosty.hczx.service.TbHcDtgzService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "动态核查数据接口")
@RestController
@AllArgsConstructor
@RequestMapping("/tbHcDtgz")
public class TbHcDtgzController {

    private final TbHcDtgzService tbHcDtgzService;


    @ApiOperation("条件查询动态核查数据信息")
    @PostMapping("/getList")
    @Log(title = "条件查询动态核查数据信息", businessType = BusinessType.OTHER)
    @JwtSysUser
    public ResponseResult<List<TbHcDtgz>> getList(@RequestBody TbHcDtgzDto dto) {
        return ResponseResult.success(this.tbHcDtgzService.getList(dto));
    }



}
