package com.mosty.hczx.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.hczx.TbHcRytzbq;
import com.mosty.base.model.query.hczx.TbHcRytzbqQuery;
import com.mosty.common.base.domain.ResponseResult;
import com.mosty.common.token.JwtSysUser;
import com.mosty.hczx.service.TbHcRytzbqService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author dw
 * @since 2022/9/17
 **/
@Api(tags = "核查中心-人员特征标签接口")
@RestController
@AllArgsConstructor
@RequestMapping("/tbHcRytzbq")
public class TbHcRytzbqController {

    private final TbHcRytzbqService tbHcRytzbqService;

    @ApiOperation("获取人员特征标签列表--分页")
    @PostMapping("/selectPage")
    @JwtSysUser
    public ResponseResult<IPage<TbHcRytzbq>> selectList(@RequestBody TbHcRytzbqQuery dto) {
        return ResponseResult.success(this.tbHcRytzbqService.selectPage(dto));
    }

    @ApiOperation("获取人员特征标签列表--不分页")
    @PostMapping("/selectList")
    @JwtSysUser
    public ResponseResult<List<TbHcRytzbq>> selectList(@RequestBody TbHcRytzbq dto) {
        return ResponseResult.success(this.tbHcRytzbqService.selectList(dto));
    }
}
