package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglBq;
import com.mosty.base.model.query.jcgl.TbJcglBqQuery;
import com.mosty.base.model.vo.jcgl.TbJcglBqVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 巡防警力标签表（技能/经验）;(tb_jcgl_bq)表数据库访问层
 * @author : http://www.chiner.pro
 * @date : 2022-6-6
 */
@Mapper
public interface TbJcglBqMapper extends BaseMapper<TbJcglBq>{
     IPage<TbJcglBqVo> paginQuery(@Param("page") IPage<TbJcglBq> page, @Param("params") TbJcglBqQuery tbJcglBq);

    List<TbJcglBqVo> countBqsl(@Param("vo") TbJcglBqVo tbJcglBqVo);

    /**
     * 标签类型统计
     * @param bqlx
     * @return
     */
    Integer countBqslByBqlx(@Param("bqlx") String bqlx);

    /**
     * 批量删除
     * @param list
     */
    int deleteBatch(@Param("list") List<String> list);

    /**
     * 批量注销
     * @param list
     */
    int zxBatch(@Param("list") List<String> list);

}