package com.mosty.lzother;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.mosty.common.base.timeconsume.EnableTimeConsume;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableTimeConsume
@EnableFeignClients(basePackages = "com.mosty.base.feign.service")
@EnableDiscoveryClient
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@EnableScheduling
public class MostyLzotherApplication {

    public static void main(String[] args) {
        SpringApplication.run(MostyLzotherApplication.class, args);
    }
}
