package com.mosty.lzother.config;

import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.apache.commons.lang3.StringUtils;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

@Configuration
public class FeignConfig implements RequestInterceptor {

    @Override
    public void apply(RequestTemplate requestTemplate) {
        ServletRequestAttributes attr = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        if (attr != null && attr.getRequest() != null) {
            HttpServletRequest request = attr.getRequest();
            if (StringUtils.isNotBlank(request.getHeader("Authorization"))) {
                // 添加token
                requestTemplate.header("Authorization", request.getHeader("Authorization"));
            }
        }

    }
}
