package com.mosty.qwzx;

import com.mosty.common.base.timeconsume.EnableTimeConsume;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 *	勤务中心 微服务
 * @author kevin
 * @date 2022/1/22 4:23 PM[
 * @since 1.0.0
 */
@EnableTimeConsume
//@ComponentScan("com.mosty")
@EnableFeignClients(basePackages = "com.mosty.base.feign.service")
@MapperScan("com.mosty.qwzx.mapper")
@EnableDiscoveryClient
@EnableScheduling
@SpringBootApplication
public class MostyQwzxApplication {

	public static void main(String[] args) {

		SpringApplication.run(MostyQwzxApplication.class, args);
	}

}
