package com.mosty.qwzx.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.qwzx.TbQwMfjSearchDto;
import com.mosty.common.base.domain.ResponseResult;
import com.mosty.common.token.JwtSysUser;
import com.mosty.qwzx.service.QwzxQwlbService;
import com.mosty.qwzx.service.QwzxStatisticsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@Api(tags = "勤务类别统计接口-源MAGIC接口")
@RestController
@AllArgsConstructor
@RequestMapping("/qwlb")
public class QwzxQwlbController {

    private QwzxQwlbService qwzxQwlbService;

    @ApiOperation("勤务列表-不在岗警力清单")
    @GetMapping("/bzgjlqd")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> bzgjlqd(TbQwMfjSearchDto dto) {
        return ResponseResult.success(this.qwzxQwlbService.bzgjlqd(dto));
    }

    @ApiOperation("勤务列表-街面巡组")
    @GetMapping("/jmxz")
    @JwtSysUser
    public ResponseResult<IPage<Map<String, Object>>> jmxz(TbQwMfjSearchDto dto) {
        return ResponseResult.success(this.qwzxQwlbService.jmxz(dto));
    }
}
