package com.mosty.rwzx.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.rwzx.*;
import com.mosty.base.model.entity.rwzx.TbRwTask;
import com.mosty.base.model.query.rwzx.TbRwTaskLogQuery;
import com.mosty.base.model.query.rwzx.TbRwTaskMyQuery;
import com.mosty.base.model.query.rwzx.TbRwTaskQuery;
import com.mosty.base.model.query.rwzx.TbRwTaskUserQuery;
import com.mosty.base.model.vo.rwzx.*;
import com.mosty.common.base.domain.ResponseResult;
import com.mosty.common.base.entity.log.BusinessType;
import com.mosty.common.base.entity.log.Log;
import com.mosty.common.token.JwtSysUser;
import com.mosty.rwzx.service.TbRwTaskService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.checkerframework.checker.units.qual.A;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author dw
 * @since 2022/9/19
 **/
@Api(tags = "任务中心相关接口-外部调用接口")
@RestController
@AllArgsConstructor
@RequestMapping("/tbRwTask")
public class TbRwTaskController {

    private final TbRwTaskService tbRwTaskService;

    @ApiOperation("添加任务信息")
    @PostMapping("addRw")
    public ResponseResult<Integer> addRw(@RequestBody TbRwTaskDto dto) {
        return ResponseResult.success(this.tbRwTaskService.addRw(dto));
    }
}
