package com.mosty.sjzx.controller;

import com.mosty.base.model.query.sjzx.YszxNyQuery;
import com.mosty.base.model.query.sjzx.YszxQuery;
import com.mosty.common.base.domain.BaseController;
import com.mosty.common.base.domain.ResponseResult;
import com.mosty.common.token.JwtSysUser;
import com.mosty.sjzx.service.SgfxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@AllArgsConstructor
@RestController
@Api(tags = "系统字典--原magic接口")
@RequestMapping("/xtzd")
public class AyController extends BaseController {

    @Resource
    private SgfxService sgfxService;

    @GetMapping("/aylx")
    @ApiOperation(value = "案由类型")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> aylx(String code) {
        return ResponseResult.success(this.sgfxService.aylx(code));
    }

    @GetMapping("/zzjg")
    @ApiOperation(value = "组织机构")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> zzjg() {
        return ResponseResult.success(this.sgfxService.zzjg());
    }
}


