package com.mosty.sjzx.controller;

import com.mosty.base.model.query.sjzx.YszxQuery;
import com.mosty.common.base.domain.BaseController;
import com.mosty.common.base.domain.ResponseResult;
import com.mosty.common.token.JwtSysUser;
import com.mosty.sjzx.service.SgfxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@AllArgsConstructor
@RestController
@Api(tags = "重点关注--原magic接口")
@RequestMapping("/zdgz")
public class ZdgzController extends BaseController {

    @Resource
    private SgfxService sgfxService;

    @GetMapping("/jqtj")
    @ApiOperation(value = "警情统计")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> zdgzJqtj(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.zdgzJqtj(dto));
    }

}


