package com.mosty.websocket;

import com.mosty.common.base.timeconsume.EnableTimeConsume;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableTimeConsume
@EnableFeignClients(basePackages = "com.mosty.base.feign.service")
@EnableDiscoveryClient
@EnableScheduling
@SpringBootApplication
public class MostyWebSocketApplication {

    public static void main(String[] args) {
        SpringApplication.run(MostyWebSocketApplication.class, args);
    }
}
