package com.mosty.wzzx;

import com.mosty.common.base.timeconsume.EnableTimeConsume;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 *	位置中心 微服务
 * @author zengbo
 * @date 2022/7/11 14:29 PM[
 * @since 1.0.0
 */
@EnableTimeConsume
@EnableFeignClients(basePackages = "com.mosty.base.feign.service")
@MapperScan("com.mosty.wzzx.mapper")
@EnableDiscoveryClient
@EnableScheduling
@SpringBootApplication(exclude = MongoAutoConfiguration.class)
public class MostyWzzxApplication {

	public static void main(String[] args) {

		SpringApplication.run(MostyWzzxApplication.class, args);
	}

}
