package com.mosty.yjzl.utils;

import com.mosty.base.model.entity.yjzl.TbYjxx;

import java.util.Arrays;

/**
 * 预警等级规则和预警转指令的规则
 */
public class YjAndZlRule {

    /**
     * 高新人员预警等级设置
     * 新益州信访人员	------------Y
     * 2020年以来扒窃及盗窃电动车人员（刑侦）	------------Y
     * 2020年以来扒窃及盗窃电动车-常住高新（刑侦）	------------Y
     * 高新在逃	------------R
     * 2022年1至6月有轨迹入盗前科人员库（刑侦）	------------Y
     * 50人员库	------------Y
     * 遂宁籍飞车抢夺前科人员（刑侦）	------------Y
     * trs布控		------------不接入
     * 盗车财前科人员（刑侦）	------------Y
     * 普通盗窃前科人员（刑侦）	------------Y
     * 06-07拓尔思布控		------------不接入
     * 6.6演练	------------B
     * 拓尔思111		-------------不接入
     * 抢夺抢劫前科人员（前科）	------------O
     * 成都涉毒人员专业库（刑侦）	------------Y
     * 抢劫案（看守所）	------------O
     * 全省ZDR	------------Y
     * 非机动车犯罪嫌疑人	------------Y
     * 盗窃（拘留所）	------------Y
     * 盗窃汽车（看守所）	------------Y
     * 扒窃前科人员专业库（刑侦）	------------Y
     * 盗窃非机动车前科人员专业库（刑侦）	------------Y
     * 房产纠纷	------------B
     * 赔偿纠纷	------------B
     * 涉法涉诉	------------B
     * 抢夺、抢劫	------------O
     * 七类前科	------------Y
     * 2018年以来两族街面＋入盗前科人员（刑侦）	------------Y
     * 2022年以来盗窃非机动车前科人员（刑侦）	------------Y
     * 全市ZDR	------------Y
     * 富士康员工人像库	------------B
     */
    public static boolean createYjjb(TbYjxx yjxx, String tar) {
        // 不接入
        String[] noPass = new String[]{"trs布控", "06-07拓尔思布控", "拓尔思111"};
        if (Arrays.asList(noPass).contains(tar)) return false;
        // 红色
        String[] rPass = new String[]{"高新在逃"};
        if (Arrays.asList(rPass).contains(tar)) {
            yjxx.setYjJb("10");
            return true;
        }
        // 蓝色
        String[] bPass = new String[]{"房产纠纷", "50人员库", "富士康员工人像库", "涉法涉诉", "赔偿纠纷"};
        if (Arrays.asList(bPass).contains(tar)) {
            yjxx.setYjJb("40");
            return true;
        }
        // 橙色
        String[] oPass = new String[]{"抢劫案（看守所）", "抢夺抢劫前科人员（前科）", "抢夺、抢劫"};
        if (Arrays.asList(oPass).contains(tar)) {
            yjxx.setYjJb("20");
            return true;
        }
        yjxx.setYjJb("30");
        return true;
    }

    /**
     * 高新人员预警转指令的规则(全部转为指令)
     * 车辆：
     * 左侧人员未系安全带
     * 右侧人员未系安全带
     * 套牌车---------------Y
     * 假牌车---------------Y
     * 左侧人员接打电话
     * 其他规则后期在补充
     */
    public static boolean isSendZlFun(TbYjxx yjxx, String zllx) {
        if ("03".equals(zllx)) {
            String[] yes = new String[]{"套牌车", "假牌车"};
            return Arrays.asList(yes).contains(yjxx.getYjbqmc());
        } else return "02".equals(zllx);
    }

    /**
     * 指令是否发送街面巡组
     * 新益州信访人员  -----------------------
     * 2020年以来扒窃及盗窃电动车人员（刑侦）  -----------------------Y
     * 2020年以来扒窃及盗窃电动车-常住高新（刑侦）  -----------------------Y
     * 高新在逃  -----------------------Y
     * 2022年1至6月有轨迹入盗前科人员库（刑侦）  -----------------------Y
     * 50人员库  -----------------------
     * 遂宁籍飞车抢夺前科人员（刑侦）  -----------------------Y
     * 盗车财前科人员（刑侦）  -----------------------Y
     * 普通盗窃前科人员（刑侦）  -----------------------Y
     * 6.6演练  -----------------------
     * 抢夺抢劫前科人员（前科）  -----------------------Y
     * 成都涉毒人员专业库（刑侦）  -----------------------Y
     * 抢劫案（看守所）  -----------------------Y
     * 全省ZDR  -----------------------
     * 非机动车犯罪嫌疑人  -----------------------Y
     * 盗窃（拘留所）  -----------------------Y
     * 盗窃汽车（看守所）  -----------------------Y
     * 扒窃前科人员专业库（刑侦）  -----------------------Y
     * 盗窃非机动车前科人员专业库（刑侦）  -----------------------Y
     * 房产纠纷  -----------------------
     * 赔偿纠纷  -----------------------
     * 涉法涉诉  -----------------------
     * 抢夺、抢劫  -----------------------Y
     * 七类前科  -----------------------
     * 2018年以来两族街面＋入盗前科人员（刑侦）  -----------------------Y
     * 2022年以来盗窃非机动车前科人员（刑侦）  -----------------------Y
     * 全市ZDR  -----------------------
     * 富士康员工人像库  -----------------------
     * <p>
     * <p>
     * 车辆：
     * 左侧人员未系安全带
     * 右侧人员未系安全带
     * 套牌车 ----------------Y
     * 假牌车-----------------Y
     * 左侧人员接打电话
     */
    public static boolean isSendJmxz(TbYjxx yjxx, String zllx) {
        if ("02".equals(zllx)) {
            String[] yes = new String[]{"2020年以来扒窃及盗窃电动车人员（刑侦）", "2020年以来扒窃及盗窃电动车-常住高新（刑侦）",
                    "高新在逃", "2022年1至6月有轨迹入盗前科人员库（刑侦）", "遂宁籍飞车抢夺前科人员（刑侦）", "盗车财前科人员（刑侦）",
                    "普通盗窃前科人员（刑侦）", "普通盗窃前科人员（刑侦）", "抢夺抢劫前科人员（前科）", "成都涉毒人员专业库（刑侦）",
                    "抢劫案（看守所）", "非机动车犯罪嫌疑人", "盗窃（拘留所）", "盗窃汽车（看守所）", "扒窃前科人员专业库（刑侦）",
                    "盗窃非机动车前科人员专业库（刑侦）", "抢夺、抢劫", "2018年以来两族街面＋入盗前科人员（刑侦）",
                    "2022年以来盗窃非机动车前科人员（刑侦）"};
            return Arrays.asList(yes).contains(yjxx.getYjbqmc());
        } else if ("03".equals(zllx)) {
            String[] yes = new String[]{"套牌车", "假牌车"};
            return Arrays.asList(yes).contains(yjxx.getYjbqmc());
        }
        return false;
    }
}
